<?php
/**
 * Created by PhpStorm for zanupf-new-
 * User: vincenthguyo
 * Date: 07/10/2024
 * Time: 13:27
 */

namespace App\Http\Controllers\API;

use App\Http\Resources\PaymentCollection;
use App\Http\Resources\PaymentResource;
use App\Models\Payment;
use App\Models\Member;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Symfony\Component\HttpFoundation\Response;

class PaymentController extends Controller
{
    public function index(Member $member)
    {
        $response = [
            'status' => true,
            'message' => '',
            'data' => [
                'payments' => new PaymentCollection($member->payments),
            ]
        ];
        return response($response, Response::HTTP_OK);
    }

    public function store(Request $request, Member $member)
    {
        $validated = $request->validate([
            'payment_type' => 'required|in:Card Fee,Subscription Fee',
            'amount' => 'required|numeric',
            'payment_method' => 'required|in:Ecocash,Telecash,Paynow,Visa,Mastercard'
        ]);

        $payment = $member->payments()->create($validated);

        $response = [
            'status' => true,
            'message' => '',
            'data' => [
                'payment' => new PaymentResource($payment),
            ]
        ];
        return response($response, Response::HTTP_CREATED);
    }
}
