<?php
/**
 * Created by PhpStorm for zanupf-new-
 * User: vincenthguyo
 * Date: 07/10/2024
 * Time: 13:27
 */

namespace App\Http\Controllers\API;

use App\Models\Transfer;
use App\Models\Member;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Symfony\Component\HttpFoundation\Response;

class TransferController extends Controller
{
    public function index(Member $member)
    {
        $response = [
            'status' => true,
            'message' => '',
            'data' => [
                'transfers' => $member->transfers,
            ]
        ];
        return response($response, Response::HTTP_OK);
    }

    public function store(Request $request, Member $member)
    {
        $validated = $request->validate([
            'from_location' => 'required|string',
            'to_location' => 'required|string',
            'transfer_date' => 'required|date',
            'initiated_by' => 'required|string',
        ]);

        $transfer = $member->transfers()->create($validated);

        $response = [
            'status' => true,
            'message' => '',
            'data' => [
                'transfer' => $transfer,
            ]
        ];
        return response($response, Response::HTTP_CREATED);
    }
}
