<?php

namespace App\Main;

class SideMenu
{
    /**
     * List of side menu items.
     */
    public static function menu(): array
    {
        return [
            'dashboard' => [
                'icon' => 'home',
                'route_name' => 'dashboard',
                'title' => 'Dashboard'
            ],
            'users' => [
                'icon' => 'user',
                'title' => 'Users',
                'sub_menu' => [
                    'users-layout-1' => [
                        'icon' => 'activity',
                        'route_name' => 'users-layout-1',
                        'title' => 'System Users'
                    ],
                    'users-layout-2' => [
                        'icon' => 'activity',
                        'route_name' => 'users-layout-2',
                        'title' => 'Add System User'
                    ],
                ]
            ],
            'members' => [
                'icon' => 'users',
                'title' => 'Members',
                'sub_menu' => [
                    'users-layout-1' => [
                        'icon' => 'activity',
                        'route_name' => 'users-layout-1',
                        'title' => 'All Members'
                    ],
                    'users-layout-2' => [
                        'icon' => 'activity',
                        'route_name' => 'users-layout-2',
                        'title' => 'Add Member'
                    ],
                ]
            ],
            'divider',
            'projects' => [
                'icon' => 'briefcase',
                'title' => 'Projects',
                'sub_menu' => [
                    'users-layout-1' => [
                        'icon' => 'activity',
                        'route_name' => 'users-layout-1',
                        'title' => 'All Projects'
                    ],
                    'users-layout-2' => [
                        'icon' => 'activity',
                        'route_name' => 'users-layout-2',
                        'title' => 'Add Project'
                    ],
                ]
            ],
            'events' => [
                'icon' => 'calendar',
                'title' => 'Events',
                'sub_menu' => [
                    'users-layout-1' => [
                        'icon' => 'activity',
                        'route_name' => 'users-layout-1',
                        'title' => 'All Events'
                    ],
                    'users-layout-2' => [
                        'icon' => 'activity',
                        'route_name' => 'users-layout-2',
                        'title' => 'New Event'
                    ],
                ]
            ],
            'divider',
            'payments' => [
                'icon' => 'paperclip',
                'title' => 'Payments',
                'sub_menu' => [
                    'users-layout-1' => [
                        'icon' => 'activity',
                        'route_name' => 'users-layout-1',
                        'title' => 'Payments'
                    ],
                    'users-layout-2' => [
                        'icon' => 'activity',
                        'route_name' => 'users-layout-2',
                        'title' => 'Record Payment'
                    ],
                ]
            ],
            'subscriptions' => [
                'icon' => 'package',
                'title' => 'Subscriptions',
                'sub_menu' => [
                    'users-layout-1' => [
                        'icon' => 'activity',
                        'route_name' => 'users-layout-1',
                        'title' => 'Subscriptions'
                    ],
                    'users-layout-2' => [
                        'icon' => 'activity',
                        'route_name' => 'users-layout-2',
                        'title' => 'Add Subscription'
                    ],
                ]
            ],
            'divider',
            'settings' => [
                'icon' => 'settings',
                'route_name' => 'inbox',
                'title' => 'Settings'
            ],
        ];
    }
}
