<?php
/**
 * Created by PhpStorm for zanupf-new-
 * User: vincenthguyo
 * Date: 07/10/2024
 * Time: 13:04
 */

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Cell extends Model
{
    protected $fillable = ['name', 'branch_id', 'number_of_members'];

    // Relationships
    public function branch()
    {
        return $this->belongsTo(Branch::class);
    }

    public function pollingStations()
    {
        return $this->hasMany(PollingStation::class);
    }

    public function members()
    {
        return $this->hasMany(Member::class);
    }

    // Methods
    public function addMember(Member $member)
    {
        if ($this->members()->count() >= config('settings.members_per_cell')) {
            // Automatically create a new cell
            $newCell = self::create([
                'name' => 'New Cell',
                'branch_id' => $this->branch_id
            ]);
            $newCell->members()->save($member);
        } else {
            $this->members()->save($member);
        }
    }
}
