<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('payments', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('member_id');
            $table->enum('payment_type', ['Card Fee', 'Subscription Fee']);
            $table->decimal('amount', 8, 2);
            $table->enum('status', ['paid', 'unpaid'])->default('unpaid');
            $table->enum('payment_method', ['Ecocash', 'Telecash', 'Paynow', 'Visa', 'Mastercard']);
            $table->timestamps();

            $table->foreign('member_id')->references('id')->on('members')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('payments');
    }
};
