<?php
/**
 * Created by PhpStorm for zanu
 * User: vincenthguyo
 * Date: 09/10/2024
 * Time: 02:10
 */

?>
<div dir="ltr">
    <div id="{{ $id }}" class="apex-charts" data-colors="{{ $colors }}"></div>
</div>

<script>
    document.addEventListener("DOMContentLoaded", () => {
        let colors = ["#FF0000FF", "#000000FF", "#008000FF", "#FFFF00FF", "#39afd1"];
        const dataColors = document.querySelector("#{{ $id }}").dataset.colors;
        if (dataColors) {
            colors = dataColors.split(",");
        }

        const options = {
            chart: {
                height: 380,
                type: 'bar',
                stacked: true,
                toolbar: {
                    show: false
                }
            },
            plotOptions: {
                bar: {
                    horizontal: false,
                }
            },
            stroke: {
                show: false
            },
            series: {!! json_encode($series) !!},
            xaxis: {
                categories: {!! json_encode($categories) !!},
                labels: {
                    formatter: function (val) {
                        return val;
                    }
                }
            },
            yaxis: {
                title: {
                    text: 'Member Count'
                }
            },
            colors: colors,
            tooltip: {
                y: {
                    formatter: function (val) {
                        return val;
                    }
                }
            },
            fill: {
                opacity: 1
            },
            states: {
                hover: {
                    filter: 'none'
                }
            },
            legend: {
                position: 'top',
                horizontalAlign: 'center',
                offsetY: 10
            },
            grid: {
                borderColor: '#f1f3fa'
            }
        };

        const chart = new ApexCharts(document.querySelector("#{{ $id }}"), options);
        chart.render();
    });
</script>
