type SVGProps = Record<string, string | number>;
type IconNodeChild = readonly [tag: string, attrs: SVGProps];
type IconNode = readonly [tag: string, attrs: SVGProps, children?: IconNodeChild[]];

declare const Accessibility: IconNode;

declare const ActivitySquare: IconNode;

declare const Activity: IconNode;

declare const AirVent: IconNode;

declare const Airplay: IconNode;

declare const AlarmCheck: IconNode;

declare const AlarmClockOff: IconNode;

declare const AlarmClock: IconNode;

declare const AlarmMinus: IconNode;

declare const AlarmPlus: IconNode;

declare const Album: IconNode;

declare const AlertCircle: IconNode;

declare const AlertOctagon: IconNode;

declare const AlertTriangle: IconNode;

declare const AlignCenterHorizontal: IconNode;

declare const AlignCenterVertical: IconNode;

declare const AlignCenter: IconNode;

declare const AlignEndHorizontal: IconNode;

declare const AlignEndVertical: IconNode;

declare const AlignHorizontalDistributeCenter: IconNode;

declare const AlignHorizontalDistributeEnd: IconNode;

declare const AlignHorizontalDistributeStart: IconNode;

declare const AlignHorizontalJustifyCenter: IconNode;

declare const AlignHorizontalJustifyEnd: IconNode;

declare const AlignHorizontalJustifyStart: IconNode;

declare const AlignHorizontalSpaceAround: IconNode;

declare const AlignHorizontalSpaceBetween: IconNode;

declare const AlignJustify: IconNode;

declare const AlignLeft: IconNode;

declare const AlignRight: IconNode;

declare const AlignStartHorizontal: IconNode;

declare const AlignStartVertical: IconNode;

declare const AlignVerticalDistributeCenter: IconNode;

declare const AlignVerticalDistributeEnd: IconNode;

declare const AlignVerticalDistributeStart: IconNode;

declare const AlignVerticalJustifyCenter: IconNode;

declare const AlignVerticalJustifyEnd: IconNode;

declare const AlignVerticalJustifyStart: IconNode;

declare const AlignVerticalSpaceAround: IconNode;

declare const AlignVerticalSpaceBetween: IconNode;

declare const Ampersand: IconNode;

declare const Ampersands: IconNode;

declare const Anchor: IconNode;

declare const Angry: IconNode;

declare const Annoyed: IconNode;

declare const Antenna: IconNode;

declare const Aperture: IconNode;

declare const AppWindow: IconNode;

declare const Apple: IconNode;

declare const ArchiveRestore: IconNode;

declare const ArchiveX: IconNode;

declare const Archive: IconNode;

declare const AreaChart: IconNode;

declare const Armchair: IconNode;

declare const ArrowBigDownDash: IconNode;

declare const ArrowBigDown: IconNode;

declare const ArrowBigLeftDash: IconNode;

declare const ArrowBigLeft: IconNode;

declare const ArrowBigRightDash: IconNode;

declare const ArrowBigRight: IconNode;

declare const ArrowBigUpDash: IconNode;

declare const ArrowBigUp: IconNode;

declare const ArrowDown01: IconNode;

declare const ArrowDown10: IconNode;

declare const ArrowDownAZ: IconNode;

declare const ArrowDownCircle: IconNode;

declare const ArrowDownFromLine: IconNode;

declare const ArrowDownLeftFromCircle: IconNode;

declare const ArrowDownLeftSquare: IconNode;

declare const ArrowDownLeft: IconNode;

declare const ArrowDownNarrowWide: IconNode;

declare const ArrowDownRightFromCircle: IconNode;

declare const ArrowDownRightSquare: IconNode;

declare const ArrowDownRight: IconNode;

declare const ArrowDownSquare: IconNode;

declare const ArrowDownToDot: IconNode;

declare const ArrowDownToLine: IconNode;

declare const ArrowDownUp: IconNode;

declare const ArrowDownWideNarrow: IconNode;

declare const ArrowDownZA: IconNode;

declare const ArrowDown: IconNode;

declare const ArrowLeftCircle: IconNode;

declare const ArrowLeftFromLine: IconNode;

declare const ArrowLeftRight: IconNode;

declare const ArrowLeftSquare: IconNode;

declare const ArrowLeftToLine: IconNode;

declare const ArrowLeft: IconNode;

declare const ArrowRightCircle: IconNode;

declare const ArrowRightFromLine: IconNode;

declare const ArrowRightLeft: IconNode;

declare const ArrowRightSquare: IconNode;

declare const ArrowRightToLine: IconNode;

declare const ArrowRight: IconNode;

declare const ArrowUp01: IconNode;

declare const ArrowUp10: IconNode;

declare const ArrowUpAZ: IconNode;

declare const ArrowUpCircle: IconNode;

declare const ArrowUpDown: IconNode;

declare const ArrowUpFromDot: IconNode;

declare const ArrowUpFromLine: IconNode;

declare const ArrowUpLeftFromCircle: IconNode;

declare const ArrowUpLeftSquare: IconNode;

declare const ArrowUpLeft: IconNode;

declare const ArrowUpNarrowWide: IconNode;

declare const ArrowUpRightFromCircle: IconNode;

declare const ArrowUpRightSquare: IconNode;

declare const ArrowUpRight: IconNode;

declare const ArrowUpSquare: IconNode;

declare const ArrowUpToLine: IconNode;

declare const ArrowUpWideNarrow: IconNode;

declare const ArrowUpZA: IconNode;

declare const ArrowUp: IconNode;

declare const ArrowsUpFromLine: IconNode;

declare const Asterisk: IconNode;

declare const AtSign: IconNode;

declare const Atom: IconNode;

declare const Award: IconNode;

declare const Axe: IconNode;

declare const Axis3d: IconNode;

declare const Baby: IconNode;

declare const Backpack: IconNode;

declare const BadgeAlert: IconNode;

declare const BadgeCent: IconNode;

declare const BadgeCheck: IconNode;

declare const BadgeDollarSign: IconNode;

declare const BadgeEuro: IconNode;

declare const BadgeHelp: IconNode;

declare const BadgeIndianRupee: IconNode;

declare const BadgeInfo: IconNode;

declare const BadgeJapaneseYen: IconNode;

declare const BadgeMinus: IconNode;

declare const BadgePercent: IconNode;

declare const BadgePlus: IconNode;

declare const BadgePoundSterling: IconNode;

declare const BadgeRussianRuble: IconNode;

declare const BadgeSwissFranc: IconNode;

declare const BadgeX: IconNode;

declare const Badge: IconNode;

declare const BaggageClaim: IconNode;

declare const Ban: IconNode;

declare const Banana: IconNode;

declare const Banknote: IconNode;

declare const BarChart2: IconNode;

declare const BarChart3: IconNode;

declare const BarChart4: IconNode;

declare const BarChartBig: IconNode;

declare const BarChartHorizontalBig: IconNode;

declare const BarChartHorizontal: IconNode;

declare const BarChart: IconNode;

declare const Barcode: IconNode;

declare const Baseline: IconNode;

declare const Bath: IconNode;

declare const BatteryCharging: IconNode;

declare const BatteryFull: IconNode;

declare const BatteryLow: IconNode;

declare const BatteryMedium: IconNode;

declare const BatteryWarning: IconNode;

declare const Battery: IconNode;

declare const Beaker: IconNode;

declare const BeanOff: IconNode;

declare const Bean: IconNode;

declare const BedDouble: IconNode;

declare const BedSingle: IconNode;

declare const Bed: IconNode;

declare const Beef: IconNode;

declare const Beer: IconNode;

declare const BellDot: IconNode;

declare const BellMinus: IconNode;

declare const BellOff: IconNode;

declare const BellPlus: IconNode;

declare const BellRing: IconNode;

declare const Bell: IconNode;

declare const Bike: IconNode;

declare const Binary: IconNode;

declare const Biohazard: IconNode;

declare const Bird: IconNode;

declare const Bitcoin: IconNode;

declare const Blinds: IconNode;

declare const Blocks: IconNode;

declare const BluetoothConnected: IconNode;

declare const BluetoothOff: IconNode;

declare const BluetoothSearching: IconNode;

declare const Bluetooth: IconNode;

declare const Bold: IconNode;

declare const Bomb: IconNode;

declare const Bone: IconNode;

declare const BookA: IconNode;

declare const BookAudio: IconNode;

declare const BookCheck: IconNode;

declare const BookCopy: IconNode;

declare const BookDashed: IconNode;

declare const BookDown: IconNode;

declare const BookHeadphones: IconNode;

declare const BookHeart: IconNode;

declare const BookImage: IconNode;

declare const BookKey: IconNode;

declare const BookLock: IconNode;

declare const BookMarked: IconNode;

declare const BookMinus: IconNode;

declare const BookOpenCheck: IconNode;

declare const BookOpenText: IconNode;

declare const BookOpen: IconNode;

declare const BookPlus: IconNode;

declare const BookText: IconNode;

declare const BookType: IconNode;

declare const BookUp2: IconNode;

declare const BookUp: IconNode;

declare const BookUser: IconNode;

declare const BookX: IconNode;

declare const Book: IconNode;

declare const BookmarkCheck: IconNode;

declare const BookmarkMinus: IconNode;

declare const BookmarkPlus: IconNode;

declare const BookmarkX: IconNode;

declare const Bookmark: IconNode;

declare const BoomBox: IconNode;

declare const Bot: IconNode;

declare const BoxSelect: IconNode;

declare const Box: IconNode;

declare const Boxes: IconNode;

declare const Braces: IconNode;

declare const Brackets: IconNode;

declare const BrainCircuit: IconNode;

declare const BrainCog: IconNode;

declare const Brain: IconNode;

declare const Briefcase: IconNode;

declare const BringToFront: IconNode;

declare const Brush: IconNode;

declare const BugOff: IconNode;

declare const BugPlay: IconNode;

declare const Bug: IconNode;

declare const Building2: IconNode;

declare const Building: IconNode;

declare const BusFront: IconNode;

declare const Bus: IconNode;

declare const CableCar: IconNode;

declare const Cable: IconNode;

declare const CakeSlice: IconNode;

declare const Cake: IconNode;

declare const Calculator: IconNode;

declare const CalendarCheck2: IconNode;

declare const CalendarCheck: IconNode;

declare const CalendarClock: IconNode;

declare const CalendarDays: IconNode;

declare const CalendarHeart: IconNode;

declare const CalendarMinus: IconNode;

declare const CalendarOff: IconNode;

declare const CalendarPlus: IconNode;

declare const CalendarRange: IconNode;

declare const CalendarSearch: IconNode;

declare const CalendarX2: IconNode;

declare const CalendarX: IconNode;

declare const Calendar: IconNode;

declare const CameraOff: IconNode;

declare const Camera: IconNode;

declare const CandlestickChart: IconNode;

declare const CandyCane: IconNode;

declare const CandyOff: IconNode;

declare const Candy: IconNode;

declare const CarFront: IconNode;

declare const CarTaxiFront: IconNode;

declare const Car: IconNode;

declare const Caravan: IconNode;

declare const Carrot: IconNode;

declare const CaseLower: IconNode;

declare const CaseSensitive: IconNode;

declare const CaseUpper: IconNode;

declare const CassetteTape: IconNode;

declare const Cast: IconNode;

declare const Castle: IconNode;

declare const Cat: IconNode;

declare const CheckCheck: IconNode;

declare const CheckCircle2: IconNode;

declare const CheckCircle: IconNode;

declare const CheckSquare: IconNode;

declare const Check: IconNode;

declare const ChefHat: IconNode;

declare const Cherry: IconNode;

declare const ChevronDownCircle: IconNode;

declare const ChevronDownSquare: IconNode;

declare const ChevronDown: IconNode;

declare const ChevronFirst: IconNode;

declare const ChevronLast: IconNode;

declare const ChevronLeftCircle: IconNode;

declare const ChevronLeftSquare: IconNode;

declare const ChevronLeft: IconNode;

declare const ChevronRightCircle: IconNode;

declare const ChevronRightSquare: IconNode;

declare const ChevronRight: IconNode;

declare const ChevronUpCircle: IconNode;

declare const ChevronUpSquare: IconNode;

declare const ChevronUp: IconNode;

declare const ChevronsDownUp: IconNode;

declare const ChevronsDown: IconNode;

declare const ChevronsLeftRight: IconNode;

declare const ChevronsLeft: IconNode;

declare const ChevronsRightLeft: IconNode;

declare const ChevronsRight: IconNode;

declare const ChevronsUpDown: IconNode;

declare const ChevronsUp: IconNode;

declare const Chrome: IconNode;

declare const Church: IconNode;

declare const CigaretteOff: IconNode;

declare const Cigarette: IconNode;

declare const CircleDashed: IconNode;

declare const CircleDollarSign: IconNode;

declare const CircleDotDashed: IconNode;

declare const CircleDot: IconNode;

declare const CircleEllipsis: IconNode;

declare const CircleEqual: IconNode;

declare const CircleOff: IconNode;

declare const CircleSlash2: IconNode;

declare const CircleSlash: IconNode;

declare const Circle: IconNode;

declare const CircuitBoard: IconNode;

declare const Citrus: IconNode;

declare const Clapperboard: IconNode;

declare const ClipboardCheck: IconNode;

declare const ClipboardCopy: IconNode;

declare const ClipboardEdit: IconNode;

declare const ClipboardList: IconNode;

declare const ClipboardPaste: IconNode;

declare const ClipboardSignature: IconNode;

declare const ClipboardType: IconNode;

declare const ClipboardX: IconNode;

declare const Clipboard: IconNode;

declare const Clock1: IconNode;

declare const Clock10: IconNode;

declare const Clock11: IconNode;

declare const Clock12: IconNode;

declare const Clock2: IconNode;

declare const Clock3: IconNode;

declare const Clock4: IconNode;

declare const Clock5: IconNode;

declare const Clock6: IconNode;

declare const Clock7: IconNode;

declare const Clock8: IconNode;

declare const Clock9: IconNode;

declare const Clock: IconNode;

declare const CloudCog: IconNode;

declare const CloudDrizzle: IconNode;

declare const CloudFog: IconNode;

declare const CloudHail: IconNode;

declare const CloudLightning: IconNode;

declare const CloudMoonRain: IconNode;

declare const CloudMoon: IconNode;

declare const CloudOff: IconNode;

declare const CloudRainWind: IconNode;

declare const CloudRain: IconNode;

declare const CloudSnow: IconNode;

declare const CloudSunRain: IconNode;

declare const CloudSun: IconNode;

declare const Cloud: IconNode;

declare const Cloudy: IconNode;

declare const Clover: IconNode;

declare const Club: IconNode;

declare const Code2: IconNode;

declare const Code: IconNode;

declare const Codepen: IconNode;

declare const Codesandbox: IconNode;

declare const Coffee: IconNode;

declare const Cog: IconNode;

declare const Coins: IconNode;

declare const Columns: IconNode;

declare const Combine: IconNode;

declare const Command: IconNode;

declare const Compass: IconNode;

declare const Component: IconNode;

declare const Computer: IconNode;

declare const ConciergeBell: IconNode;

declare const Cone: IconNode;

declare const Construction: IconNode;

declare const Contact2: IconNode;

declare const Contact: IconNode;

declare const Container: IconNode;

declare const Contrast: IconNode;

declare const Cookie: IconNode;

declare const CopyCheck: IconNode;

declare const CopyMinus: IconNode;

declare const CopyPlus: IconNode;

declare const CopySlash: IconNode;

declare const CopyX: IconNode;

declare const Copy: IconNode;

declare const Copyleft: IconNode;

declare const Copyright: IconNode;

declare const CornerDownLeft: IconNode;

declare const CornerDownRight: IconNode;

declare const CornerLeftDown: IconNode;

declare const CornerLeftUp: IconNode;

declare const CornerRightDown: IconNode;

declare const CornerRightUp: IconNode;

declare const CornerUpLeft: IconNode;

declare const CornerUpRight: IconNode;

declare const Cpu: IconNode;

declare const CreativeCommons: IconNode;

declare const CreditCard: IconNode;

declare const Croissant: IconNode;

declare const Crop: IconNode;

declare const Cross: IconNode;

declare const Crosshair: IconNode;

declare const Crown: IconNode;

declare const Cuboid: IconNode;

declare const CupSoda: IconNode;

declare const Currency: IconNode;

declare const Cylinder: IconNode;

declare const DatabaseBackup: IconNode;

declare const DatabaseZap: IconNode;

declare const Database: IconNode;

declare const Delete: IconNode;

declare const Dessert: IconNode;

declare const Diameter: IconNode;

declare const Diamond: IconNode;

declare const Dice1: IconNode;

declare const Dice2: IconNode;

declare const Dice3: IconNode;

declare const Dice4: IconNode;

declare const Dice5: IconNode;

declare const Dice6: IconNode;

declare const Dices: IconNode;

declare const Diff: IconNode;

declare const Disc2: IconNode;

declare const Disc3: IconNode;

declare const Disc: IconNode;

declare const DivideCircle: IconNode;

declare const DivideSquare: IconNode;

declare const Divide: IconNode;

declare const DnaOff: IconNode;

declare const Dna: IconNode;

declare const Dog: IconNode;

declare const DollarSign: IconNode;

declare const Donut: IconNode;

declare const DoorClosed: IconNode;

declare const DoorOpen: IconNode;

declare const Dot: IconNode;

declare const DownloadCloud: IconNode;

declare const Download: IconNode;

declare const DraftingCompass: IconNode;

declare const Drama: IconNode;

declare const Dribbble: IconNode;

declare const Droplet: IconNode;

declare const Droplets: IconNode;

declare const Drumstick: IconNode;

declare const Dumbbell: IconNode;

declare const EarOff: IconNode;

declare const Ear: IconNode;

declare const EggFried: IconNode;

declare const EggOff: IconNode;

declare const Egg: IconNode;

declare const EqualNot: IconNode;

declare const Equal: IconNode;

declare const Eraser: IconNode;

declare const Euro: IconNode;

declare const Expand: IconNode;

declare const ExternalLink: IconNode;

declare const EyeOff: IconNode;

declare const Eye: IconNode;

declare const Facebook: IconNode;

declare const Factory: IconNode;

declare const Fan: IconNode;

declare const FastForward: IconNode;

declare const Feather: IconNode;

declare const FerrisWheel: IconNode;

declare const Figma: IconNode;

declare const FileArchive: IconNode;

declare const FileAudio2: IconNode;

declare const FileAudio: IconNode;

declare const FileAxis3d: IconNode;

declare const FileBadge2: IconNode;

declare const FileBadge: IconNode;

declare const FileBarChart2: IconNode;

declare const FileBarChart: IconNode;

declare const FileBox: IconNode;

declare const FileCheck2: IconNode;

declare const FileCheck: IconNode;

declare const FileClock: IconNode;

declare const FileCode2: IconNode;

declare const FileCode: IconNode;

declare const FileCog: IconNode;

declare const FileDiff: IconNode;

declare const FileDigit: IconNode;

declare const FileDown: IconNode;

declare const FileEdit: IconNode;

declare const FileHeart: IconNode;

declare const FileImage: IconNode;

declare const FileInput: IconNode;

declare const FileJson2: IconNode;

declare const FileJson: IconNode;

declare const FileKey2: IconNode;

declare const FileKey: IconNode;

declare const FileLineChart: IconNode;

declare const FileLock2: IconNode;

declare const FileLock: IconNode;

declare const FileMinus2: IconNode;

declare const FileMinus: IconNode;

declare const FileOutput: IconNode;

declare const FilePieChart: IconNode;

declare const FilePlus2: IconNode;

declare const FilePlus: IconNode;

declare const FileQuestion: IconNode;

declare const FileScan: IconNode;

declare const FileSearch2: IconNode;

declare const FileSearch: IconNode;

declare const FileSignature: IconNode;

declare const FileSpreadsheet: IconNode;

declare const FileStack: IconNode;

declare const FileSymlink: IconNode;

declare const FileTerminal: IconNode;

declare const FileText: IconNode;

declare const FileType2: IconNode;

declare const FileType: IconNode;

declare const FileUp: IconNode;

declare const FileVideo2: IconNode;

declare const FileVideo: IconNode;

declare const FileVolume2: IconNode;

declare const FileVolume: IconNode;

declare const FileWarning: IconNode;

declare const FileX2: IconNode;

declare const FileX: IconNode;

declare const File: IconNode;

declare const Files: IconNode;

declare const Film: IconNode;

declare const FilterX: IconNode;

declare const Filter: IconNode;

declare const Fingerprint: IconNode;

declare const FishOff: IconNode;

declare const FishSymbol: IconNode;

declare const Fish: IconNode;

declare const FlagOff: IconNode;

declare const FlagTriangleLeft: IconNode;

declare const FlagTriangleRight: IconNode;

declare const Flag: IconNode;

declare const FlameKindling: IconNode;

declare const Flame: IconNode;

declare const FlashlightOff: IconNode;

declare const Flashlight: IconNode;

declare const FlaskConicalOff: IconNode;

declare const FlaskConical: IconNode;

declare const FlaskRound: IconNode;

declare const FlipHorizontal2: IconNode;

declare const FlipHorizontal: IconNode;

declare const FlipVertical2: IconNode;

declare const FlipVertical: IconNode;

declare const Flower2: IconNode;

declare const Flower: IconNode;

declare const Focus: IconNode;

declare const FoldHorizontal: IconNode;

declare const FoldVertical: IconNode;

declare const FolderArchive: IconNode;

declare const FolderCheck: IconNode;

declare const FolderClock: IconNode;

declare const FolderClosed: IconNode;

declare const FolderCog: IconNode;

declare const FolderDot: IconNode;

declare const FolderDown: IconNode;

declare const FolderEdit: IconNode;

declare const FolderGit2: IconNode;

declare const FolderGit: IconNode;

declare const FolderHeart: IconNode;

declare const FolderInput: IconNode;

declare const FolderKanban: IconNode;

declare const FolderKey: IconNode;

declare const FolderLock: IconNode;

declare const FolderMinus: IconNode;

declare const FolderOpenDot: IconNode;

declare const FolderOpen: IconNode;

declare const FolderOutput: IconNode;

declare const FolderPlus: IconNode;

declare const FolderRoot: IconNode;

declare const FolderSearch2: IconNode;

declare const FolderSearch: IconNode;

declare const FolderSymlink: IconNode;

declare const FolderSync: IconNode;

declare const FolderTree: IconNode;

declare const FolderUp: IconNode;

declare const FolderX: IconNode;

declare const Folder: IconNode;

declare const Folders: IconNode;

declare const Footprints: IconNode;

declare const Forklift: IconNode;

declare const FormInput: IconNode;

declare const Forward: IconNode;

declare const Frame: IconNode;

declare const Framer: IconNode;

declare const Frown: IconNode;

declare const Fuel: IconNode;

declare const Fullscreen: IconNode;

declare const FunctionSquare: IconNode;

declare const GalleryHorizontalEnd: IconNode;

declare const GalleryHorizontal: IconNode;

declare const GalleryThumbnails: IconNode;

declare const GalleryVerticalEnd: IconNode;

declare const GalleryVertical: IconNode;

declare const Gamepad2: IconNode;

declare const Gamepad: IconNode;

declare const GanttChartSquare: IconNode;

declare const GanttChart: IconNode;

declare const GaugeCircle: IconNode;

declare const Gauge: IconNode;

declare const Gavel: IconNode;

declare const Gem: IconNode;

declare const Ghost: IconNode;

declare const Gift: IconNode;

declare const GitBranchPlus: IconNode;

declare const GitBranch: IconNode;

declare const GitCommitHorizontal: IconNode;

declare const GitCommitVertical: IconNode;

declare const GitCompareArrows: IconNode;

declare const GitCompare: IconNode;

declare const GitFork: IconNode;

declare const GitGraph: IconNode;

declare const GitMerge: IconNode;

declare const GitPullRequestArrow: IconNode;

declare const GitPullRequestClosed: IconNode;

declare const GitPullRequestCreateArrow: IconNode;

declare const GitPullRequestCreate: IconNode;

declare const GitPullRequestDraft: IconNode;

declare const GitPullRequest: IconNode;

declare const Github: IconNode;

declare const Gitlab: IconNode;

declare const GlassWater: IconNode;

declare const Glasses: IconNode;

declare const Globe2: IconNode;

declare const Globe: IconNode;

declare const Goal: IconNode;

declare const Grab: IconNode;

declare const GraduationCap: IconNode;

declare const Grape: IconNode;

declare const Grid2x2: IconNode;

declare const Grid3x3: IconNode;

declare const GripHorizontal: IconNode;

declare const GripVertical: IconNode;

declare const Grip: IconNode;

declare const Group: IconNode;

declare const Hammer: IconNode;

declare const HandMetal: IconNode;

declare const Hand: IconNode;

declare const HardDriveDownload: IconNode;

declare const HardDriveUpload: IconNode;

declare const HardDrive: IconNode;

declare const HardHat: IconNode;

declare const Hash: IconNode;

declare const Haze: IconNode;

declare const HdmiPort: IconNode;

declare const Heading1: IconNode;

declare const Heading2: IconNode;

declare const Heading3: IconNode;

declare const Heading4: IconNode;

declare const Heading5: IconNode;

declare const Heading6: IconNode;

declare const Heading: IconNode;

declare const Headphones: IconNode;

declare const HeartCrack: IconNode;

declare const HeartHandshake: IconNode;

declare const HeartOff: IconNode;

declare const HeartPulse: IconNode;

declare const Heart: IconNode;

declare const HelpCircle: IconNode;

declare const HelpingHand: IconNode;

declare const Hexagon: IconNode;

declare const Highlighter: IconNode;

declare const History: IconNode;

declare const Home: IconNode;

declare const HopOff: IconNode;

declare const Hop: IconNode;

declare const Hotel: IconNode;

declare const Hourglass: IconNode;

declare const IceCream2: IconNode;

declare const IceCream: IconNode;

declare const ImageDown: IconNode;

declare const ImageMinus: IconNode;

declare const ImageOff: IconNode;

declare const ImagePlus: IconNode;

declare const Image: IconNode;

declare const Import: IconNode;

declare const Inbox: IconNode;

declare const Indent: IconNode;

declare const IndianRupee: IconNode;

declare const Infinity: IconNode;

declare const Info: IconNode;

declare const Instagram: IconNode;

declare const Italic: IconNode;

declare const IterationCcw: IconNode;

declare const IterationCw: IconNode;

declare const JapaneseYen: IconNode;

declare const Joystick: IconNode;

declare const KanbanSquareDashed: IconNode;

declare const KanbanSquare: IconNode;

declare const Kanban: IconNode;

declare const KeyRound: IconNode;

declare const KeySquare: IconNode;

declare const Key: IconNode;

declare const Keyboard: IconNode;

declare const LampCeiling: IconNode;

declare const LampDesk: IconNode;

declare const LampFloor: IconNode;

declare const LampWallDown: IconNode;

declare const LampWallUp: IconNode;

declare const Lamp: IconNode;

declare const LandPlot: IconNode;

declare const Landmark: IconNode;

declare const Languages: IconNode;

declare const Laptop2: IconNode;

declare const Laptop: IconNode;

declare const LassoSelect: IconNode;

declare const Lasso: IconNode;

declare const Laugh: IconNode;

declare const Layers2: IconNode;

declare const Layers3: IconNode;

declare const Layers: IconNode;

declare const LayoutDashboard: IconNode;

declare const LayoutGrid: IconNode;

declare const LayoutList: IconNode;

declare const LayoutPanelLeft: IconNode;

declare const LayoutPanelTop: IconNode;

declare const LayoutTemplate: IconNode;

declare const Layout: IconNode;

declare const Leaf: IconNode;

declare const LeafyGreen: IconNode;

declare const LibraryBig: IconNode;

declare const LibrarySquare: IconNode;

declare const Library: IconNode;

declare const LifeBuoy: IconNode;

declare const Ligature: IconNode;

declare const LightbulbOff: IconNode;

declare const Lightbulb: IconNode;

declare const LineChart: IconNode;

declare const Link2Off: IconNode;

declare const Link2: IconNode;

declare const Link: IconNode;

declare const Linkedin: IconNode;

declare const ListChecks: IconNode;

declare const ListEnd: IconNode;

declare const ListFilter: IconNode;

declare const ListMinus: IconNode;

declare const ListMusic: IconNode;

declare const ListOrdered: IconNode;

declare const ListPlus: IconNode;

declare const ListRestart: IconNode;

declare const ListStart: IconNode;

declare const ListTodo: IconNode;

declare const ListTree: IconNode;

declare const ListVideo: IconNode;

declare const ListX: IconNode;

declare const List: IconNode;

declare const Loader2: IconNode;

declare const Loader: IconNode;

declare const LocateFixed: IconNode;

declare const LocateOff: IconNode;

declare const Locate: IconNode;

declare const LockKeyhole: IconNode;

declare const Lock: IconNode;

declare const LogIn: IconNode;

declare const LogOut: IconNode;

declare const Lollipop: IconNode;

declare const Luggage: IconNode;

declare const MSquare: IconNode;

declare const Magnet: IconNode;

declare const MailCheck: IconNode;

declare const MailMinus: IconNode;

declare const MailOpen: IconNode;

declare const MailPlus: IconNode;

declare const MailQuestion: IconNode;

declare const MailSearch: IconNode;

declare const MailWarning: IconNode;

declare const MailX: IconNode;

declare const Mail: IconNode;

declare const Mailbox: IconNode;

declare const Mails: IconNode;

declare const MapPinOff: IconNode;

declare const MapPin: IconNode;

declare const MapPinned: IconNode;

declare const Map: IconNode;

declare const Martini: IconNode;

declare const Maximize2: IconNode;

declare const Maximize: IconNode;

declare const Medal: IconNode;

declare const MegaphoneOff: IconNode;

declare const Megaphone: IconNode;

declare const Meh: IconNode;

declare const MemoryStick: IconNode;

declare const MenuSquare: IconNode;

declare const Menu: IconNode;

declare const Merge: IconNode;

declare const MessageCircle: IconNode;

declare const MessageSquareDashed: IconNode;

declare const MessageSquarePlus: IconNode;

declare const MessageSquare: IconNode;

declare const MessagesSquare: IconNode;

declare const Mic2: IconNode;

declare const MicOff: IconNode;

declare const Mic: IconNode;

declare const Microscope: IconNode;

declare const Microwave: IconNode;

declare const Milestone: IconNode;

declare const MilkOff: IconNode;

declare const Milk: IconNode;

declare const Minimize2: IconNode;

declare const Minimize: IconNode;

declare const MinusCircle: IconNode;

declare const MinusSquare: IconNode;

declare const Minus: IconNode;

declare const MonitorCheck: IconNode;

declare const MonitorDot: IconNode;

declare const MonitorDown: IconNode;

declare const MonitorOff: IconNode;

declare const MonitorPause: IconNode;

declare const MonitorPlay: IconNode;

declare const MonitorSmartphone: IconNode;

declare const MonitorSpeaker: IconNode;

declare const MonitorStop: IconNode;

declare const MonitorUp: IconNode;

declare const MonitorX: IconNode;

declare const Monitor: IconNode;

declare const MoonStar: IconNode;

declare const Moon: IconNode;

declare const MoreHorizontal: IconNode;

declare const MoreVertical: IconNode;

declare const MountainSnow: IconNode;

declare const Mountain: IconNode;

declare const MousePointer2: IconNode;

declare const MousePointerClick: IconNode;

declare const MousePointerSquareDashed: IconNode;

declare const MousePointerSquare: IconNode;

declare const MousePointer: IconNode;

declare const Mouse: IconNode;

declare const Move3d: IconNode;

declare const MoveDiagonal2: IconNode;

declare const MoveDiagonal: IconNode;

declare const MoveDownLeft: IconNode;

declare const MoveDownRight: IconNode;

declare const MoveDown: IconNode;

declare const MoveHorizontal: IconNode;

declare const MoveLeft: IconNode;

declare const MoveRight: IconNode;

declare const MoveUpLeft: IconNode;

declare const MoveUpRight: IconNode;

declare const MoveUp: IconNode;

declare const MoveVertical: IconNode;

declare const Move: IconNode;

declare const Music2: IconNode;

declare const Music3: IconNode;

declare const Music4: IconNode;

declare const Music: IconNode;

declare const Navigation2Off: IconNode;

declare const Navigation2: IconNode;

declare const NavigationOff: IconNode;

declare const Navigation: IconNode;

declare const Network: IconNode;

declare const Newspaper: IconNode;

declare const Nfc: IconNode;

declare const NutOff: IconNode;

declare const Nut: IconNode;

declare const Octagon: IconNode;

declare const Option: IconNode;

declare const Orbit: IconNode;

declare const Outdent: IconNode;

declare const Package2: IconNode;

declare const PackageCheck: IconNode;

declare const PackageMinus: IconNode;

declare const PackageOpen: IconNode;

declare const PackagePlus: IconNode;

declare const PackageSearch: IconNode;

declare const PackageX: IconNode;

declare const Package: IconNode;

declare const PaintBucket: IconNode;

declare const Paintbrush2: IconNode;

declare const Paintbrush: IconNode;

declare const Palette: IconNode;

declare const Palmtree: IconNode;

declare const PanelBottomClose: IconNode;

declare const PanelBottomInactive: IconNode;

declare const PanelBottomOpen: IconNode;

declare const PanelBottom: IconNode;

declare const PanelLeftClose: IconNode;

declare const PanelLeftInactive: IconNode;

declare const PanelLeftOpen: IconNode;

declare const PanelLeft: IconNode;

declare const PanelRightClose: IconNode;

declare const PanelRightInactive: IconNode;

declare const PanelRightOpen: IconNode;

declare const PanelRight: IconNode;

declare const PanelTopClose: IconNode;

declare const PanelTopInactive: IconNode;

declare const PanelTopOpen: IconNode;

declare const PanelTop: IconNode;

declare const Paperclip: IconNode;

declare const Parentheses: IconNode;

declare const ParkingCircleOff: IconNode;

declare const ParkingCircle: IconNode;

declare const ParkingMeter: IconNode;

declare const ParkingSquareOff: IconNode;

declare const ParkingSquare: IconNode;

declare const PartyPopper: IconNode;

declare const PauseCircle: IconNode;

declare const PauseOctagon: IconNode;

declare const Pause: IconNode;

declare const PawPrint: IconNode;

declare const PcCase: IconNode;

declare const PenLine: IconNode;

declare const PenSquare: IconNode;

declare const PenTool: IconNode;

declare const Pen: IconNode;

declare const PencilLine: IconNode;

declare const PencilRuler: IconNode;

declare const Pencil: IconNode;

declare const Pentagon: IconNode;

declare const PercentCircle: IconNode;

declare const PercentDiamond: IconNode;

declare const PercentSquare: IconNode;

declare const Percent: IconNode;

declare const PersonStanding: IconNode;

declare const PhoneCall: IconNode;

declare const PhoneForwarded: IconNode;

declare const PhoneIncoming: IconNode;

declare const PhoneMissed: IconNode;

declare const PhoneOff: IconNode;

declare const PhoneOutgoing: IconNode;

declare const Phone: IconNode;

declare const PiSquare: IconNode;

declare const Pi: IconNode;

declare const PictureInPicture2: IconNode;

declare const PictureInPicture: IconNode;

declare const PieChart: IconNode;

declare const PiggyBank: IconNode;

declare const PilcrowSquare: IconNode;

declare const Pilcrow: IconNode;

declare const Pill: IconNode;

declare const PinOff: IconNode;

declare const Pin: IconNode;

declare const Pipette: IconNode;

declare const Pizza: IconNode;

declare const PlaneLanding: IconNode;

declare const PlaneTakeoff: IconNode;

declare const Plane: IconNode;

declare const PlayCircle: IconNode;

declare const PlaySquare: IconNode;

declare const Play: IconNode;

declare const Plug2: IconNode;

declare const PlugZap2: IconNode;

declare const PlugZap: IconNode;

declare const Plug: IconNode;

declare const PlusCircle: IconNode;

declare const PlusSquare: IconNode;

declare const Plus: IconNode;

declare const PocketKnife: IconNode;

declare const Pocket: IconNode;

declare const Podcast: IconNode;

declare const Pointer: IconNode;

declare const Popcorn: IconNode;

declare const Popsicle: IconNode;

declare const PoundSterling: IconNode;

declare const PowerCircle: IconNode;

declare const PowerOff: IconNode;

declare const PowerSquare: IconNode;

declare const Power: IconNode;

declare const Presentation: IconNode;

declare const Printer: IconNode;

declare const Projector: IconNode;

declare const Puzzle: IconNode;

declare const Pyramid: IconNode;

declare const QrCode: IconNode;

declare const Quote: IconNode;

declare const Rabbit: IconNode;

declare const Radar: IconNode;

declare const Radiation: IconNode;

declare const RadioReceiver: IconNode;

declare const RadioTower: IconNode;

declare const Radio: IconNode;

declare const Radius: IconNode;

declare const RailSymbol: IconNode;

declare const Rainbow: IconNode;

declare const Rat: IconNode;

declare const Ratio: IconNode;

declare const Receipt: IconNode;

declare const RectangleHorizontal: IconNode;

declare const RectangleVertical: IconNode;

declare const Recycle: IconNode;

declare const Redo2: IconNode;

declare const RedoDot: IconNode;

declare const Redo: IconNode;

declare const RefreshCcwDot: IconNode;

declare const RefreshCcw: IconNode;

declare const RefreshCwOff: IconNode;

declare const RefreshCw: IconNode;

declare const Refrigerator: IconNode;

declare const Regex: IconNode;

declare const RemoveFormatting: IconNode;

declare const Repeat1: IconNode;

declare const Repeat2: IconNode;

declare const Repeat: IconNode;

declare const ReplaceAll: IconNode;

declare const Replace: IconNode;

declare const ReplyAll: IconNode;

declare const Reply: IconNode;

declare const Rewind: IconNode;

declare const Rocket: IconNode;

declare const RockingChair: IconNode;

declare const RollerCoaster: IconNode;

declare const Rotate3d: IconNode;

declare const RotateCcw: IconNode;

declare const RotateCw: IconNode;

declare const RouteOff: IconNode;

declare const Route: IconNode;

declare const Router: IconNode;

declare const Rows: IconNode;

declare const Rss: IconNode;

declare const Ruler: IconNode;

declare const RussianRuble: IconNode;

declare const Sailboat: IconNode;

declare const Salad: IconNode;

declare const Sandwich: IconNode;

declare const SatelliteDish: IconNode;

declare const Satellite: IconNode;

declare const SaveAll: IconNode;

declare const Save: IconNode;

declare const Scale3d: IconNode;

declare const Scale: IconNode;

declare const Scaling: IconNode;

declare const ScanBarcode: IconNode;

declare const ScanEye: IconNode;

declare const ScanFace: IconNode;

declare const ScanLine: IconNode;

declare const ScanSearch: IconNode;

declare const ScanText: IconNode;

declare const Scan: IconNode;

declare const ScatterChart: IconNode;

declare const School2: IconNode;

declare const School: IconNode;

declare const ScissorsLineDashed: IconNode;

declare const ScissorsSquareDashedBottom: IconNode;

declare const ScissorsSquare: IconNode;

declare const Scissors: IconNode;

declare const ScreenShareOff: IconNode;

declare const ScreenShare: IconNode;

declare const ScrollText: IconNode;

declare const Scroll: IconNode;

declare const SearchCheck: IconNode;

declare const SearchCode: IconNode;

declare const SearchSlash: IconNode;

declare const SearchX: IconNode;

declare const Search: IconNode;

declare const SendHorizontal: IconNode;

declare const SendToBack: IconNode;

declare const Send: IconNode;

declare const SeparatorHorizontal: IconNode;

declare const SeparatorVertical: IconNode;

declare const ServerCog: IconNode;

declare const ServerCrash: IconNode;

declare const ServerOff: IconNode;

declare const Server: IconNode;

declare const Settings2: IconNode;

declare const Settings: IconNode;

declare const Shapes: IconNode;

declare const Share2: IconNode;

declare const Share: IconNode;

declare const Sheet: IconNode;

declare const Shell: IconNode;

declare const ShieldAlert: IconNode;

declare const ShieldBan: IconNode;

declare const ShieldCheck: IconNode;

declare const ShieldEllipsis: IconNode;

declare const ShieldHalf: IconNode;

declare const ShieldMinus: IconNode;

declare const ShieldOff: IconNode;

declare const ShieldPlus: IconNode;

declare const ShieldQuestion: IconNode;

declare const ShieldX: IconNode;

declare const Shield: IconNode;

declare const ShipWheel: IconNode;

declare const Ship: IconNode;

declare const Shirt: IconNode;

declare const ShoppingBag: IconNode;

declare const ShoppingBasket: IconNode;

declare const ShoppingCart: IconNode;

declare const Shovel: IconNode;

declare const ShowerHead: IconNode;

declare const Shrink: IconNode;

declare const Shrub: IconNode;

declare const Shuffle: IconNode;

declare const SigmaSquare: IconNode;

declare const Sigma: IconNode;

declare const SignalHigh: IconNode;

declare const SignalLow: IconNode;

declare const SignalMedium: IconNode;

declare const SignalZero: IconNode;

declare const Signal: IconNode;

declare const SignpostBig: IconNode;

declare const Signpost: IconNode;

declare const Siren: IconNode;

declare const SkipBack: IconNode;

declare const SkipForward: IconNode;

declare const Skull: IconNode;

declare const Slack: IconNode;

declare const Slash: IconNode;

declare const Slice: IconNode;

declare const SlidersHorizontal: IconNode;

declare const Sliders: IconNode;

declare const SmartphoneCharging: IconNode;

declare const SmartphoneNfc: IconNode;

declare const Smartphone: IconNode;

declare const SmilePlus: IconNode;

declare const Smile: IconNode;

declare const Snail: IconNode;

declare const Snowflake: IconNode;

declare const Sofa: IconNode;

declare const Soup: IconNode;

declare const Space: IconNode;

declare const Spade: IconNode;

declare const Sparkle: IconNode;

declare const Sparkles: IconNode;

declare const Speaker: IconNode;

declare const Speech: IconNode;

declare const SpellCheck2: IconNode;

declare const SpellCheck: IconNode;

declare const Spline: IconNode;

declare const SplitSquareHorizontal: IconNode;

declare const SplitSquareVertical: IconNode;

declare const Split: IconNode;

declare const SprayCan: IconNode;

declare const Sprout: IconNode;

declare const SquareAsterisk: IconNode;

declare const SquareCode: IconNode;

declare const SquareDashedBottomCode: IconNode;

declare const SquareDashedBottom: IconNode;

declare const SquareDot: IconNode;

declare const SquareEqual: IconNode;

declare const SquareSlash: IconNode;

declare const SquareStack: IconNode;

declare const Square: IconNode;

declare const Squirrel: IconNode;

declare const Stamp: IconNode;

declare const StarHalf: IconNode;

declare const StarOff: IconNode;

declare const Star: IconNode;

declare const StepBack: IconNode;

declare const StepForward: IconNode;

declare const Stethoscope: IconNode;

declare const Sticker: IconNode;

declare const StickyNote: IconNode;

declare const StopCircle: IconNode;

declare const Store: IconNode;

declare const StretchHorizontal: IconNode;

declare const StretchVertical: IconNode;

declare const Strikethrough: IconNode;

declare const Subscript: IconNode;

declare const Subtitles: IconNode;

declare const SunDim: IconNode;

declare const SunMedium: IconNode;

declare const SunMoon: IconNode;

declare const SunSnow: IconNode;

declare const Sun: IconNode;

declare const Sunrise: IconNode;

declare const Sunset: IconNode;

declare const Superscript: IconNode;

declare const SwissFranc: IconNode;

declare const SwitchCamera: IconNode;

declare const Sword: IconNode;

declare const Swords: IconNode;

declare const Syringe: IconNode;

declare const Table2: IconNode;

declare const TableProperties: IconNode;

declare const Table: IconNode;

declare const TabletSmartphone: IconNode;

declare const Tablet: IconNode;

declare const Tablets: IconNode;

declare const Tag: IconNode;

declare const Tags: IconNode;

declare const Tally1: IconNode;

declare const Tally2: IconNode;

declare const Tally3: IconNode;

declare const Tally4: IconNode;

declare const Tally5: IconNode;

declare const Tangent: IconNode;

declare const Target: IconNode;

declare const TentTree: IconNode;

declare const Tent: IconNode;

declare const TerminalSquare: IconNode;

declare const Terminal: IconNode;

declare const TestTube2: IconNode;

declare const TestTube: IconNode;

declare const TestTubes: IconNode;

declare const TextCursorInput: IconNode;

declare const TextCursor: IconNode;

declare const TextQuote: IconNode;

declare const TextSelect: IconNode;

declare const Text: IconNode;

declare const Theater: IconNode;

declare const ThermometerSnowflake: IconNode;

declare const ThermometerSun: IconNode;

declare const Thermometer: IconNode;

declare const ThumbsDown: IconNode;

declare const ThumbsUp: IconNode;

declare const Ticket: IconNode;

declare const TimerOff: IconNode;

declare const TimerReset: IconNode;

declare const Timer: IconNode;

declare const ToggleLeft: IconNode;

declare const ToggleRight: IconNode;

declare const Tornado: IconNode;

declare const Torus: IconNode;

declare const TouchpadOff: IconNode;

declare const Touchpad: IconNode;

declare const TowerControl: IconNode;

declare const ToyBrick: IconNode;

declare const Tractor: IconNode;

declare const TrafficCone: IconNode;

declare const TrainFrontTunnel: IconNode;

declare const TrainFront: IconNode;

declare const TrainTrack: IconNode;

declare const TramFront: IconNode;

declare const Trash2: IconNode;

declare const Trash: IconNode;

declare const TreeDeciduous: IconNode;

declare const TreePine: IconNode;

declare const Trees: IconNode;

declare const Trello: IconNode;

declare const TrendingDown: IconNode;

declare const TrendingUp: IconNode;

declare const TriangleRight: IconNode;

declare const Triangle: IconNode;

declare const Trophy: IconNode;

declare const Truck: IconNode;

declare const Turtle: IconNode;

declare const Tv2: IconNode;

declare const Tv: IconNode;

declare const Twitch: IconNode;

declare const Twitter: IconNode;

declare const Type: IconNode;

declare const UmbrellaOff: IconNode;

declare const Umbrella: IconNode;

declare const Underline: IconNode;

declare const Undo2: IconNode;

declare const UndoDot: IconNode;

declare const Undo: IconNode;

declare const UnfoldHorizontal: IconNode;

declare const UnfoldVertical: IconNode;

declare const Ungroup: IconNode;

declare const Unlink2: IconNode;

declare const Unlink: IconNode;

declare const UnlockKeyhole: IconNode;

declare const Unlock: IconNode;

declare const Unplug: IconNode;

declare const UploadCloud: IconNode;

declare const Upload: IconNode;

declare const Usb: IconNode;

declare const User2: IconNode;

declare const UserCheck2: IconNode;

declare const UserCheck: IconNode;

declare const UserCircle2: IconNode;

declare const UserCircle: IconNode;

declare const UserCog2: IconNode;

declare const UserCog: IconNode;

declare const UserMinus2: IconNode;

declare const UserMinus: IconNode;

declare const UserPlus2: IconNode;

declare const UserPlus: IconNode;

declare const UserSquare2: IconNode;

declare const UserSquare: IconNode;

declare const UserX2: IconNode;

declare const UserX: IconNode;

declare const User: IconNode;

declare const Users2: IconNode;

declare const Users: IconNode;

declare const UtensilsCrossed: IconNode;

declare const Utensils: IconNode;

declare const UtilityPole: IconNode;

declare const Variable: IconNode;

declare const Vegan: IconNode;

declare const VenetianMask: IconNode;

declare const VibrateOff: IconNode;

declare const Vibrate: IconNode;

declare const VideoOff: IconNode;

declare const Video: IconNode;

declare const Videotape: IconNode;

declare const View: IconNode;

declare const Voicemail: IconNode;

declare const Volume1: IconNode;

declare const Volume2: IconNode;

declare const VolumeX: IconNode;

declare const Volume: IconNode;

declare const Vote: IconNode;

declare const Wallet2: IconNode;

declare const WalletCards: IconNode;

declare const Wallet: IconNode;

declare const Wallpaper: IconNode;

declare const Wand2: IconNode;

declare const Wand: IconNode;

declare const Warehouse: IconNode;

declare const Watch: IconNode;

declare const Waves: IconNode;

declare const Waypoints: IconNode;

declare const Webcam: IconNode;

declare const Webhook: IconNode;

declare const Weight: IconNode;

declare const WheatOff: IconNode;

declare const Wheat: IconNode;

declare const WholeWord: IconNode;

declare const WifiOff: IconNode;

declare const Wifi: IconNode;

declare const Wind: IconNode;

declare const WineOff: IconNode;

declare const Wine: IconNode;

declare const Workflow: IconNode;

declare const WrapText: IconNode;

declare const Wrench: IconNode;

declare const XCircle: IconNode;

declare const XOctagon: IconNode;

declare const XSquare: IconNode;

declare const X: IconNode;

declare const Youtube: IconNode;

declare const ZapOff: IconNode;

declare const Zap: IconNode;

declare const ZoomIn: IconNode;

declare const ZoomOut: IconNode;

declare const iconsAndAliases_Accessibility: typeof Accessibility;
declare const iconsAndAliases_Activity: typeof Activity;
declare const iconsAndAliases_ActivitySquare: typeof ActivitySquare;
declare const iconsAndAliases_AirVent: typeof AirVent;
declare const iconsAndAliases_Airplay: typeof Airplay;
declare const iconsAndAliases_AlarmCheck: typeof AlarmCheck;
declare const iconsAndAliases_AlarmClock: typeof AlarmClock;
declare const iconsAndAliases_AlarmClockOff: typeof AlarmClockOff;
declare const iconsAndAliases_AlarmMinus: typeof AlarmMinus;
declare const iconsAndAliases_AlarmPlus: typeof AlarmPlus;
declare const iconsAndAliases_Album: typeof Album;
declare const iconsAndAliases_AlertCircle: typeof AlertCircle;
declare const iconsAndAliases_AlertOctagon: typeof AlertOctagon;
declare const iconsAndAliases_AlertTriangle: typeof AlertTriangle;
declare const iconsAndAliases_AlignCenter: typeof AlignCenter;
declare const iconsAndAliases_AlignCenterHorizontal: typeof AlignCenterHorizontal;
declare const iconsAndAliases_AlignCenterVertical: typeof AlignCenterVertical;
declare const iconsAndAliases_AlignEndHorizontal: typeof AlignEndHorizontal;
declare const iconsAndAliases_AlignEndVertical: typeof AlignEndVertical;
declare const iconsAndAliases_AlignHorizontalDistributeCenter: typeof AlignHorizontalDistributeCenter;
declare const iconsAndAliases_AlignHorizontalDistributeEnd: typeof AlignHorizontalDistributeEnd;
declare const iconsAndAliases_AlignHorizontalDistributeStart: typeof AlignHorizontalDistributeStart;
declare const iconsAndAliases_AlignHorizontalJustifyCenter: typeof AlignHorizontalJustifyCenter;
declare const iconsAndAliases_AlignHorizontalJustifyEnd: typeof AlignHorizontalJustifyEnd;
declare const iconsAndAliases_AlignHorizontalJustifyStart: typeof AlignHorizontalJustifyStart;
declare const iconsAndAliases_AlignHorizontalSpaceAround: typeof AlignHorizontalSpaceAround;
declare const iconsAndAliases_AlignHorizontalSpaceBetween: typeof AlignHorizontalSpaceBetween;
declare const iconsAndAliases_AlignJustify: typeof AlignJustify;
declare const iconsAndAliases_AlignLeft: typeof AlignLeft;
declare const iconsAndAliases_AlignRight: typeof AlignRight;
declare const iconsAndAliases_AlignStartHorizontal: typeof AlignStartHorizontal;
declare const iconsAndAliases_AlignStartVertical: typeof AlignStartVertical;
declare const iconsAndAliases_AlignVerticalDistributeCenter: typeof AlignVerticalDistributeCenter;
declare const iconsAndAliases_AlignVerticalDistributeEnd: typeof AlignVerticalDistributeEnd;
declare const iconsAndAliases_AlignVerticalDistributeStart: typeof AlignVerticalDistributeStart;
declare const iconsAndAliases_AlignVerticalJustifyCenter: typeof AlignVerticalJustifyCenter;
declare const iconsAndAliases_AlignVerticalJustifyEnd: typeof AlignVerticalJustifyEnd;
declare const iconsAndAliases_AlignVerticalJustifyStart: typeof AlignVerticalJustifyStart;
declare const iconsAndAliases_AlignVerticalSpaceAround: typeof AlignVerticalSpaceAround;
declare const iconsAndAliases_AlignVerticalSpaceBetween: typeof AlignVerticalSpaceBetween;
declare const iconsAndAliases_Ampersand: typeof Ampersand;
declare const iconsAndAliases_Ampersands: typeof Ampersands;
declare const iconsAndAliases_Anchor: typeof Anchor;
declare const iconsAndAliases_Angry: typeof Angry;
declare const iconsAndAliases_Annoyed: typeof Annoyed;
declare const iconsAndAliases_Antenna: typeof Antenna;
declare const iconsAndAliases_Aperture: typeof Aperture;
declare const iconsAndAliases_AppWindow: typeof AppWindow;
declare const iconsAndAliases_Apple: typeof Apple;
declare const iconsAndAliases_Archive: typeof Archive;
declare const iconsAndAliases_ArchiveRestore: typeof ArchiveRestore;
declare const iconsAndAliases_ArchiveX: typeof ArchiveX;
declare const iconsAndAliases_AreaChart: typeof AreaChart;
declare const iconsAndAliases_Armchair: typeof Armchair;
declare const iconsAndAliases_ArrowBigDown: typeof ArrowBigDown;
declare const iconsAndAliases_ArrowBigDownDash: typeof ArrowBigDownDash;
declare const iconsAndAliases_ArrowBigLeft: typeof ArrowBigLeft;
declare const iconsAndAliases_ArrowBigLeftDash: typeof ArrowBigLeftDash;
declare const iconsAndAliases_ArrowBigRight: typeof ArrowBigRight;
declare const iconsAndAliases_ArrowBigRightDash: typeof ArrowBigRightDash;
declare const iconsAndAliases_ArrowBigUp: typeof ArrowBigUp;
declare const iconsAndAliases_ArrowBigUpDash: typeof ArrowBigUpDash;
declare const iconsAndAliases_ArrowDown: typeof ArrowDown;
declare const iconsAndAliases_ArrowDown01: typeof ArrowDown01;
declare const iconsAndAliases_ArrowDown10: typeof ArrowDown10;
declare const iconsAndAliases_ArrowDownAZ: typeof ArrowDownAZ;
declare const iconsAndAliases_ArrowDownCircle: typeof ArrowDownCircle;
declare const iconsAndAliases_ArrowDownFromLine: typeof ArrowDownFromLine;
declare const iconsAndAliases_ArrowDownLeft: typeof ArrowDownLeft;
declare const iconsAndAliases_ArrowDownLeftFromCircle: typeof ArrowDownLeftFromCircle;
declare const iconsAndAliases_ArrowDownLeftSquare: typeof ArrowDownLeftSquare;
declare const iconsAndAliases_ArrowDownNarrowWide: typeof ArrowDownNarrowWide;
declare const iconsAndAliases_ArrowDownRight: typeof ArrowDownRight;
declare const iconsAndAliases_ArrowDownRightFromCircle: typeof ArrowDownRightFromCircle;
declare const iconsAndAliases_ArrowDownRightSquare: typeof ArrowDownRightSquare;
declare const iconsAndAliases_ArrowDownSquare: typeof ArrowDownSquare;
declare const iconsAndAliases_ArrowDownToDot: typeof ArrowDownToDot;
declare const iconsAndAliases_ArrowDownToLine: typeof ArrowDownToLine;
declare const iconsAndAliases_ArrowDownUp: typeof ArrowDownUp;
declare const iconsAndAliases_ArrowDownWideNarrow: typeof ArrowDownWideNarrow;
declare const iconsAndAliases_ArrowDownZA: typeof ArrowDownZA;
declare const iconsAndAliases_ArrowLeft: typeof ArrowLeft;
declare const iconsAndAliases_ArrowLeftCircle: typeof ArrowLeftCircle;
declare const iconsAndAliases_ArrowLeftFromLine: typeof ArrowLeftFromLine;
declare const iconsAndAliases_ArrowLeftRight: typeof ArrowLeftRight;
declare const iconsAndAliases_ArrowLeftSquare: typeof ArrowLeftSquare;
declare const iconsAndAliases_ArrowLeftToLine: typeof ArrowLeftToLine;
declare const iconsAndAliases_ArrowRight: typeof ArrowRight;
declare const iconsAndAliases_ArrowRightCircle: typeof ArrowRightCircle;
declare const iconsAndAliases_ArrowRightFromLine: typeof ArrowRightFromLine;
declare const iconsAndAliases_ArrowRightLeft: typeof ArrowRightLeft;
declare const iconsAndAliases_ArrowRightSquare: typeof ArrowRightSquare;
declare const iconsAndAliases_ArrowRightToLine: typeof ArrowRightToLine;
declare const iconsAndAliases_ArrowUp: typeof ArrowUp;
declare const iconsAndAliases_ArrowUp01: typeof ArrowUp01;
declare const iconsAndAliases_ArrowUp10: typeof ArrowUp10;
declare const iconsAndAliases_ArrowUpAZ: typeof ArrowUpAZ;
declare const iconsAndAliases_ArrowUpCircle: typeof ArrowUpCircle;
declare const iconsAndAliases_ArrowUpDown: typeof ArrowUpDown;
declare const iconsAndAliases_ArrowUpFromDot: typeof ArrowUpFromDot;
declare const iconsAndAliases_ArrowUpFromLine: typeof ArrowUpFromLine;
declare const iconsAndAliases_ArrowUpLeft: typeof ArrowUpLeft;
declare const iconsAndAliases_ArrowUpLeftFromCircle: typeof ArrowUpLeftFromCircle;
declare const iconsAndAliases_ArrowUpLeftSquare: typeof ArrowUpLeftSquare;
declare const iconsAndAliases_ArrowUpNarrowWide: typeof ArrowUpNarrowWide;
declare const iconsAndAliases_ArrowUpRight: typeof ArrowUpRight;
declare const iconsAndAliases_ArrowUpRightFromCircle: typeof ArrowUpRightFromCircle;
declare const iconsAndAliases_ArrowUpRightSquare: typeof ArrowUpRightSquare;
declare const iconsAndAliases_ArrowUpSquare: typeof ArrowUpSquare;
declare const iconsAndAliases_ArrowUpToLine: typeof ArrowUpToLine;
declare const iconsAndAliases_ArrowUpWideNarrow: typeof ArrowUpWideNarrow;
declare const iconsAndAliases_ArrowUpZA: typeof ArrowUpZA;
declare const iconsAndAliases_ArrowsUpFromLine: typeof ArrowsUpFromLine;
declare const iconsAndAliases_Asterisk: typeof Asterisk;
declare const iconsAndAliases_AtSign: typeof AtSign;
declare const iconsAndAliases_Atom: typeof Atom;
declare const iconsAndAliases_Award: typeof Award;
declare const iconsAndAliases_Axe: typeof Axe;
declare const iconsAndAliases_Axis3d: typeof Axis3d;
declare const iconsAndAliases_Baby: typeof Baby;
declare const iconsAndAliases_Backpack: typeof Backpack;
declare const iconsAndAliases_Badge: typeof Badge;
declare const iconsAndAliases_BadgeAlert: typeof BadgeAlert;
declare const iconsAndAliases_BadgeCent: typeof BadgeCent;
declare const iconsAndAliases_BadgeCheck: typeof BadgeCheck;
declare const iconsAndAliases_BadgeDollarSign: typeof BadgeDollarSign;
declare const iconsAndAliases_BadgeEuro: typeof BadgeEuro;
declare const iconsAndAliases_BadgeHelp: typeof BadgeHelp;
declare const iconsAndAliases_BadgeIndianRupee: typeof BadgeIndianRupee;
declare const iconsAndAliases_BadgeInfo: typeof BadgeInfo;
declare const iconsAndAliases_BadgeJapaneseYen: typeof BadgeJapaneseYen;
declare const iconsAndAliases_BadgeMinus: typeof BadgeMinus;
declare const iconsAndAliases_BadgePercent: typeof BadgePercent;
declare const iconsAndAliases_BadgePlus: typeof BadgePlus;
declare const iconsAndAliases_BadgePoundSterling: typeof BadgePoundSterling;
declare const iconsAndAliases_BadgeRussianRuble: typeof BadgeRussianRuble;
declare const iconsAndAliases_BadgeSwissFranc: typeof BadgeSwissFranc;
declare const iconsAndAliases_BadgeX: typeof BadgeX;
declare const iconsAndAliases_BaggageClaim: typeof BaggageClaim;
declare const iconsAndAliases_Ban: typeof Ban;
declare const iconsAndAliases_Banana: typeof Banana;
declare const iconsAndAliases_Banknote: typeof Banknote;
declare const iconsAndAliases_BarChart: typeof BarChart;
declare const iconsAndAliases_BarChart2: typeof BarChart2;
declare const iconsAndAliases_BarChart3: typeof BarChart3;
declare const iconsAndAliases_BarChart4: typeof BarChart4;
declare const iconsAndAliases_BarChartBig: typeof BarChartBig;
declare const iconsAndAliases_BarChartHorizontal: typeof BarChartHorizontal;
declare const iconsAndAliases_BarChartHorizontalBig: typeof BarChartHorizontalBig;
declare const iconsAndAliases_Barcode: typeof Barcode;
declare const iconsAndAliases_Baseline: typeof Baseline;
declare const iconsAndAliases_Bath: typeof Bath;
declare const iconsAndAliases_Battery: typeof Battery;
declare const iconsAndAliases_BatteryCharging: typeof BatteryCharging;
declare const iconsAndAliases_BatteryFull: typeof BatteryFull;
declare const iconsAndAliases_BatteryLow: typeof BatteryLow;
declare const iconsAndAliases_BatteryMedium: typeof BatteryMedium;
declare const iconsAndAliases_BatteryWarning: typeof BatteryWarning;
declare const iconsAndAliases_Beaker: typeof Beaker;
declare const iconsAndAliases_Bean: typeof Bean;
declare const iconsAndAliases_BeanOff: typeof BeanOff;
declare const iconsAndAliases_Bed: typeof Bed;
declare const iconsAndAliases_BedDouble: typeof BedDouble;
declare const iconsAndAliases_BedSingle: typeof BedSingle;
declare const iconsAndAliases_Beef: typeof Beef;
declare const iconsAndAliases_Beer: typeof Beer;
declare const iconsAndAliases_Bell: typeof Bell;
declare const iconsAndAliases_BellDot: typeof BellDot;
declare const iconsAndAliases_BellMinus: typeof BellMinus;
declare const iconsAndAliases_BellOff: typeof BellOff;
declare const iconsAndAliases_BellPlus: typeof BellPlus;
declare const iconsAndAliases_BellRing: typeof BellRing;
declare const iconsAndAliases_Bike: typeof Bike;
declare const iconsAndAliases_Binary: typeof Binary;
declare const iconsAndAliases_Biohazard: typeof Biohazard;
declare const iconsAndAliases_Bird: typeof Bird;
declare const iconsAndAliases_Bitcoin: typeof Bitcoin;
declare const iconsAndAliases_Blinds: typeof Blinds;
declare const iconsAndAliases_Blocks: typeof Blocks;
declare const iconsAndAliases_Bluetooth: typeof Bluetooth;
declare const iconsAndAliases_BluetoothConnected: typeof BluetoothConnected;
declare const iconsAndAliases_BluetoothOff: typeof BluetoothOff;
declare const iconsAndAliases_BluetoothSearching: typeof BluetoothSearching;
declare const iconsAndAliases_Bold: typeof Bold;
declare const iconsAndAliases_Bomb: typeof Bomb;
declare const iconsAndAliases_Bone: typeof Bone;
declare const iconsAndAliases_Book: typeof Book;
declare const iconsAndAliases_BookA: typeof BookA;
declare const iconsAndAliases_BookAudio: typeof BookAudio;
declare const iconsAndAliases_BookCheck: typeof BookCheck;
declare const iconsAndAliases_BookCopy: typeof BookCopy;
declare const iconsAndAliases_BookDashed: typeof BookDashed;
declare const iconsAndAliases_BookDown: typeof BookDown;
declare const iconsAndAliases_BookHeadphones: typeof BookHeadphones;
declare const iconsAndAliases_BookHeart: typeof BookHeart;
declare const iconsAndAliases_BookImage: typeof BookImage;
declare const iconsAndAliases_BookKey: typeof BookKey;
declare const iconsAndAliases_BookLock: typeof BookLock;
declare const iconsAndAliases_BookMarked: typeof BookMarked;
declare const iconsAndAliases_BookMinus: typeof BookMinus;
declare const iconsAndAliases_BookOpen: typeof BookOpen;
declare const iconsAndAliases_BookOpenCheck: typeof BookOpenCheck;
declare const iconsAndAliases_BookOpenText: typeof BookOpenText;
declare const iconsAndAliases_BookPlus: typeof BookPlus;
declare const iconsAndAliases_BookText: typeof BookText;
declare const iconsAndAliases_BookType: typeof BookType;
declare const iconsAndAliases_BookUp: typeof BookUp;
declare const iconsAndAliases_BookUp2: typeof BookUp2;
declare const iconsAndAliases_BookUser: typeof BookUser;
declare const iconsAndAliases_BookX: typeof BookX;
declare const iconsAndAliases_Bookmark: typeof Bookmark;
declare const iconsAndAliases_BookmarkCheck: typeof BookmarkCheck;
declare const iconsAndAliases_BookmarkMinus: typeof BookmarkMinus;
declare const iconsAndAliases_BookmarkPlus: typeof BookmarkPlus;
declare const iconsAndAliases_BookmarkX: typeof BookmarkX;
declare const iconsAndAliases_BoomBox: typeof BoomBox;
declare const iconsAndAliases_Bot: typeof Bot;
declare const iconsAndAliases_Box: typeof Box;
declare const iconsAndAliases_BoxSelect: typeof BoxSelect;
declare const iconsAndAliases_Boxes: typeof Boxes;
declare const iconsAndAliases_Braces: typeof Braces;
declare const iconsAndAliases_Brackets: typeof Brackets;
declare const iconsAndAliases_Brain: typeof Brain;
declare const iconsAndAliases_BrainCircuit: typeof BrainCircuit;
declare const iconsAndAliases_BrainCog: typeof BrainCog;
declare const iconsAndAliases_Briefcase: typeof Briefcase;
declare const iconsAndAliases_BringToFront: typeof BringToFront;
declare const iconsAndAliases_Brush: typeof Brush;
declare const iconsAndAliases_Bug: typeof Bug;
declare const iconsAndAliases_BugOff: typeof BugOff;
declare const iconsAndAliases_BugPlay: typeof BugPlay;
declare const iconsAndAliases_Building: typeof Building;
declare const iconsAndAliases_Building2: typeof Building2;
declare const iconsAndAliases_Bus: typeof Bus;
declare const iconsAndAliases_BusFront: typeof BusFront;
declare const iconsAndAliases_Cable: typeof Cable;
declare const iconsAndAliases_CableCar: typeof CableCar;
declare const iconsAndAliases_Cake: typeof Cake;
declare const iconsAndAliases_CakeSlice: typeof CakeSlice;
declare const iconsAndAliases_Calculator: typeof Calculator;
declare const iconsAndAliases_Calendar: typeof Calendar;
declare const iconsAndAliases_CalendarCheck: typeof CalendarCheck;
declare const iconsAndAliases_CalendarCheck2: typeof CalendarCheck2;
declare const iconsAndAliases_CalendarClock: typeof CalendarClock;
declare const iconsAndAliases_CalendarDays: typeof CalendarDays;
declare const iconsAndAliases_CalendarHeart: typeof CalendarHeart;
declare const iconsAndAliases_CalendarMinus: typeof CalendarMinus;
declare const iconsAndAliases_CalendarOff: typeof CalendarOff;
declare const iconsAndAliases_CalendarPlus: typeof CalendarPlus;
declare const iconsAndAliases_CalendarRange: typeof CalendarRange;
declare const iconsAndAliases_CalendarSearch: typeof CalendarSearch;
declare const iconsAndAliases_CalendarX: typeof CalendarX;
declare const iconsAndAliases_CalendarX2: typeof CalendarX2;
declare const iconsAndAliases_Camera: typeof Camera;
declare const iconsAndAliases_CameraOff: typeof CameraOff;
declare const iconsAndAliases_CandlestickChart: typeof CandlestickChart;
declare const iconsAndAliases_Candy: typeof Candy;
declare const iconsAndAliases_CandyCane: typeof CandyCane;
declare const iconsAndAliases_CandyOff: typeof CandyOff;
declare const iconsAndAliases_Car: typeof Car;
declare const iconsAndAliases_CarFront: typeof CarFront;
declare const iconsAndAliases_CarTaxiFront: typeof CarTaxiFront;
declare const iconsAndAliases_Caravan: typeof Caravan;
declare const iconsAndAliases_Carrot: typeof Carrot;
declare const iconsAndAliases_CaseLower: typeof CaseLower;
declare const iconsAndAliases_CaseSensitive: typeof CaseSensitive;
declare const iconsAndAliases_CaseUpper: typeof CaseUpper;
declare const iconsAndAliases_CassetteTape: typeof CassetteTape;
declare const iconsAndAliases_Cast: typeof Cast;
declare const iconsAndAliases_Castle: typeof Castle;
declare const iconsAndAliases_Cat: typeof Cat;
declare const iconsAndAliases_Check: typeof Check;
declare const iconsAndAliases_CheckCheck: typeof CheckCheck;
declare const iconsAndAliases_CheckCircle: typeof CheckCircle;
declare const iconsAndAliases_CheckCircle2: typeof CheckCircle2;
declare const iconsAndAliases_CheckSquare: typeof CheckSquare;
declare const iconsAndAliases_ChefHat: typeof ChefHat;
declare const iconsAndAliases_Cherry: typeof Cherry;
declare const iconsAndAliases_ChevronDown: typeof ChevronDown;
declare const iconsAndAliases_ChevronDownCircle: typeof ChevronDownCircle;
declare const iconsAndAliases_ChevronDownSquare: typeof ChevronDownSquare;
declare const iconsAndAliases_ChevronFirst: typeof ChevronFirst;
declare const iconsAndAliases_ChevronLast: typeof ChevronLast;
declare const iconsAndAliases_ChevronLeft: typeof ChevronLeft;
declare const iconsAndAliases_ChevronLeftCircle: typeof ChevronLeftCircle;
declare const iconsAndAliases_ChevronLeftSquare: typeof ChevronLeftSquare;
declare const iconsAndAliases_ChevronRight: typeof ChevronRight;
declare const iconsAndAliases_ChevronRightCircle: typeof ChevronRightCircle;
declare const iconsAndAliases_ChevronRightSquare: typeof ChevronRightSquare;
declare const iconsAndAliases_ChevronUp: typeof ChevronUp;
declare const iconsAndAliases_ChevronUpCircle: typeof ChevronUpCircle;
declare const iconsAndAliases_ChevronUpSquare: typeof ChevronUpSquare;
declare const iconsAndAliases_ChevronsDown: typeof ChevronsDown;
declare const iconsAndAliases_ChevronsDownUp: typeof ChevronsDownUp;
declare const iconsAndAliases_ChevronsLeft: typeof ChevronsLeft;
declare const iconsAndAliases_ChevronsLeftRight: typeof ChevronsLeftRight;
declare const iconsAndAliases_ChevronsRight: typeof ChevronsRight;
declare const iconsAndAliases_ChevronsRightLeft: typeof ChevronsRightLeft;
declare const iconsAndAliases_ChevronsUp: typeof ChevronsUp;
declare const iconsAndAliases_ChevronsUpDown: typeof ChevronsUpDown;
declare const iconsAndAliases_Chrome: typeof Chrome;
declare const iconsAndAliases_Church: typeof Church;
declare const iconsAndAliases_Cigarette: typeof Cigarette;
declare const iconsAndAliases_CigaretteOff: typeof CigaretteOff;
declare const iconsAndAliases_Circle: typeof Circle;
declare const iconsAndAliases_CircleDashed: typeof CircleDashed;
declare const iconsAndAliases_CircleDollarSign: typeof CircleDollarSign;
declare const iconsAndAliases_CircleDot: typeof CircleDot;
declare const iconsAndAliases_CircleDotDashed: typeof CircleDotDashed;
declare const iconsAndAliases_CircleEllipsis: typeof CircleEllipsis;
declare const iconsAndAliases_CircleEqual: typeof CircleEqual;
declare const iconsAndAliases_CircleOff: typeof CircleOff;
declare const iconsAndAliases_CircleSlash: typeof CircleSlash;
declare const iconsAndAliases_CircleSlash2: typeof CircleSlash2;
declare const iconsAndAliases_CircuitBoard: typeof CircuitBoard;
declare const iconsAndAliases_Citrus: typeof Citrus;
declare const iconsAndAliases_Clapperboard: typeof Clapperboard;
declare const iconsAndAliases_Clipboard: typeof Clipboard;
declare const iconsAndAliases_ClipboardCheck: typeof ClipboardCheck;
declare const iconsAndAliases_ClipboardCopy: typeof ClipboardCopy;
declare const iconsAndAliases_ClipboardEdit: typeof ClipboardEdit;
declare const iconsAndAliases_ClipboardList: typeof ClipboardList;
declare const iconsAndAliases_ClipboardPaste: typeof ClipboardPaste;
declare const iconsAndAliases_ClipboardSignature: typeof ClipboardSignature;
declare const iconsAndAliases_ClipboardType: typeof ClipboardType;
declare const iconsAndAliases_ClipboardX: typeof ClipboardX;
declare const iconsAndAliases_Clock: typeof Clock;
declare const iconsAndAliases_Clock1: typeof Clock1;
declare const iconsAndAliases_Clock10: typeof Clock10;
declare const iconsAndAliases_Clock11: typeof Clock11;
declare const iconsAndAliases_Clock12: typeof Clock12;
declare const iconsAndAliases_Clock2: typeof Clock2;
declare const iconsAndAliases_Clock3: typeof Clock3;
declare const iconsAndAliases_Clock4: typeof Clock4;
declare const iconsAndAliases_Clock5: typeof Clock5;
declare const iconsAndAliases_Clock6: typeof Clock6;
declare const iconsAndAliases_Clock7: typeof Clock7;
declare const iconsAndAliases_Clock8: typeof Clock8;
declare const iconsAndAliases_Clock9: typeof Clock9;
declare const iconsAndAliases_Cloud: typeof Cloud;
declare const iconsAndAliases_CloudCog: typeof CloudCog;
declare const iconsAndAliases_CloudDrizzle: typeof CloudDrizzle;
declare const iconsAndAliases_CloudFog: typeof CloudFog;
declare const iconsAndAliases_CloudHail: typeof CloudHail;
declare const iconsAndAliases_CloudLightning: typeof CloudLightning;
declare const iconsAndAliases_CloudMoon: typeof CloudMoon;
declare const iconsAndAliases_CloudMoonRain: typeof CloudMoonRain;
declare const iconsAndAliases_CloudOff: typeof CloudOff;
declare const iconsAndAliases_CloudRain: typeof CloudRain;
declare const iconsAndAliases_CloudRainWind: typeof CloudRainWind;
declare const iconsAndAliases_CloudSnow: typeof CloudSnow;
declare const iconsAndAliases_CloudSun: typeof CloudSun;
declare const iconsAndAliases_CloudSunRain: typeof CloudSunRain;
declare const iconsAndAliases_Cloudy: typeof Cloudy;
declare const iconsAndAliases_Clover: typeof Clover;
declare const iconsAndAliases_Club: typeof Club;
declare const iconsAndAliases_Code: typeof Code;
declare const iconsAndAliases_Code2: typeof Code2;
declare const iconsAndAliases_Codepen: typeof Codepen;
declare const iconsAndAliases_Codesandbox: typeof Codesandbox;
declare const iconsAndAliases_Coffee: typeof Coffee;
declare const iconsAndAliases_Cog: typeof Cog;
declare const iconsAndAliases_Coins: typeof Coins;
declare const iconsAndAliases_Columns: typeof Columns;
declare const iconsAndAliases_Combine: typeof Combine;
declare const iconsAndAliases_Command: typeof Command;
declare const iconsAndAliases_Compass: typeof Compass;
declare const iconsAndAliases_Component: typeof Component;
declare const iconsAndAliases_Computer: typeof Computer;
declare const iconsAndAliases_ConciergeBell: typeof ConciergeBell;
declare const iconsAndAliases_Cone: typeof Cone;
declare const iconsAndAliases_Construction: typeof Construction;
declare const iconsAndAliases_Contact: typeof Contact;
declare const iconsAndAliases_Contact2: typeof Contact2;
declare const iconsAndAliases_Container: typeof Container;
declare const iconsAndAliases_Contrast: typeof Contrast;
declare const iconsAndAliases_Cookie: typeof Cookie;
declare const iconsAndAliases_Copy: typeof Copy;
declare const iconsAndAliases_CopyCheck: typeof CopyCheck;
declare const iconsAndAliases_CopyMinus: typeof CopyMinus;
declare const iconsAndAliases_CopyPlus: typeof CopyPlus;
declare const iconsAndAliases_CopySlash: typeof CopySlash;
declare const iconsAndAliases_CopyX: typeof CopyX;
declare const iconsAndAliases_Copyleft: typeof Copyleft;
declare const iconsAndAliases_Copyright: typeof Copyright;
declare const iconsAndAliases_CornerDownLeft: typeof CornerDownLeft;
declare const iconsAndAliases_CornerDownRight: typeof CornerDownRight;
declare const iconsAndAliases_CornerLeftDown: typeof CornerLeftDown;
declare const iconsAndAliases_CornerLeftUp: typeof CornerLeftUp;
declare const iconsAndAliases_CornerRightDown: typeof CornerRightDown;
declare const iconsAndAliases_CornerRightUp: typeof CornerRightUp;
declare const iconsAndAliases_CornerUpLeft: typeof CornerUpLeft;
declare const iconsAndAliases_CornerUpRight: typeof CornerUpRight;
declare const iconsAndAliases_Cpu: typeof Cpu;
declare const iconsAndAliases_CreativeCommons: typeof CreativeCommons;
declare const iconsAndAliases_CreditCard: typeof CreditCard;
declare const iconsAndAliases_Croissant: typeof Croissant;
declare const iconsAndAliases_Crop: typeof Crop;
declare const iconsAndAliases_Cross: typeof Cross;
declare const iconsAndAliases_Crosshair: typeof Crosshair;
declare const iconsAndAliases_Crown: typeof Crown;
declare const iconsAndAliases_Cuboid: typeof Cuboid;
declare const iconsAndAliases_CupSoda: typeof CupSoda;
declare const iconsAndAliases_Currency: typeof Currency;
declare const iconsAndAliases_Cylinder: typeof Cylinder;
declare const iconsAndAliases_Database: typeof Database;
declare const iconsAndAliases_DatabaseBackup: typeof DatabaseBackup;
declare const iconsAndAliases_DatabaseZap: typeof DatabaseZap;
declare const iconsAndAliases_Delete: typeof Delete;
declare const iconsAndAliases_Dessert: typeof Dessert;
declare const iconsAndAliases_Diameter: typeof Diameter;
declare const iconsAndAliases_Diamond: typeof Diamond;
declare const iconsAndAliases_Dice1: typeof Dice1;
declare const iconsAndAliases_Dice2: typeof Dice2;
declare const iconsAndAliases_Dice3: typeof Dice3;
declare const iconsAndAliases_Dice4: typeof Dice4;
declare const iconsAndAliases_Dice5: typeof Dice5;
declare const iconsAndAliases_Dice6: typeof Dice6;
declare const iconsAndAliases_Dices: typeof Dices;
declare const iconsAndAliases_Diff: typeof Diff;
declare const iconsAndAliases_Disc: typeof Disc;
declare const iconsAndAliases_Disc2: typeof Disc2;
declare const iconsAndAliases_Disc3: typeof Disc3;
declare const iconsAndAliases_Divide: typeof Divide;
declare const iconsAndAliases_DivideCircle: typeof DivideCircle;
declare const iconsAndAliases_DivideSquare: typeof DivideSquare;
declare const iconsAndAliases_Dna: typeof Dna;
declare const iconsAndAliases_DnaOff: typeof DnaOff;
declare const iconsAndAliases_Dog: typeof Dog;
declare const iconsAndAliases_DollarSign: typeof DollarSign;
declare const iconsAndAliases_Donut: typeof Donut;
declare const iconsAndAliases_DoorClosed: typeof DoorClosed;
declare const iconsAndAliases_DoorOpen: typeof DoorOpen;
declare const iconsAndAliases_Dot: typeof Dot;
declare const iconsAndAliases_Download: typeof Download;
declare const iconsAndAliases_DownloadCloud: typeof DownloadCloud;
declare const iconsAndAliases_DraftingCompass: typeof DraftingCompass;
declare const iconsAndAliases_Drama: typeof Drama;
declare const iconsAndAliases_Dribbble: typeof Dribbble;
declare const iconsAndAliases_Droplet: typeof Droplet;
declare const iconsAndAliases_Droplets: typeof Droplets;
declare const iconsAndAliases_Drumstick: typeof Drumstick;
declare const iconsAndAliases_Dumbbell: typeof Dumbbell;
declare const iconsAndAliases_Ear: typeof Ear;
declare const iconsAndAliases_EarOff: typeof EarOff;
declare const iconsAndAliases_Egg: typeof Egg;
declare const iconsAndAliases_EggFried: typeof EggFried;
declare const iconsAndAliases_EggOff: typeof EggOff;
declare const iconsAndAliases_Equal: typeof Equal;
declare const iconsAndAliases_EqualNot: typeof EqualNot;
declare const iconsAndAliases_Eraser: typeof Eraser;
declare const iconsAndAliases_Euro: typeof Euro;
declare const iconsAndAliases_Expand: typeof Expand;
declare const iconsAndAliases_ExternalLink: typeof ExternalLink;
declare const iconsAndAliases_Eye: typeof Eye;
declare const iconsAndAliases_EyeOff: typeof EyeOff;
declare const iconsAndAliases_Facebook: typeof Facebook;
declare const iconsAndAliases_Factory: typeof Factory;
declare const iconsAndAliases_Fan: typeof Fan;
declare const iconsAndAliases_FastForward: typeof FastForward;
declare const iconsAndAliases_Feather: typeof Feather;
declare const iconsAndAliases_FerrisWheel: typeof FerrisWheel;
declare const iconsAndAliases_Figma: typeof Figma;
declare const iconsAndAliases_File: typeof File;
declare const iconsAndAliases_FileArchive: typeof FileArchive;
declare const iconsAndAliases_FileAudio: typeof FileAudio;
declare const iconsAndAliases_FileAudio2: typeof FileAudio2;
declare const iconsAndAliases_FileAxis3d: typeof FileAxis3d;
declare const iconsAndAliases_FileBadge: typeof FileBadge;
declare const iconsAndAliases_FileBadge2: typeof FileBadge2;
declare const iconsAndAliases_FileBarChart: typeof FileBarChart;
declare const iconsAndAliases_FileBarChart2: typeof FileBarChart2;
declare const iconsAndAliases_FileBox: typeof FileBox;
declare const iconsAndAliases_FileCheck: typeof FileCheck;
declare const iconsAndAliases_FileCheck2: typeof FileCheck2;
declare const iconsAndAliases_FileClock: typeof FileClock;
declare const iconsAndAliases_FileCode: typeof FileCode;
declare const iconsAndAliases_FileCode2: typeof FileCode2;
declare const iconsAndAliases_FileCog: typeof FileCog;
declare const iconsAndAliases_FileDiff: typeof FileDiff;
declare const iconsAndAliases_FileDigit: typeof FileDigit;
declare const iconsAndAliases_FileDown: typeof FileDown;
declare const iconsAndAliases_FileEdit: typeof FileEdit;
declare const iconsAndAliases_FileHeart: typeof FileHeart;
declare const iconsAndAliases_FileImage: typeof FileImage;
declare const iconsAndAliases_FileInput: typeof FileInput;
declare const iconsAndAliases_FileJson: typeof FileJson;
declare const iconsAndAliases_FileJson2: typeof FileJson2;
declare const iconsAndAliases_FileKey: typeof FileKey;
declare const iconsAndAliases_FileKey2: typeof FileKey2;
declare const iconsAndAliases_FileLineChart: typeof FileLineChart;
declare const iconsAndAliases_FileLock: typeof FileLock;
declare const iconsAndAliases_FileLock2: typeof FileLock2;
declare const iconsAndAliases_FileMinus: typeof FileMinus;
declare const iconsAndAliases_FileMinus2: typeof FileMinus2;
declare const iconsAndAliases_FileOutput: typeof FileOutput;
declare const iconsAndAliases_FilePieChart: typeof FilePieChart;
declare const iconsAndAliases_FilePlus: typeof FilePlus;
declare const iconsAndAliases_FilePlus2: typeof FilePlus2;
declare const iconsAndAliases_FileQuestion: typeof FileQuestion;
declare const iconsAndAliases_FileScan: typeof FileScan;
declare const iconsAndAliases_FileSearch: typeof FileSearch;
declare const iconsAndAliases_FileSearch2: typeof FileSearch2;
declare const iconsAndAliases_FileSignature: typeof FileSignature;
declare const iconsAndAliases_FileSpreadsheet: typeof FileSpreadsheet;
declare const iconsAndAliases_FileStack: typeof FileStack;
declare const iconsAndAliases_FileSymlink: typeof FileSymlink;
declare const iconsAndAliases_FileTerminal: typeof FileTerminal;
declare const iconsAndAliases_FileText: typeof FileText;
declare const iconsAndAliases_FileType: typeof FileType;
declare const iconsAndAliases_FileType2: typeof FileType2;
declare const iconsAndAliases_FileUp: typeof FileUp;
declare const iconsAndAliases_FileVideo: typeof FileVideo;
declare const iconsAndAliases_FileVideo2: typeof FileVideo2;
declare const iconsAndAliases_FileVolume: typeof FileVolume;
declare const iconsAndAliases_FileVolume2: typeof FileVolume2;
declare const iconsAndAliases_FileWarning: typeof FileWarning;
declare const iconsAndAliases_FileX: typeof FileX;
declare const iconsAndAliases_FileX2: typeof FileX2;
declare const iconsAndAliases_Files: typeof Files;
declare const iconsAndAliases_Film: typeof Film;
declare const iconsAndAliases_Filter: typeof Filter;
declare const iconsAndAliases_FilterX: typeof FilterX;
declare const iconsAndAliases_Fingerprint: typeof Fingerprint;
declare const iconsAndAliases_Fish: typeof Fish;
declare const iconsAndAliases_FishOff: typeof FishOff;
declare const iconsAndAliases_FishSymbol: typeof FishSymbol;
declare const iconsAndAliases_Flag: typeof Flag;
declare const iconsAndAliases_FlagOff: typeof FlagOff;
declare const iconsAndAliases_FlagTriangleLeft: typeof FlagTriangleLeft;
declare const iconsAndAliases_FlagTriangleRight: typeof FlagTriangleRight;
declare const iconsAndAliases_Flame: typeof Flame;
declare const iconsAndAliases_FlameKindling: typeof FlameKindling;
declare const iconsAndAliases_Flashlight: typeof Flashlight;
declare const iconsAndAliases_FlashlightOff: typeof FlashlightOff;
declare const iconsAndAliases_FlaskConical: typeof FlaskConical;
declare const iconsAndAliases_FlaskConicalOff: typeof FlaskConicalOff;
declare const iconsAndAliases_FlaskRound: typeof FlaskRound;
declare const iconsAndAliases_FlipHorizontal: typeof FlipHorizontal;
declare const iconsAndAliases_FlipHorizontal2: typeof FlipHorizontal2;
declare const iconsAndAliases_FlipVertical: typeof FlipVertical;
declare const iconsAndAliases_FlipVertical2: typeof FlipVertical2;
declare const iconsAndAliases_Flower: typeof Flower;
declare const iconsAndAliases_Flower2: typeof Flower2;
declare const iconsAndAliases_Focus: typeof Focus;
declare const iconsAndAliases_FoldHorizontal: typeof FoldHorizontal;
declare const iconsAndAliases_FoldVertical: typeof FoldVertical;
declare const iconsAndAliases_Folder: typeof Folder;
declare const iconsAndAliases_FolderArchive: typeof FolderArchive;
declare const iconsAndAliases_FolderCheck: typeof FolderCheck;
declare const iconsAndAliases_FolderClock: typeof FolderClock;
declare const iconsAndAliases_FolderClosed: typeof FolderClosed;
declare const iconsAndAliases_FolderCog: typeof FolderCog;
declare const iconsAndAliases_FolderDot: typeof FolderDot;
declare const iconsAndAliases_FolderDown: typeof FolderDown;
declare const iconsAndAliases_FolderEdit: typeof FolderEdit;
declare const iconsAndAliases_FolderGit: typeof FolderGit;
declare const iconsAndAliases_FolderGit2: typeof FolderGit2;
declare const iconsAndAliases_FolderHeart: typeof FolderHeart;
declare const iconsAndAliases_FolderInput: typeof FolderInput;
declare const iconsAndAliases_FolderKanban: typeof FolderKanban;
declare const iconsAndAliases_FolderKey: typeof FolderKey;
declare const iconsAndAliases_FolderLock: typeof FolderLock;
declare const iconsAndAliases_FolderMinus: typeof FolderMinus;
declare const iconsAndAliases_FolderOpen: typeof FolderOpen;
declare const iconsAndAliases_FolderOpenDot: typeof FolderOpenDot;
declare const iconsAndAliases_FolderOutput: typeof FolderOutput;
declare const iconsAndAliases_FolderPlus: typeof FolderPlus;
declare const iconsAndAliases_FolderRoot: typeof FolderRoot;
declare const iconsAndAliases_FolderSearch: typeof FolderSearch;
declare const iconsAndAliases_FolderSearch2: typeof FolderSearch2;
declare const iconsAndAliases_FolderSymlink: typeof FolderSymlink;
declare const iconsAndAliases_FolderSync: typeof FolderSync;
declare const iconsAndAliases_FolderTree: typeof FolderTree;
declare const iconsAndAliases_FolderUp: typeof FolderUp;
declare const iconsAndAliases_FolderX: typeof FolderX;
declare const iconsAndAliases_Folders: typeof Folders;
declare const iconsAndAliases_Footprints: typeof Footprints;
declare const iconsAndAliases_Forklift: typeof Forklift;
declare const iconsAndAliases_FormInput: typeof FormInput;
declare const iconsAndAliases_Forward: typeof Forward;
declare const iconsAndAliases_Frame: typeof Frame;
declare const iconsAndAliases_Framer: typeof Framer;
declare const iconsAndAliases_Frown: typeof Frown;
declare const iconsAndAliases_Fuel: typeof Fuel;
declare const iconsAndAliases_Fullscreen: typeof Fullscreen;
declare const iconsAndAliases_FunctionSquare: typeof FunctionSquare;
declare const iconsAndAliases_GalleryHorizontal: typeof GalleryHorizontal;
declare const iconsAndAliases_GalleryHorizontalEnd: typeof GalleryHorizontalEnd;
declare const iconsAndAliases_GalleryThumbnails: typeof GalleryThumbnails;
declare const iconsAndAliases_GalleryVertical: typeof GalleryVertical;
declare const iconsAndAliases_GalleryVerticalEnd: typeof GalleryVerticalEnd;
declare const iconsAndAliases_Gamepad: typeof Gamepad;
declare const iconsAndAliases_Gamepad2: typeof Gamepad2;
declare const iconsAndAliases_GanttChart: typeof GanttChart;
declare const iconsAndAliases_GanttChartSquare: typeof GanttChartSquare;
declare const iconsAndAliases_Gauge: typeof Gauge;
declare const iconsAndAliases_GaugeCircle: typeof GaugeCircle;
declare const iconsAndAliases_Gavel: typeof Gavel;
declare const iconsAndAliases_Gem: typeof Gem;
declare const iconsAndAliases_Ghost: typeof Ghost;
declare const iconsAndAliases_Gift: typeof Gift;
declare const iconsAndAliases_GitBranch: typeof GitBranch;
declare const iconsAndAliases_GitBranchPlus: typeof GitBranchPlus;
declare const iconsAndAliases_GitCommitHorizontal: typeof GitCommitHorizontal;
declare const iconsAndAliases_GitCommitVertical: typeof GitCommitVertical;
declare const iconsAndAliases_GitCompare: typeof GitCompare;
declare const iconsAndAliases_GitCompareArrows: typeof GitCompareArrows;
declare const iconsAndAliases_GitFork: typeof GitFork;
declare const iconsAndAliases_GitGraph: typeof GitGraph;
declare const iconsAndAliases_GitMerge: typeof GitMerge;
declare const iconsAndAliases_GitPullRequest: typeof GitPullRequest;
declare const iconsAndAliases_GitPullRequestArrow: typeof GitPullRequestArrow;
declare const iconsAndAliases_GitPullRequestClosed: typeof GitPullRequestClosed;
declare const iconsAndAliases_GitPullRequestCreate: typeof GitPullRequestCreate;
declare const iconsAndAliases_GitPullRequestCreateArrow: typeof GitPullRequestCreateArrow;
declare const iconsAndAliases_GitPullRequestDraft: typeof GitPullRequestDraft;
declare const iconsAndAliases_Github: typeof Github;
declare const iconsAndAliases_Gitlab: typeof Gitlab;
declare const iconsAndAliases_GlassWater: typeof GlassWater;
declare const iconsAndAliases_Glasses: typeof Glasses;
declare const iconsAndAliases_Globe: typeof Globe;
declare const iconsAndAliases_Globe2: typeof Globe2;
declare const iconsAndAliases_Goal: typeof Goal;
declare const iconsAndAliases_Grab: typeof Grab;
declare const iconsAndAliases_GraduationCap: typeof GraduationCap;
declare const iconsAndAliases_Grape: typeof Grape;
declare const iconsAndAliases_Grid2x2: typeof Grid2x2;
declare const iconsAndAliases_Grid3x3: typeof Grid3x3;
declare const iconsAndAliases_Grip: typeof Grip;
declare const iconsAndAliases_GripHorizontal: typeof GripHorizontal;
declare const iconsAndAliases_GripVertical: typeof GripVertical;
declare const iconsAndAliases_Group: typeof Group;
declare const iconsAndAliases_Hammer: typeof Hammer;
declare const iconsAndAliases_Hand: typeof Hand;
declare const iconsAndAliases_HandMetal: typeof HandMetal;
declare const iconsAndAliases_HardDrive: typeof HardDrive;
declare const iconsAndAliases_HardDriveDownload: typeof HardDriveDownload;
declare const iconsAndAliases_HardDriveUpload: typeof HardDriveUpload;
declare const iconsAndAliases_HardHat: typeof HardHat;
declare const iconsAndAliases_Hash: typeof Hash;
declare const iconsAndAliases_Haze: typeof Haze;
declare const iconsAndAliases_HdmiPort: typeof HdmiPort;
declare const iconsAndAliases_Heading: typeof Heading;
declare const iconsAndAliases_Heading1: typeof Heading1;
declare const iconsAndAliases_Heading2: typeof Heading2;
declare const iconsAndAliases_Heading3: typeof Heading3;
declare const iconsAndAliases_Heading4: typeof Heading4;
declare const iconsAndAliases_Heading5: typeof Heading5;
declare const iconsAndAliases_Heading6: typeof Heading6;
declare const iconsAndAliases_Headphones: typeof Headphones;
declare const iconsAndAliases_Heart: typeof Heart;
declare const iconsAndAliases_HeartCrack: typeof HeartCrack;
declare const iconsAndAliases_HeartHandshake: typeof HeartHandshake;
declare const iconsAndAliases_HeartOff: typeof HeartOff;
declare const iconsAndAliases_HeartPulse: typeof HeartPulse;
declare const iconsAndAliases_HelpCircle: typeof HelpCircle;
declare const iconsAndAliases_HelpingHand: typeof HelpingHand;
declare const iconsAndAliases_Hexagon: typeof Hexagon;
declare const iconsAndAliases_Highlighter: typeof Highlighter;
declare const iconsAndAliases_History: typeof History;
declare const iconsAndAliases_Home: typeof Home;
declare const iconsAndAliases_Hop: typeof Hop;
declare const iconsAndAliases_HopOff: typeof HopOff;
declare const iconsAndAliases_Hotel: typeof Hotel;
declare const iconsAndAliases_Hourglass: typeof Hourglass;
declare const iconsAndAliases_IceCream: typeof IceCream;
declare const iconsAndAliases_IceCream2: typeof IceCream2;
declare const iconsAndAliases_Image: typeof Image;
declare const iconsAndAliases_ImageDown: typeof ImageDown;
declare const iconsAndAliases_ImageMinus: typeof ImageMinus;
declare const iconsAndAliases_ImageOff: typeof ImageOff;
declare const iconsAndAliases_ImagePlus: typeof ImagePlus;
declare const iconsAndAliases_Import: typeof Import;
declare const iconsAndAliases_Inbox: typeof Inbox;
declare const iconsAndAliases_Indent: typeof Indent;
declare const iconsAndAliases_IndianRupee: typeof IndianRupee;
declare const iconsAndAliases_Infinity: typeof Infinity;
declare const iconsAndAliases_Info: typeof Info;
declare const iconsAndAliases_Instagram: typeof Instagram;
declare const iconsAndAliases_Italic: typeof Italic;
declare const iconsAndAliases_IterationCcw: typeof IterationCcw;
declare const iconsAndAliases_IterationCw: typeof IterationCw;
declare const iconsAndAliases_JapaneseYen: typeof JapaneseYen;
declare const iconsAndAliases_Joystick: typeof Joystick;
declare const iconsAndAliases_Kanban: typeof Kanban;
declare const iconsAndAliases_KanbanSquare: typeof KanbanSquare;
declare const iconsAndAliases_KanbanSquareDashed: typeof KanbanSquareDashed;
declare const iconsAndAliases_Key: typeof Key;
declare const iconsAndAliases_KeyRound: typeof KeyRound;
declare const iconsAndAliases_KeySquare: typeof KeySquare;
declare const iconsAndAliases_Keyboard: typeof Keyboard;
declare const iconsAndAliases_Lamp: typeof Lamp;
declare const iconsAndAliases_LampCeiling: typeof LampCeiling;
declare const iconsAndAliases_LampDesk: typeof LampDesk;
declare const iconsAndAliases_LampFloor: typeof LampFloor;
declare const iconsAndAliases_LampWallDown: typeof LampWallDown;
declare const iconsAndAliases_LampWallUp: typeof LampWallUp;
declare const iconsAndAliases_LandPlot: typeof LandPlot;
declare const iconsAndAliases_Landmark: typeof Landmark;
declare const iconsAndAliases_Languages: typeof Languages;
declare const iconsAndAliases_Laptop: typeof Laptop;
declare const iconsAndAliases_Laptop2: typeof Laptop2;
declare const iconsAndAliases_Lasso: typeof Lasso;
declare const iconsAndAliases_LassoSelect: typeof LassoSelect;
declare const iconsAndAliases_Laugh: typeof Laugh;
declare const iconsAndAliases_Layers: typeof Layers;
declare const iconsAndAliases_Layers2: typeof Layers2;
declare const iconsAndAliases_Layers3: typeof Layers3;
declare const iconsAndAliases_Layout: typeof Layout;
declare const iconsAndAliases_LayoutDashboard: typeof LayoutDashboard;
declare const iconsAndAliases_LayoutGrid: typeof LayoutGrid;
declare const iconsAndAliases_LayoutList: typeof LayoutList;
declare const iconsAndAliases_LayoutPanelLeft: typeof LayoutPanelLeft;
declare const iconsAndAliases_LayoutPanelTop: typeof LayoutPanelTop;
declare const iconsAndAliases_LayoutTemplate: typeof LayoutTemplate;
declare const iconsAndAliases_Leaf: typeof Leaf;
declare const iconsAndAliases_LeafyGreen: typeof LeafyGreen;
declare const iconsAndAliases_Library: typeof Library;
declare const iconsAndAliases_LibraryBig: typeof LibraryBig;
declare const iconsAndAliases_LibrarySquare: typeof LibrarySquare;
declare const iconsAndAliases_LifeBuoy: typeof LifeBuoy;
declare const iconsAndAliases_Ligature: typeof Ligature;
declare const iconsAndAliases_Lightbulb: typeof Lightbulb;
declare const iconsAndAliases_LightbulbOff: typeof LightbulbOff;
declare const iconsAndAliases_LineChart: typeof LineChart;
declare const iconsAndAliases_Link: typeof Link;
declare const iconsAndAliases_Link2: typeof Link2;
declare const iconsAndAliases_Link2Off: typeof Link2Off;
declare const iconsAndAliases_Linkedin: typeof Linkedin;
declare const iconsAndAliases_List: typeof List;
declare const iconsAndAliases_ListChecks: typeof ListChecks;
declare const iconsAndAliases_ListEnd: typeof ListEnd;
declare const iconsAndAliases_ListFilter: typeof ListFilter;
declare const iconsAndAliases_ListMinus: typeof ListMinus;
declare const iconsAndAliases_ListMusic: typeof ListMusic;
declare const iconsAndAliases_ListOrdered: typeof ListOrdered;
declare const iconsAndAliases_ListPlus: typeof ListPlus;
declare const iconsAndAliases_ListRestart: typeof ListRestart;
declare const iconsAndAliases_ListStart: typeof ListStart;
declare const iconsAndAliases_ListTodo: typeof ListTodo;
declare const iconsAndAliases_ListTree: typeof ListTree;
declare const iconsAndAliases_ListVideo: typeof ListVideo;
declare const iconsAndAliases_ListX: typeof ListX;
declare const iconsAndAliases_Loader: typeof Loader;
declare const iconsAndAliases_Loader2: typeof Loader2;
declare const iconsAndAliases_Locate: typeof Locate;
declare const iconsAndAliases_LocateFixed: typeof LocateFixed;
declare const iconsAndAliases_LocateOff: typeof LocateOff;
declare const iconsAndAliases_Lock: typeof Lock;
declare const iconsAndAliases_LockKeyhole: typeof LockKeyhole;
declare const iconsAndAliases_LogIn: typeof LogIn;
declare const iconsAndAliases_LogOut: typeof LogOut;
declare const iconsAndAliases_Lollipop: typeof Lollipop;
declare const iconsAndAliases_Luggage: typeof Luggage;
declare const iconsAndAliases_MSquare: typeof MSquare;
declare const iconsAndAliases_Magnet: typeof Magnet;
declare const iconsAndAliases_Mail: typeof Mail;
declare const iconsAndAliases_MailCheck: typeof MailCheck;
declare const iconsAndAliases_MailMinus: typeof MailMinus;
declare const iconsAndAliases_MailOpen: typeof MailOpen;
declare const iconsAndAliases_MailPlus: typeof MailPlus;
declare const iconsAndAliases_MailQuestion: typeof MailQuestion;
declare const iconsAndAliases_MailSearch: typeof MailSearch;
declare const iconsAndAliases_MailWarning: typeof MailWarning;
declare const iconsAndAliases_MailX: typeof MailX;
declare const iconsAndAliases_Mailbox: typeof Mailbox;
declare const iconsAndAliases_Mails: typeof Mails;
declare const iconsAndAliases_Map: typeof Map;
declare const iconsAndAliases_MapPin: typeof MapPin;
declare const iconsAndAliases_MapPinOff: typeof MapPinOff;
declare const iconsAndAliases_MapPinned: typeof MapPinned;
declare const iconsAndAliases_Martini: typeof Martini;
declare const iconsAndAliases_Maximize: typeof Maximize;
declare const iconsAndAliases_Maximize2: typeof Maximize2;
declare const iconsAndAliases_Medal: typeof Medal;
declare const iconsAndAliases_Megaphone: typeof Megaphone;
declare const iconsAndAliases_MegaphoneOff: typeof MegaphoneOff;
declare const iconsAndAliases_Meh: typeof Meh;
declare const iconsAndAliases_MemoryStick: typeof MemoryStick;
declare const iconsAndAliases_Menu: typeof Menu;
declare const iconsAndAliases_MenuSquare: typeof MenuSquare;
declare const iconsAndAliases_Merge: typeof Merge;
declare const iconsAndAliases_MessageCircle: typeof MessageCircle;
declare const iconsAndAliases_MessageSquare: typeof MessageSquare;
declare const iconsAndAliases_MessageSquareDashed: typeof MessageSquareDashed;
declare const iconsAndAliases_MessageSquarePlus: typeof MessageSquarePlus;
declare const iconsAndAliases_MessagesSquare: typeof MessagesSquare;
declare const iconsAndAliases_Mic: typeof Mic;
declare const iconsAndAliases_Mic2: typeof Mic2;
declare const iconsAndAliases_MicOff: typeof MicOff;
declare const iconsAndAliases_Microscope: typeof Microscope;
declare const iconsAndAliases_Microwave: typeof Microwave;
declare const iconsAndAliases_Milestone: typeof Milestone;
declare const iconsAndAliases_Milk: typeof Milk;
declare const iconsAndAliases_MilkOff: typeof MilkOff;
declare const iconsAndAliases_Minimize: typeof Minimize;
declare const iconsAndAliases_Minimize2: typeof Minimize2;
declare const iconsAndAliases_Minus: typeof Minus;
declare const iconsAndAliases_MinusCircle: typeof MinusCircle;
declare const iconsAndAliases_MinusSquare: typeof MinusSquare;
declare const iconsAndAliases_Monitor: typeof Monitor;
declare const iconsAndAliases_MonitorCheck: typeof MonitorCheck;
declare const iconsAndAliases_MonitorDot: typeof MonitorDot;
declare const iconsAndAliases_MonitorDown: typeof MonitorDown;
declare const iconsAndAliases_MonitorOff: typeof MonitorOff;
declare const iconsAndAliases_MonitorPause: typeof MonitorPause;
declare const iconsAndAliases_MonitorPlay: typeof MonitorPlay;
declare const iconsAndAliases_MonitorSmartphone: typeof MonitorSmartphone;
declare const iconsAndAliases_MonitorSpeaker: typeof MonitorSpeaker;
declare const iconsAndAliases_MonitorStop: typeof MonitorStop;
declare const iconsAndAliases_MonitorUp: typeof MonitorUp;
declare const iconsAndAliases_MonitorX: typeof MonitorX;
declare const iconsAndAliases_Moon: typeof Moon;
declare const iconsAndAliases_MoonStar: typeof MoonStar;
declare const iconsAndAliases_MoreHorizontal: typeof MoreHorizontal;
declare const iconsAndAliases_MoreVertical: typeof MoreVertical;
declare const iconsAndAliases_Mountain: typeof Mountain;
declare const iconsAndAliases_MountainSnow: typeof MountainSnow;
declare const iconsAndAliases_Mouse: typeof Mouse;
declare const iconsAndAliases_MousePointer: typeof MousePointer;
declare const iconsAndAliases_MousePointer2: typeof MousePointer2;
declare const iconsAndAliases_MousePointerClick: typeof MousePointerClick;
declare const iconsAndAliases_MousePointerSquare: typeof MousePointerSquare;
declare const iconsAndAliases_MousePointerSquareDashed: typeof MousePointerSquareDashed;
declare const iconsAndAliases_Move: typeof Move;
declare const iconsAndAliases_Move3d: typeof Move3d;
declare const iconsAndAliases_MoveDiagonal: typeof MoveDiagonal;
declare const iconsAndAliases_MoveDiagonal2: typeof MoveDiagonal2;
declare const iconsAndAliases_MoveDown: typeof MoveDown;
declare const iconsAndAliases_MoveDownLeft: typeof MoveDownLeft;
declare const iconsAndAliases_MoveDownRight: typeof MoveDownRight;
declare const iconsAndAliases_MoveHorizontal: typeof MoveHorizontal;
declare const iconsAndAliases_MoveLeft: typeof MoveLeft;
declare const iconsAndAliases_MoveRight: typeof MoveRight;
declare const iconsAndAliases_MoveUp: typeof MoveUp;
declare const iconsAndAliases_MoveUpLeft: typeof MoveUpLeft;
declare const iconsAndAliases_MoveUpRight: typeof MoveUpRight;
declare const iconsAndAliases_MoveVertical: typeof MoveVertical;
declare const iconsAndAliases_Music: typeof Music;
declare const iconsAndAliases_Music2: typeof Music2;
declare const iconsAndAliases_Music3: typeof Music3;
declare const iconsAndAliases_Music4: typeof Music4;
declare const iconsAndAliases_Navigation: typeof Navigation;
declare const iconsAndAliases_Navigation2: typeof Navigation2;
declare const iconsAndAliases_Navigation2Off: typeof Navigation2Off;
declare const iconsAndAliases_NavigationOff: typeof NavigationOff;
declare const iconsAndAliases_Network: typeof Network;
declare const iconsAndAliases_Newspaper: typeof Newspaper;
declare const iconsAndAliases_Nfc: typeof Nfc;
declare const iconsAndAliases_Nut: typeof Nut;
declare const iconsAndAliases_NutOff: typeof NutOff;
declare const iconsAndAliases_Octagon: typeof Octagon;
declare const iconsAndAliases_Option: typeof Option;
declare const iconsAndAliases_Orbit: typeof Orbit;
declare const iconsAndAliases_Outdent: typeof Outdent;
declare const iconsAndAliases_Package: typeof Package;
declare const iconsAndAliases_Package2: typeof Package2;
declare const iconsAndAliases_PackageCheck: typeof PackageCheck;
declare const iconsAndAliases_PackageMinus: typeof PackageMinus;
declare const iconsAndAliases_PackageOpen: typeof PackageOpen;
declare const iconsAndAliases_PackagePlus: typeof PackagePlus;
declare const iconsAndAliases_PackageSearch: typeof PackageSearch;
declare const iconsAndAliases_PackageX: typeof PackageX;
declare const iconsAndAliases_PaintBucket: typeof PaintBucket;
declare const iconsAndAliases_Paintbrush: typeof Paintbrush;
declare const iconsAndAliases_Paintbrush2: typeof Paintbrush2;
declare const iconsAndAliases_Palette: typeof Palette;
declare const iconsAndAliases_Palmtree: typeof Palmtree;
declare const iconsAndAliases_PanelBottom: typeof PanelBottom;
declare const iconsAndAliases_PanelBottomClose: typeof PanelBottomClose;
declare const iconsAndAliases_PanelBottomInactive: typeof PanelBottomInactive;
declare const iconsAndAliases_PanelBottomOpen: typeof PanelBottomOpen;
declare const iconsAndAliases_PanelLeft: typeof PanelLeft;
declare const iconsAndAliases_PanelLeftClose: typeof PanelLeftClose;
declare const iconsAndAliases_PanelLeftInactive: typeof PanelLeftInactive;
declare const iconsAndAliases_PanelLeftOpen: typeof PanelLeftOpen;
declare const iconsAndAliases_PanelRight: typeof PanelRight;
declare const iconsAndAliases_PanelRightClose: typeof PanelRightClose;
declare const iconsAndAliases_PanelRightInactive: typeof PanelRightInactive;
declare const iconsAndAliases_PanelRightOpen: typeof PanelRightOpen;
declare const iconsAndAliases_PanelTop: typeof PanelTop;
declare const iconsAndAliases_PanelTopClose: typeof PanelTopClose;
declare const iconsAndAliases_PanelTopInactive: typeof PanelTopInactive;
declare const iconsAndAliases_PanelTopOpen: typeof PanelTopOpen;
declare const iconsAndAliases_Paperclip: typeof Paperclip;
declare const iconsAndAliases_Parentheses: typeof Parentheses;
declare const iconsAndAliases_ParkingCircle: typeof ParkingCircle;
declare const iconsAndAliases_ParkingCircleOff: typeof ParkingCircleOff;
declare const iconsAndAliases_ParkingMeter: typeof ParkingMeter;
declare const iconsAndAliases_ParkingSquare: typeof ParkingSquare;
declare const iconsAndAliases_ParkingSquareOff: typeof ParkingSquareOff;
declare const iconsAndAliases_PartyPopper: typeof PartyPopper;
declare const iconsAndAliases_Pause: typeof Pause;
declare const iconsAndAliases_PauseCircle: typeof PauseCircle;
declare const iconsAndAliases_PauseOctagon: typeof PauseOctagon;
declare const iconsAndAliases_PawPrint: typeof PawPrint;
declare const iconsAndAliases_PcCase: typeof PcCase;
declare const iconsAndAliases_Pen: typeof Pen;
declare const iconsAndAliases_PenLine: typeof PenLine;
declare const iconsAndAliases_PenSquare: typeof PenSquare;
declare const iconsAndAliases_PenTool: typeof PenTool;
declare const iconsAndAliases_Pencil: typeof Pencil;
declare const iconsAndAliases_PencilLine: typeof PencilLine;
declare const iconsAndAliases_PencilRuler: typeof PencilRuler;
declare const iconsAndAliases_Pentagon: typeof Pentagon;
declare const iconsAndAliases_Percent: typeof Percent;
declare const iconsAndAliases_PercentCircle: typeof PercentCircle;
declare const iconsAndAliases_PercentDiamond: typeof PercentDiamond;
declare const iconsAndAliases_PercentSquare: typeof PercentSquare;
declare const iconsAndAliases_PersonStanding: typeof PersonStanding;
declare const iconsAndAliases_Phone: typeof Phone;
declare const iconsAndAliases_PhoneCall: typeof PhoneCall;
declare const iconsAndAliases_PhoneForwarded: typeof PhoneForwarded;
declare const iconsAndAliases_PhoneIncoming: typeof PhoneIncoming;
declare const iconsAndAliases_PhoneMissed: typeof PhoneMissed;
declare const iconsAndAliases_PhoneOff: typeof PhoneOff;
declare const iconsAndAliases_PhoneOutgoing: typeof PhoneOutgoing;
declare const iconsAndAliases_Pi: typeof Pi;
declare const iconsAndAliases_PiSquare: typeof PiSquare;
declare const iconsAndAliases_PictureInPicture: typeof PictureInPicture;
declare const iconsAndAliases_PictureInPicture2: typeof PictureInPicture2;
declare const iconsAndAliases_PieChart: typeof PieChart;
declare const iconsAndAliases_PiggyBank: typeof PiggyBank;
declare const iconsAndAliases_Pilcrow: typeof Pilcrow;
declare const iconsAndAliases_PilcrowSquare: typeof PilcrowSquare;
declare const iconsAndAliases_Pill: typeof Pill;
declare const iconsAndAliases_Pin: typeof Pin;
declare const iconsAndAliases_PinOff: typeof PinOff;
declare const iconsAndAliases_Pipette: typeof Pipette;
declare const iconsAndAliases_Pizza: typeof Pizza;
declare const iconsAndAliases_Plane: typeof Plane;
declare const iconsAndAliases_PlaneLanding: typeof PlaneLanding;
declare const iconsAndAliases_PlaneTakeoff: typeof PlaneTakeoff;
declare const iconsAndAliases_Play: typeof Play;
declare const iconsAndAliases_PlayCircle: typeof PlayCircle;
declare const iconsAndAliases_PlaySquare: typeof PlaySquare;
declare const iconsAndAliases_Plug: typeof Plug;
declare const iconsAndAliases_Plug2: typeof Plug2;
declare const iconsAndAliases_PlugZap: typeof PlugZap;
declare const iconsAndAliases_PlugZap2: typeof PlugZap2;
declare const iconsAndAliases_Plus: typeof Plus;
declare const iconsAndAliases_PlusCircle: typeof PlusCircle;
declare const iconsAndAliases_PlusSquare: typeof PlusSquare;
declare const iconsAndAliases_Pocket: typeof Pocket;
declare const iconsAndAliases_PocketKnife: typeof PocketKnife;
declare const iconsAndAliases_Podcast: typeof Podcast;
declare const iconsAndAliases_Pointer: typeof Pointer;
declare const iconsAndAliases_Popcorn: typeof Popcorn;
declare const iconsAndAliases_Popsicle: typeof Popsicle;
declare const iconsAndAliases_PoundSterling: typeof PoundSterling;
declare const iconsAndAliases_Power: typeof Power;
declare const iconsAndAliases_PowerCircle: typeof PowerCircle;
declare const iconsAndAliases_PowerOff: typeof PowerOff;
declare const iconsAndAliases_PowerSquare: typeof PowerSquare;
declare const iconsAndAliases_Presentation: typeof Presentation;
declare const iconsAndAliases_Printer: typeof Printer;
declare const iconsAndAliases_Projector: typeof Projector;
declare const iconsAndAliases_Puzzle: typeof Puzzle;
declare const iconsAndAliases_Pyramid: typeof Pyramid;
declare const iconsAndAliases_QrCode: typeof QrCode;
declare const iconsAndAliases_Quote: typeof Quote;
declare const iconsAndAliases_Rabbit: typeof Rabbit;
declare const iconsAndAliases_Radar: typeof Radar;
declare const iconsAndAliases_Radiation: typeof Radiation;
declare const iconsAndAliases_Radio: typeof Radio;
declare const iconsAndAliases_RadioReceiver: typeof RadioReceiver;
declare const iconsAndAliases_RadioTower: typeof RadioTower;
declare const iconsAndAliases_Radius: typeof Radius;
declare const iconsAndAliases_RailSymbol: typeof RailSymbol;
declare const iconsAndAliases_Rainbow: typeof Rainbow;
declare const iconsAndAliases_Rat: typeof Rat;
declare const iconsAndAliases_Ratio: typeof Ratio;
declare const iconsAndAliases_Receipt: typeof Receipt;
declare const iconsAndAliases_RectangleHorizontal: typeof RectangleHorizontal;
declare const iconsAndAliases_RectangleVertical: typeof RectangleVertical;
declare const iconsAndAliases_Recycle: typeof Recycle;
declare const iconsAndAliases_Redo: typeof Redo;
declare const iconsAndAliases_Redo2: typeof Redo2;
declare const iconsAndAliases_RedoDot: typeof RedoDot;
declare const iconsAndAliases_RefreshCcw: typeof RefreshCcw;
declare const iconsAndAliases_RefreshCcwDot: typeof RefreshCcwDot;
declare const iconsAndAliases_RefreshCw: typeof RefreshCw;
declare const iconsAndAliases_RefreshCwOff: typeof RefreshCwOff;
declare const iconsAndAliases_Refrigerator: typeof Refrigerator;
declare const iconsAndAliases_Regex: typeof Regex;
declare const iconsAndAliases_RemoveFormatting: typeof RemoveFormatting;
declare const iconsAndAliases_Repeat: typeof Repeat;
declare const iconsAndAliases_Repeat1: typeof Repeat1;
declare const iconsAndAliases_Repeat2: typeof Repeat2;
declare const iconsAndAliases_Replace: typeof Replace;
declare const iconsAndAliases_ReplaceAll: typeof ReplaceAll;
declare const iconsAndAliases_Reply: typeof Reply;
declare const iconsAndAliases_ReplyAll: typeof ReplyAll;
declare const iconsAndAliases_Rewind: typeof Rewind;
declare const iconsAndAliases_Rocket: typeof Rocket;
declare const iconsAndAliases_RockingChair: typeof RockingChair;
declare const iconsAndAliases_RollerCoaster: typeof RollerCoaster;
declare const iconsAndAliases_Rotate3d: typeof Rotate3d;
declare const iconsAndAliases_RotateCcw: typeof RotateCcw;
declare const iconsAndAliases_RotateCw: typeof RotateCw;
declare const iconsAndAliases_Route: typeof Route;
declare const iconsAndAliases_RouteOff: typeof RouteOff;
declare const iconsAndAliases_Router: typeof Router;
declare const iconsAndAliases_Rows: typeof Rows;
declare const iconsAndAliases_Rss: typeof Rss;
declare const iconsAndAliases_Ruler: typeof Ruler;
declare const iconsAndAliases_RussianRuble: typeof RussianRuble;
declare const iconsAndAliases_Sailboat: typeof Sailboat;
declare const iconsAndAliases_Salad: typeof Salad;
declare const iconsAndAliases_Sandwich: typeof Sandwich;
declare const iconsAndAliases_Satellite: typeof Satellite;
declare const iconsAndAliases_SatelliteDish: typeof SatelliteDish;
declare const iconsAndAliases_Save: typeof Save;
declare const iconsAndAliases_SaveAll: typeof SaveAll;
declare const iconsAndAliases_Scale: typeof Scale;
declare const iconsAndAliases_Scale3d: typeof Scale3d;
declare const iconsAndAliases_Scaling: typeof Scaling;
declare const iconsAndAliases_Scan: typeof Scan;
declare const iconsAndAliases_ScanBarcode: typeof ScanBarcode;
declare const iconsAndAliases_ScanEye: typeof ScanEye;
declare const iconsAndAliases_ScanFace: typeof ScanFace;
declare const iconsAndAliases_ScanLine: typeof ScanLine;
declare const iconsAndAliases_ScanSearch: typeof ScanSearch;
declare const iconsAndAliases_ScanText: typeof ScanText;
declare const iconsAndAliases_ScatterChart: typeof ScatterChart;
declare const iconsAndAliases_School: typeof School;
declare const iconsAndAliases_School2: typeof School2;
declare const iconsAndAliases_Scissors: typeof Scissors;
declare const iconsAndAliases_ScissorsLineDashed: typeof ScissorsLineDashed;
declare const iconsAndAliases_ScissorsSquare: typeof ScissorsSquare;
declare const iconsAndAliases_ScissorsSquareDashedBottom: typeof ScissorsSquareDashedBottom;
declare const iconsAndAliases_ScreenShare: typeof ScreenShare;
declare const iconsAndAliases_ScreenShareOff: typeof ScreenShareOff;
declare const iconsAndAliases_Scroll: typeof Scroll;
declare const iconsAndAliases_ScrollText: typeof ScrollText;
declare const iconsAndAliases_Search: typeof Search;
declare const iconsAndAliases_SearchCheck: typeof SearchCheck;
declare const iconsAndAliases_SearchCode: typeof SearchCode;
declare const iconsAndAliases_SearchSlash: typeof SearchSlash;
declare const iconsAndAliases_SearchX: typeof SearchX;
declare const iconsAndAliases_Send: typeof Send;
declare const iconsAndAliases_SendHorizontal: typeof SendHorizontal;
declare const iconsAndAliases_SendToBack: typeof SendToBack;
declare const iconsAndAliases_SeparatorHorizontal: typeof SeparatorHorizontal;
declare const iconsAndAliases_SeparatorVertical: typeof SeparatorVertical;
declare const iconsAndAliases_Server: typeof Server;
declare const iconsAndAliases_ServerCog: typeof ServerCog;
declare const iconsAndAliases_ServerCrash: typeof ServerCrash;
declare const iconsAndAliases_ServerOff: typeof ServerOff;
declare const iconsAndAliases_Settings: typeof Settings;
declare const iconsAndAliases_Settings2: typeof Settings2;
declare const iconsAndAliases_Shapes: typeof Shapes;
declare const iconsAndAliases_Share: typeof Share;
declare const iconsAndAliases_Share2: typeof Share2;
declare const iconsAndAliases_Sheet: typeof Sheet;
declare const iconsAndAliases_Shell: typeof Shell;
declare const iconsAndAliases_Shield: typeof Shield;
declare const iconsAndAliases_ShieldAlert: typeof ShieldAlert;
declare const iconsAndAliases_ShieldBan: typeof ShieldBan;
declare const iconsAndAliases_ShieldCheck: typeof ShieldCheck;
declare const iconsAndAliases_ShieldEllipsis: typeof ShieldEllipsis;
declare const iconsAndAliases_ShieldHalf: typeof ShieldHalf;
declare const iconsAndAliases_ShieldMinus: typeof ShieldMinus;
declare const iconsAndAliases_ShieldOff: typeof ShieldOff;
declare const iconsAndAliases_ShieldPlus: typeof ShieldPlus;
declare const iconsAndAliases_ShieldQuestion: typeof ShieldQuestion;
declare const iconsAndAliases_ShieldX: typeof ShieldX;
declare const iconsAndAliases_Ship: typeof Ship;
declare const iconsAndAliases_ShipWheel: typeof ShipWheel;
declare const iconsAndAliases_Shirt: typeof Shirt;
declare const iconsAndAliases_ShoppingBag: typeof ShoppingBag;
declare const iconsAndAliases_ShoppingBasket: typeof ShoppingBasket;
declare const iconsAndAliases_ShoppingCart: typeof ShoppingCart;
declare const iconsAndAliases_Shovel: typeof Shovel;
declare const iconsAndAliases_ShowerHead: typeof ShowerHead;
declare const iconsAndAliases_Shrink: typeof Shrink;
declare const iconsAndAliases_Shrub: typeof Shrub;
declare const iconsAndAliases_Shuffle: typeof Shuffle;
declare const iconsAndAliases_Sigma: typeof Sigma;
declare const iconsAndAliases_SigmaSquare: typeof SigmaSquare;
declare const iconsAndAliases_Signal: typeof Signal;
declare const iconsAndAliases_SignalHigh: typeof SignalHigh;
declare const iconsAndAliases_SignalLow: typeof SignalLow;
declare const iconsAndAliases_SignalMedium: typeof SignalMedium;
declare const iconsAndAliases_SignalZero: typeof SignalZero;
declare const iconsAndAliases_Signpost: typeof Signpost;
declare const iconsAndAliases_SignpostBig: typeof SignpostBig;
declare const iconsAndAliases_Siren: typeof Siren;
declare const iconsAndAliases_SkipBack: typeof SkipBack;
declare const iconsAndAliases_SkipForward: typeof SkipForward;
declare const iconsAndAliases_Skull: typeof Skull;
declare const iconsAndAliases_Slack: typeof Slack;
declare const iconsAndAliases_Slash: typeof Slash;
declare const iconsAndAliases_Slice: typeof Slice;
declare const iconsAndAliases_Sliders: typeof Sliders;
declare const iconsAndAliases_SlidersHorizontal: typeof SlidersHorizontal;
declare const iconsAndAliases_Smartphone: typeof Smartphone;
declare const iconsAndAliases_SmartphoneCharging: typeof SmartphoneCharging;
declare const iconsAndAliases_SmartphoneNfc: typeof SmartphoneNfc;
declare const iconsAndAliases_Smile: typeof Smile;
declare const iconsAndAliases_SmilePlus: typeof SmilePlus;
declare const iconsAndAliases_Snail: typeof Snail;
declare const iconsAndAliases_Snowflake: typeof Snowflake;
declare const iconsAndAliases_Sofa: typeof Sofa;
declare const iconsAndAliases_Soup: typeof Soup;
declare const iconsAndAliases_Space: typeof Space;
declare const iconsAndAliases_Spade: typeof Spade;
declare const iconsAndAliases_Sparkle: typeof Sparkle;
declare const iconsAndAliases_Sparkles: typeof Sparkles;
declare const iconsAndAliases_Speaker: typeof Speaker;
declare const iconsAndAliases_Speech: typeof Speech;
declare const iconsAndAliases_SpellCheck: typeof SpellCheck;
declare const iconsAndAliases_SpellCheck2: typeof SpellCheck2;
declare const iconsAndAliases_Spline: typeof Spline;
declare const iconsAndAliases_Split: typeof Split;
declare const iconsAndAliases_SplitSquareHorizontal: typeof SplitSquareHorizontal;
declare const iconsAndAliases_SplitSquareVertical: typeof SplitSquareVertical;
declare const iconsAndAliases_SprayCan: typeof SprayCan;
declare const iconsAndAliases_Sprout: typeof Sprout;
declare const iconsAndAliases_Square: typeof Square;
declare const iconsAndAliases_SquareAsterisk: typeof SquareAsterisk;
declare const iconsAndAliases_SquareCode: typeof SquareCode;
declare const iconsAndAliases_SquareDashedBottom: typeof SquareDashedBottom;
declare const iconsAndAliases_SquareDashedBottomCode: typeof SquareDashedBottomCode;
declare const iconsAndAliases_SquareDot: typeof SquareDot;
declare const iconsAndAliases_SquareEqual: typeof SquareEqual;
declare const iconsAndAliases_SquareSlash: typeof SquareSlash;
declare const iconsAndAliases_SquareStack: typeof SquareStack;
declare const iconsAndAliases_Squirrel: typeof Squirrel;
declare const iconsAndAliases_Stamp: typeof Stamp;
declare const iconsAndAliases_Star: typeof Star;
declare const iconsAndAliases_StarHalf: typeof StarHalf;
declare const iconsAndAliases_StarOff: typeof StarOff;
declare const iconsAndAliases_StepBack: typeof StepBack;
declare const iconsAndAliases_StepForward: typeof StepForward;
declare const iconsAndAliases_Stethoscope: typeof Stethoscope;
declare const iconsAndAliases_Sticker: typeof Sticker;
declare const iconsAndAliases_StickyNote: typeof StickyNote;
declare const iconsAndAliases_StopCircle: typeof StopCircle;
declare const iconsAndAliases_Store: typeof Store;
declare const iconsAndAliases_StretchHorizontal: typeof StretchHorizontal;
declare const iconsAndAliases_StretchVertical: typeof StretchVertical;
declare const iconsAndAliases_Strikethrough: typeof Strikethrough;
declare const iconsAndAliases_Subscript: typeof Subscript;
declare const iconsAndAliases_Subtitles: typeof Subtitles;
declare const iconsAndAliases_Sun: typeof Sun;
declare const iconsAndAliases_SunDim: typeof SunDim;
declare const iconsAndAliases_SunMedium: typeof SunMedium;
declare const iconsAndAliases_SunMoon: typeof SunMoon;
declare const iconsAndAliases_SunSnow: typeof SunSnow;
declare const iconsAndAliases_Sunrise: typeof Sunrise;
declare const iconsAndAliases_Sunset: typeof Sunset;
declare const iconsAndAliases_Superscript: typeof Superscript;
declare const iconsAndAliases_SwissFranc: typeof SwissFranc;
declare const iconsAndAliases_SwitchCamera: typeof SwitchCamera;
declare const iconsAndAliases_Sword: typeof Sword;
declare const iconsAndAliases_Swords: typeof Swords;
declare const iconsAndAliases_Syringe: typeof Syringe;
declare const iconsAndAliases_Table: typeof Table;
declare const iconsAndAliases_Table2: typeof Table2;
declare const iconsAndAliases_TableProperties: typeof TableProperties;
declare const iconsAndAliases_Tablet: typeof Tablet;
declare const iconsAndAliases_TabletSmartphone: typeof TabletSmartphone;
declare const iconsAndAliases_Tablets: typeof Tablets;
declare const iconsAndAliases_Tag: typeof Tag;
declare const iconsAndAliases_Tags: typeof Tags;
declare const iconsAndAliases_Tally1: typeof Tally1;
declare const iconsAndAliases_Tally2: typeof Tally2;
declare const iconsAndAliases_Tally3: typeof Tally3;
declare const iconsAndAliases_Tally4: typeof Tally4;
declare const iconsAndAliases_Tally5: typeof Tally5;
declare const iconsAndAliases_Tangent: typeof Tangent;
declare const iconsAndAliases_Target: typeof Target;
declare const iconsAndAliases_Tent: typeof Tent;
declare const iconsAndAliases_TentTree: typeof TentTree;
declare const iconsAndAliases_Terminal: typeof Terminal;
declare const iconsAndAliases_TerminalSquare: typeof TerminalSquare;
declare const iconsAndAliases_TestTube: typeof TestTube;
declare const iconsAndAliases_TestTube2: typeof TestTube2;
declare const iconsAndAliases_TestTubes: typeof TestTubes;
declare const iconsAndAliases_Text: typeof Text;
declare const iconsAndAliases_TextCursor: typeof TextCursor;
declare const iconsAndAliases_TextCursorInput: typeof TextCursorInput;
declare const iconsAndAliases_TextQuote: typeof TextQuote;
declare const iconsAndAliases_TextSelect: typeof TextSelect;
declare const iconsAndAliases_Theater: typeof Theater;
declare const iconsAndAliases_Thermometer: typeof Thermometer;
declare const iconsAndAliases_ThermometerSnowflake: typeof ThermometerSnowflake;
declare const iconsAndAliases_ThermometerSun: typeof ThermometerSun;
declare const iconsAndAliases_ThumbsDown: typeof ThumbsDown;
declare const iconsAndAliases_ThumbsUp: typeof ThumbsUp;
declare const iconsAndAliases_Ticket: typeof Ticket;
declare const iconsAndAliases_Timer: typeof Timer;
declare const iconsAndAliases_TimerOff: typeof TimerOff;
declare const iconsAndAliases_TimerReset: typeof TimerReset;
declare const iconsAndAliases_ToggleLeft: typeof ToggleLeft;
declare const iconsAndAliases_ToggleRight: typeof ToggleRight;
declare const iconsAndAliases_Tornado: typeof Tornado;
declare const iconsAndAliases_Torus: typeof Torus;
declare const iconsAndAliases_Touchpad: typeof Touchpad;
declare const iconsAndAliases_TouchpadOff: typeof TouchpadOff;
declare const iconsAndAliases_TowerControl: typeof TowerControl;
declare const iconsAndAliases_ToyBrick: typeof ToyBrick;
declare const iconsAndAliases_Tractor: typeof Tractor;
declare const iconsAndAliases_TrafficCone: typeof TrafficCone;
declare const iconsAndAliases_TrainFront: typeof TrainFront;
declare const iconsAndAliases_TrainFrontTunnel: typeof TrainFrontTunnel;
declare const iconsAndAliases_TrainTrack: typeof TrainTrack;
declare const iconsAndAliases_TramFront: typeof TramFront;
declare const iconsAndAliases_Trash: typeof Trash;
declare const iconsAndAliases_Trash2: typeof Trash2;
declare const iconsAndAliases_TreeDeciduous: typeof TreeDeciduous;
declare const iconsAndAliases_TreePine: typeof TreePine;
declare const iconsAndAliases_Trees: typeof Trees;
declare const iconsAndAliases_Trello: typeof Trello;
declare const iconsAndAliases_TrendingDown: typeof TrendingDown;
declare const iconsAndAliases_TrendingUp: typeof TrendingUp;
declare const iconsAndAliases_Triangle: typeof Triangle;
declare const iconsAndAliases_TriangleRight: typeof TriangleRight;
declare const iconsAndAliases_Trophy: typeof Trophy;
declare const iconsAndAliases_Truck: typeof Truck;
declare const iconsAndAliases_Turtle: typeof Turtle;
declare const iconsAndAliases_Tv: typeof Tv;
declare const iconsAndAliases_Tv2: typeof Tv2;
declare const iconsAndAliases_Twitch: typeof Twitch;
declare const iconsAndAliases_Twitter: typeof Twitter;
declare const iconsAndAliases_Type: typeof Type;
declare const iconsAndAliases_Umbrella: typeof Umbrella;
declare const iconsAndAliases_UmbrellaOff: typeof UmbrellaOff;
declare const iconsAndAliases_Underline: typeof Underline;
declare const iconsAndAliases_Undo: typeof Undo;
declare const iconsAndAliases_Undo2: typeof Undo2;
declare const iconsAndAliases_UndoDot: typeof UndoDot;
declare const iconsAndAliases_UnfoldHorizontal: typeof UnfoldHorizontal;
declare const iconsAndAliases_UnfoldVertical: typeof UnfoldVertical;
declare const iconsAndAliases_Ungroup: typeof Ungroup;
declare const iconsAndAliases_Unlink: typeof Unlink;
declare const iconsAndAliases_Unlink2: typeof Unlink2;
declare const iconsAndAliases_Unlock: typeof Unlock;
declare const iconsAndAliases_UnlockKeyhole: typeof UnlockKeyhole;
declare const iconsAndAliases_Unplug: typeof Unplug;
declare const iconsAndAliases_Upload: typeof Upload;
declare const iconsAndAliases_UploadCloud: typeof UploadCloud;
declare const iconsAndAliases_Usb: typeof Usb;
declare const iconsAndAliases_User: typeof User;
declare const iconsAndAliases_User2: typeof User2;
declare const iconsAndAliases_UserCheck: typeof UserCheck;
declare const iconsAndAliases_UserCheck2: typeof UserCheck2;
declare const iconsAndAliases_UserCircle: typeof UserCircle;
declare const iconsAndAliases_UserCircle2: typeof UserCircle2;
declare const iconsAndAliases_UserCog: typeof UserCog;
declare const iconsAndAliases_UserCog2: typeof UserCog2;
declare const iconsAndAliases_UserMinus: typeof UserMinus;
declare const iconsAndAliases_UserMinus2: typeof UserMinus2;
declare const iconsAndAliases_UserPlus: typeof UserPlus;
declare const iconsAndAliases_UserPlus2: typeof UserPlus2;
declare const iconsAndAliases_UserSquare: typeof UserSquare;
declare const iconsAndAliases_UserSquare2: typeof UserSquare2;
declare const iconsAndAliases_UserX: typeof UserX;
declare const iconsAndAliases_UserX2: typeof UserX2;
declare const iconsAndAliases_Users: typeof Users;
declare const iconsAndAliases_Users2: typeof Users2;
declare const iconsAndAliases_Utensils: typeof Utensils;
declare const iconsAndAliases_UtensilsCrossed: typeof UtensilsCrossed;
declare const iconsAndAliases_UtilityPole: typeof UtilityPole;
declare const iconsAndAliases_Variable: typeof Variable;
declare const iconsAndAliases_Vegan: typeof Vegan;
declare const iconsAndAliases_VenetianMask: typeof VenetianMask;
declare const iconsAndAliases_Vibrate: typeof Vibrate;
declare const iconsAndAliases_VibrateOff: typeof VibrateOff;
declare const iconsAndAliases_Video: typeof Video;
declare const iconsAndAliases_VideoOff: typeof VideoOff;
declare const iconsAndAliases_Videotape: typeof Videotape;
declare const iconsAndAliases_View: typeof View;
declare const iconsAndAliases_Voicemail: typeof Voicemail;
declare const iconsAndAliases_Volume: typeof Volume;
declare const iconsAndAliases_Volume1: typeof Volume1;
declare const iconsAndAliases_Volume2: typeof Volume2;
declare const iconsAndAliases_VolumeX: typeof VolumeX;
declare const iconsAndAliases_Vote: typeof Vote;
declare const iconsAndAliases_Wallet: typeof Wallet;
declare const iconsAndAliases_Wallet2: typeof Wallet2;
declare const iconsAndAliases_WalletCards: typeof WalletCards;
declare const iconsAndAliases_Wallpaper: typeof Wallpaper;
declare const iconsAndAliases_Wand: typeof Wand;
declare const iconsAndAliases_Wand2: typeof Wand2;
declare const iconsAndAliases_Warehouse: typeof Warehouse;
declare const iconsAndAliases_Watch: typeof Watch;
declare const iconsAndAliases_Waves: typeof Waves;
declare const iconsAndAliases_Waypoints: typeof Waypoints;
declare const iconsAndAliases_Webcam: typeof Webcam;
declare const iconsAndAliases_Webhook: typeof Webhook;
declare const iconsAndAliases_Weight: typeof Weight;
declare const iconsAndAliases_Wheat: typeof Wheat;
declare const iconsAndAliases_WheatOff: typeof WheatOff;
declare const iconsAndAliases_WholeWord: typeof WholeWord;
declare const iconsAndAliases_Wifi: typeof Wifi;
declare const iconsAndAliases_WifiOff: typeof WifiOff;
declare const iconsAndAliases_Wind: typeof Wind;
declare const iconsAndAliases_Wine: typeof Wine;
declare const iconsAndAliases_WineOff: typeof WineOff;
declare const iconsAndAliases_Workflow: typeof Workflow;
declare const iconsAndAliases_WrapText: typeof WrapText;
declare const iconsAndAliases_Wrench: typeof Wrench;
declare const iconsAndAliases_X: typeof X;
declare const iconsAndAliases_XCircle: typeof XCircle;
declare const iconsAndAliases_XOctagon: typeof XOctagon;
declare const iconsAndAliases_XSquare: typeof XSquare;
declare const iconsAndAliases_Youtube: typeof Youtube;
declare const iconsAndAliases_Zap: typeof Zap;
declare const iconsAndAliases_ZapOff: typeof ZapOff;
declare const iconsAndAliases_ZoomIn: typeof ZoomIn;
declare const iconsAndAliases_ZoomOut: typeof ZoomOut;
declare namespace iconsAndAliases {
  export {
    iconsAndAliases_Accessibility as Accessibility,
    iconsAndAliases_Activity as Activity,
    iconsAndAliases_ActivitySquare as ActivitySquare,
    iconsAndAliases_AirVent as AirVent,
    iconsAndAliases_Airplay as Airplay,
    iconsAndAliases_AlarmCheck as AlarmCheck,
    iconsAndAliases_AlarmClock as AlarmClock,
    iconsAndAliases_AlarmClockOff as AlarmClockOff,
    iconsAndAliases_AlarmMinus as AlarmMinus,
    iconsAndAliases_AlarmPlus as AlarmPlus,
    iconsAndAliases_Album as Album,
    iconsAndAliases_AlertCircle as AlertCircle,
    iconsAndAliases_AlertOctagon as AlertOctagon,
    iconsAndAliases_AlertTriangle as AlertTriangle,
    iconsAndAliases_AlignCenter as AlignCenter,
    iconsAndAliases_AlignCenterHorizontal as AlignCenterHorizontal,
    iconsAndAliases_AlignCenterVertical as AlignCenterVertical,
    iconsAndAliases_AlignEndHorizontal as AlignEndHorizontal,
    iconsAndAliases_AlignEndVertical as AlignEndVertical,
    iconsAndAliases_AlignHorizontalDistributeCenter as AlignHorizontalDistributeCenter,
    iconsAndAliases_AlignHorizontalDistributeEnd as AlignHorizontalDistributeEnd,
    iconsAndAliases_AlignHorizontalDistributeStart as AlignHorizontalDistributeStart,
    iconsAndAliases_AlignHorizontalJustifyCenter as AlignHorizontalJustifyCenter,
    iconsAndAliases_AlignHorizontalJustifyEnd as AlignHorizontalJustifyEnd,
    iconsAndAliases_AlignHorizontalJustifyStart as AlignHorizontalJustifyStart,
    iconsAndAliases_AlignHorizontalSpaceAround as AlignHorizontalSpaceAround,
    iconsAndAliases_AlignHorizontalSpaceBetween as AlignHorizontalSpaceBetween,
    iconsAndAliases_AlignJustify as AlignJustify,
    iconsAndAliases_AlignLeft as AlignLeft,
    iconsAndAliases_AlignRight as AlignRight,
    iconsAndAliases_AlignStartHorizontal as AlignStartHorizontal,
    iconsAndAliases_AlignStartVertical as AlignStartVertical,
    iconsAndAliases_AlignVerticalDistributeCenter as AlignVerticalDistributeCenter,
    iconsAndAliases_AlignVerticalDistributeEnd as AlignVerticalDistributeEnd,
    iconsAndAliases_AlignVerticalDistributeStart as AlignVerticalDistributeStart,
    iconsAndAliases_AlignVerticalJustifyCenter as AlignVerticalJustifyCenter,
    iconsAndAliases_AlignVerticalJustifyEnd as AlignVerticalJustifyEnd,
    iconsAndAliases_AlignVerticalJustifyStart as AlignVerticalJustifyStart,
    iconsAndAliases_AlignVerticalSpaceAround as AlignVerticalSpaceAround,
    iconsAndAliases_AlignVerticalSpaceBetween as AlignVerticalSpaceBetween,
    iconsAndAliases_Ampersand as Ampersand,
    iconsAndAliases_Ampersands as Ampersands,
    iconsAndAliases_Anchor as Anchor,
    iconsAndAliases_Angry as Angry,
    iconsAndAliases_Annoyed as Annoyed,
    iconsAndAliases_Antenna as Antenna,
    iconsAndAliases_Aperture as Aperture,
    iconsAndAliases_AppWindow as AppWindow,
    iconsAndAliases_Apple as Apple,
    iconsAndAliases_Archive as Archive,
    iconsAndAliases_ArchiveRestore as ArchiveRestore,
    iconsAndAliases_ArchiveX as ArchiveX,
    iconsAndAliases_AreaChart as AreaChart,
    iconsAndAliases_Armchair as Armchair,
    iconsAndAliases_ArrowBigDown as ArrowBigDown,
    iconsAndAliases_ArrowBigDownDash as ArrowBigDownDash,
    iconsAndAliases_ArrowBigLeft as ArrowBigLeft,
    iconsAndAliases_ArrowBigLeftDash as ArrowBigLeftDash,
    iconsAndAliases_ArrowBigRight as ArrowBigRight,
    iconsAndAliases_ArrowBigRightDash as ArrowBigRightDash,
    iconsAndAliases_ArrowBigUp as ArrowBigUp,
    iconsAndAliases_ArrowBigUpDash as ArrowBigUpDash,
    iconsAndAliases_ArrowDown as ArrowDown,
    iconsAndAliases_ArrowDown01 as ArrowDown01,
    iconsAndAliases_ArrowDown10 as ArrowDown10,
    iconsAndAliases_ArrowDownAZ as ArrowDownAZ,
    ArrowDownAZ as ArrowDownAz,
    iconsAndAliases_ArrowDownCircle as ArrowDownCircle,
    iconsAndAliases_ArrowDownFromLine as ArrowDownFromLine,
    iconsAndAliases_ArrowDownLeft as ArrowDownLeft,
    iconsAndAliases_ArrowDownLeftFromCircle as ArrowDownLeftFromCircle,
    iconsAndAliases_ArrowDownLeftSquare as ArrowDownLeftSquare,
    iconsAndAliases_ArrowDownNarrowWide as ArrowDownNarrowWide,
    iconsAndAliases_ArrowDownRight as ArrowDownRight,
    iconsAndAliases_ArrowDownRightFromCircle as ArrowDownRightFromCircle,
    iconsAndAliases_ArrowDownRightSquare as ArrowDownRightSquare,
    iconsAndAliases_ArrowDownSquare as ArrowDownSquare,
    iconsAndAliases_ArrowDownToDot as ArrowDownToDot,
    iconsAndAliases_ArrowDownToLine as ArrowDownToLine,
    iconsAndAliases_ArrowDownUp as ArrowDownUp,
    iconsAndAliases_ArrowDownWideNarrow as ArrowDownWideNarrow,
    iconsAndAliases_ArrowDownZA as ArrowDownZA,
    ArrowDownZA as ArrowDownZa,
    iconsAndAliases_ArrowLeft as ArrowLeft,
    iconsAndAliases_ArrowLeftCircle as ArrowLeftCircle,
    iconsAndAliases_ArrowLeftFromLine as ArrowLeftFromLine,
    iconsAndAliases_ArrowLeftRight as ArrowLeftRight,
    iconsAndAliases_ArrowLeftSquare as ArrowLeftSquare,
    iconsAndAliases_ArrowLeftToLine as ArrowLeftToLine,
    iconsAndAliases_ArrowRight as ArrowRight,
    iconsAndAliases_ArrowRightCircle as ArrowRightCircle,
    iconsAndAliases_ArrowRightFromLine as ArrowRightFromLine,
    iconsAndAliases_ArrowRightLeft as ArrowRightLeft,
    iconsAndAliases_ArrowRightSquare as ArrowRightSquare,
    iconsAndAliases_ArrowRightToLine as ArrowRightToLine,
    iconsAndAliases_ArrowUp as ArrowUp,
    iconsAndAliases_ArrowUp01 as ArrowUp01,
    iconsAndAliases_ArrowUp10 as ArrowUp10,
    iconsAndAliases_ArrowUpAZ as ArrowUpAZ,
    ArrowUpAZ as ArrowUpAz,
    iconsAndAliases_ArrowUpCircle as ArrowUpCircle,
    iconsAndAliases_ArrowUpDown as ArrowUpDown,
    iconsAndAliases_ArrowUpFromDot as ArrowUpFromDot,
    iconsAndAliases_ArrowUpFromLine as ArrowUpFromLine,
    iconsAndAliases_ArrowUpLeft as ArrowUpLeft,
    iconsAndAliases_ArrowUpLeftFromCircle as ArrowUpLeftFromCircle,
    iconsAndAliases_ArrowUpLeftSquare as ArrowUpLeftSquare,
    iconsAndAliases_ArrowUpNarrowWide as ArrowUpNarrowWide,
    iconsAndAliases_ArrowUpRight as ArrowUpRight,
    iconsAndAliases_ArrowUpRightFromCircle as ArrowUpRightFromCircle,
    iconsAndAliases_ArrowUpRightSquare as ArrowUpRightSquare,
    iconsAndAliases_ArrowUpSquare as ArrowUpSquare,
    iconsAndAliases_ArrowUpToLine as ArrowUpToLine,
    iconsAndAliases_ArrowUpWideNarrow as ArrowUpWideNarrow,
    iconsAndAliases_ArrowUpZA as ArrowUpZA,
    ArrowUpZA as ArrowUpZa,
    iconsAndAliases_ArrowsUpFromLine as ArrowsUpFromLine,
    iconsAndAliases_Asterisk as Asterisk,
    iconsAndAliases_AtSign as AtSign,
    iconsAndAliases_Atom as Atom,
    iconsAndAliases_Award as Award,
    iconsAndAliases_Axe as Axe,
    Axis3d as Axis3D,
    iconsAndAliases_Axis3d as Axis3d,
    iconsAndAliases_Baby as Baby,
    iconsAndAliases_Backpack as Backpack,
    iconsAndAliases_Badge as Badge,
    iconsAndAliases_BadgeAlert as BadgeAlert,
    iconsAndAliases_BadgeCent as BadgeCent,
    iconsAndAliases_BadgeCheck as BadgeCheck,
    iconsAndAliases_BadgeDollarSign as BadgeDollarSign,
    iconsAndAliases_BadgeEuro as BadgeEuro,
    iconsAndAliases_BadgeHelp as BadgeHelp,
    iconsAndAliases_BadgeIndianRupee as BadgeIndianRupee,
    iconsAndAliases_BadgeInfo as BadgeInfo,
    iconsAndAliases_BadgeJapaneseYen as BadgeJapaneseYen,
    iconsAndAliases_BadgeMinus as BadgeMinus,
    iconsAndAliases_BadgePercent as BadgePercent,
    iconsAndAliases_BadgePlus as BadgePlus,
    iconsAndAliases_BadgePoundSterling as BadgePoundSterling,
    iconsAndAliases_BadgeRussianRuble as BadgeRussianRuble,
    iconsAndAliases_BadgeSwissFranc as BadgeSwissFranc,
    iconsAndAliases_BadgeX as BadgeX,
    iconsAndAliases_BaggageClaim as BaggageClaim,
    iconsAndAliases_Ban as Ban,
    iconsAndAliases_Banana as Banana,
    iconsAndAliases_Banknote as Banknote,
    iconsAndAliases_BarChart as BarChart,
    iconsAndAliases_BarChart2 as BarChart2,
    iconsAndAliases_BarChart3 as BarChart3,
    iconsAndAliases_BarChart4 as BarChart4,
    iconsAndAliases_BarChartBig as BarChartBig,
    iconsAndAliases_BarChartHorizontal as BarChartHorizontal,
    iconsAndAliases_BarChartHorizontalBig as BarChartHorizontalBig,
    iconsAndAliases_Barcode as Barcode,
    iconsAndAliases_Baseline as Baseline,
    iconsAndAliases_Bath as Bath,
    iconsAndAliases_Battery as Battery,
    iconsAndAliases_BatteryCharging as BatteryCharging,
    iconsAndAliases_BatteryFull as BatteryFull,
    iconsAndAliases_BatteryLow as BatteryLow,
    iconsAndAliases_BatteryMedium as BatteryMedium,
    iconsAndAliases_BatteryWarning as BatteryWarning,
    iconsAndAliases_Beaker as Beaker,
    iconsAndAliases_Bean as Bean,
    iconsAndAliases_BeanOff as BeanOff,
    iconsAndAliases_Bed as Bed,
    iconsAndAliases_BedDouble as BedDouble,
    iconsAndAliases_BedSingle as BedSingle,
    iconsAndAliases_Beef as Beef,
    iconsAndAliases_Beer as Beer,
    iconsAndAliases_Bell as Bell,
    iconsAndAliases_BellDot as BellDot,
    iconsAndAliases_BellMinus as BellMinus,
    iconsAndAliases_BellOff as BellOff,
    iconsAndAliases_BellPlus as BellPlus,
    iconsAndAliases_BellRing as BellRing,
    iconsAndAliases_Bike as Bike,
    iconsAndAliases_Binary as Binary,
    iconsAndAliases_Biohazard as Biohazard,
    iconsAndAliases_Bird as Bird,
    iconsAndAliases_Bitcoin as Bitcoin,
    iconsAndAliases_Blinds as Blinds,
    iconsAndAliases_Blocks as Blocks,
    iconsAndAliases_Bluetooth as Bluetooth,
    iconsAndAliases_BluetoothConnected as BluetoothConnected,
    iconsAndAliases_BluetoothOff as BluetoothOff,
    iconsAndAliases_BluetoothSearching as BluetoothSearching,
    iconsAndAliases_Bold as Bold,
    iconsAndAliases_Bomb as Bomb,
    iconsAndAliases_Bone as Bone,
    iconsAndAliases_Book as Book,
    iconsAndAliases_BookA as BookA,
    iconsAndAliases_BookAudio as BookAudio,
    iconsAndAliases_BookCheck as BookCheck,
    iconsAndAliases_BookCopy as BookCopy,
    iconsAndAliases_BookDashed as BookDashed,
    iconsAndAliases_BookDown as BookDown,
    iconsAndAliases_BookHeadphones as BookHeadphones,
    iconsAndAliases_BookHeart as BookHeart,
    iconsAndAliases_BookImage as BookImage,
    iconsAndAliases_BookKey as BookKey,
    iconsAndAliases_BookLock as BookLock,
    iconsAndAliases_BookMarked as BookMarked,
    iconsAndAliases_BookMinus as BookMinus,
    iconsAndAliases_BookOpen as BookOpen,
    iconsAndAliases_BookOpenCheck as BookOpenCheck,
    iconsAndAliases_BookOpenText as BookOpenText,
    iconsAndAliases_BookPlus as BookPlus,
    BookDashed as BookTemplate,
    iconsAndAliases_BookText as BookText,
    iconsAndAliases_BookType as BookType,
    iconsAndAliases_BookUp as BookUp,
    iconsAndAliases_BookUp2 as BookUp2,
    iconsAndAliases_BookUser as BookUser,
    iconsAndAliases_BookX as BookX,
    iconsAndAliases_Bookmark as Bookmark,
    iconsAndAliases_BookmarkCheck as BookmarkCheck,
    iconsAndAliases_BookmarkMinus as BookmarkMinus,
    iconsAndAliases_BookmarkPlus as BookmarkPlus,
    iconsAndAliases_BookmarkX as BookmarkX,
    iconsAndAliases_BoomBox as BoomBox,
    iconsAndAliases_Bot as Bot,
    iconsAndAliases_Box as Box,
    iconsAndAliases_BoxSelect as BoxSelect,
    iconsAndAliases_Boxes as Boxes,
    iconsAndAliases_Braces as Braces,
    iconsAndAliases_Brackets as Brackets,
    iconsAndAliases_Brain as Brain,
    iconsAndAliases_BrainCircuit as BrainCircuit,
    iconsAndAliases_BrainCog as BrainCog,
    iconsAndAliases_Briefcase as Briefcase,
    iconsAndAliases_BringToFront as BringToFront,
    iconsAndAliases_Brush as Brush,
    iconsAndAliases_Bug as Bug,
    iconsAndAliases_BugOff as BugOff,
    iconsAndAliases_BugPlay as BugPlay,
    iconsAndAliases_Building as Building,
    iconsAndAliases_Building2 as Building2,
    iconsAndAliases_Bus as Bus,
    iconsAndAliases_BusFront as BusFront,
    iconsAndAliases_Cable as Cable,
    iconsAndAliases_CableCar as CableCar,
    iconsAndAliases_Cake as Cake,
    iconsAndAliases_CakeSlice as CakeSlice,
    iconsAndAliases_Calculator as Calculator,
    iconsAndAliases_Calendar as Calendar,
    iconsAndAliases_CalendarCheck as CalendarCheck,
    iconsAndAliases_CalendarCheck2 as CalendarCheck2,
    iconsAndAliases_CalendarClock as CalendarClock,
    iconsAndAliases_CalendarDays as CalendarDays,
    iconsAndAliases_CalendarHeart as CalendarHeart,
    iconsAndAliases_CalendarMinus as CalendarMinus,
    iconsAndAliases_CalendarOff as CalendarOff,
    iconsAndAliases_CalendarPlus as CalendarPlus,
    iconsAndAliases_CalendarRange as CalendarRange,
    iconsAndAliases_CalendarSearch as CalendarSearch,
    iconsAndAliases_CalendarX as CalendarX,
    iconsAndAliases_CalendarX2 as CalendarX2,
    iconsAndAliases_Camera as Camera,
    iconsAndAliases_CameraOff as CameraOff,
    iconsAndAliases_CandlestickChart as CandlestickChart,
    iconsAndAliases_Candy as Candy,
    iconsAndAliases_CandyCane as CandyCane,
    iconsAndAliases_CandyOff as CandyOff,
    iconsAndAliases_Car as Car,
    iconsAndAliases_CarFront as CarFront,
    iconsAndAliases_CarTaxiFront as CarTaxiFront,
    iconsAndAliases_Caravan as Caravan,
    iconsAndAliases_Carrot as Carrot,
    iconsAndAliases_CaseLower as CaseLower,
    iconsAndAliases_CaseSensitive as CaseSensitive,
    iconsAndAliases_CaseUpper as CaseUpper,
    iconsAndAliases_CassetteTape as CassetteTape,
    iconsAndAliases_Cast as Cast,
    iconsAndAliases_Castle as Castle,
    iconsAndAliases_Cat as Cat,
    iconsAndAliases_Check as Check,
    iconsAndAliases_CheckCheck as CheckCheck,
    iconsAndAliases_CheckCircle as CheckCircle,
    iconsAndAliases_CheckCircle2 as CheckCircle2,
    iconsAndAliases_CheckSquare as CheckSquare,
    iconsAndAliases_ChefHat as ChefHat,
    iconsAndAliases_Cherry as Cherry,
    iconsAndAliases_ChevronDown as ChevronDown,
    iconsAndAliases_ChevronDownCircle as ChevronDownCircle,
    iconsAndAliases_ChevronDownSquare as ChevronDownSquare,
    iconsAndAliases_ChevronFirst as ChevronFirst,
    iconsAndAliases_ChevronLast as ChevronLast,
    iconsAndAliases_ChevronLeft as ChevronLeft,
    iconsAndAliases_ChevronLeftCircle as ChevronLeftCircle,
    iconsAndAliases_ChevronLeftSquare as ChevronLeftSquare,
    iconsAndAliases_ChevronRight as ChevronRight,
    iconsAndAliases_ChevronRightCircle as ChevronRightCircle,
    iconsAndAliases_ChevronRightSquare as ChevronRightSquare,
    iconsAndAliases_ChevronUp as ChevronUp,
    iconsAndAliases_ChevronUpCircle as ChevronUpCircle,
    iconsAndAliases_ChevronUpSquare as ChevronUpSquare,
    iconsAndAliases_ChevronsDown as ChevronsDown,
    iconsAndAliases_ChevronsDownUp as ChevronsDownUp,
    iconsAndAliases_ChevronsLeft as ChevronsLeft,
    iconsAndAliases_ChevronsLeftRight as ChevronsLeftRight,
    iconsAndAliases_ChevronsRight as ChevronsRight,
    iconsAndAliases_ChevronsRightLeft as ChevronsRightLeft,
    iconsAndAliases_ChevronsUp as ChevronsUp,
    iconsAndAliases_ChevronsUpDown as ChevronsUpDown,
    iconsAndAliases_Chrome as Chrome,
    iconsAndAliases_Church as Church,
    iconsAndAliases_Cigarette as Cigarette,
    iconsAndAliases_CigaretteOff as CigaretteOff,
    iconsAndAliases_Circle as Circle,
    iconsAndAliases_CircleDashed as CircleDashed,
    iconsAndAliases_CircleDollarSign as CircleDollarSign,
    iconsAndAliases_CircleDot as CircleDot,
    iconsAndAliases_CircleDotDashed as CircleDotDashed,
    iconsAndAliases_CircleEllipsis as CircleEllipsis,
    iconsAndAliases_CircleEqual as CircleEqual,
    iconsAndAliases_CircleOff as CircleOff,
    iconsAndAliases_CircleSlash as CircleSlash,
    iconsAndAliases_CircleSlash2 as CircleSlash2,
    CircleSlash2 as CircleSlashed,
    iconsAndAliases_CircuitBoard as CircuitBoard,
    iconsAndAliases_Citrus as Citrus,
    iconsAndAliases_Clapperboard as Clapperboard,
    iconsAndAliases_Clipboard as Clipboard,
    iconsAndAliases_ClipboardCheck as ClipboardCheck,
    iconsAndAliases_ClipboardCopy as ClipboardCopy,
    iconsAndAliases_ClipboardEdit as ClipboardEdit,
    iconsAndAliases_ClipboardList as ClipboardList,
    iconsAndAliases_ClipboardPaste as ClipboardPaste,
    iconsAndAliases_ClipboardSignature as ClipboardSignature,
    iconsAndAliases_ClipboardType as ClipboardType,
    iconsAndAliases_ClipboardX as ClipboardX,
    iconsAndAliases_Clock as Clock,
    iconsAndAliases_Clock1 as Clock1,
    iconsAndAliases_Clock10 as Clock10,
    iconsAndAliases_Clock11 as Clock11,
    iconsAndAliases_Clock12 as Clock12,
    iconsAndAliases_Clock2 as Clock2,
    iconsAndAliases_Clock3 as Clock3,
    iconsAndAliases_Clock4 as Clock4,
    iconsAndAliases_Clock5 as Clock5,
    iconsAndAliases_Clock6 as Clock6,
    iconsAndAliases_Clock7 as Clock7,
    iconsAndAliases_Clock8 as Clock8,
    iconsAndAliases_Clock9 as Clock9,
    iconsAndAliases_Cloud as Cloud,
    iconsAndAliases_CloudCog as CloudCog,
    iconsAndAliases_CloudDrizzle as CloudDrizzle,
    iconsAndAliases_CloudFog as CloudFog,
    iconsAndAliases_CloudHail as CloudHail,
    iconsAndAliases_CloudLightning as CloudLightning,
    iconsAndAliases_CloudMoon as CloudMoon,
    iconsAndAliases_CloudMoonRain as CloudMoonRain,
    iconsAndAliases_CloudOff as CloudOff,
    iconsAndAliases_CloudRain as CloudRain,
    iconsAndAliases_CloudRainWind as CloudRainWind,
    iconsAndAliases_CloudSnow as CloudSnow,
    iconsAndAliases_CloudSun as CloudSun,
    iconsAndAliases_CloudSunRain as CloudSunRain,
    iconsAndAliases_Cloudy as Cloudy,
    iconsAndAliases_Clover as Clover,
    iconsAndAliases_Club as Club,
    iconsAndAliases_Code as Code,
    iconsAndAliases_Code2 as Code2,
    iconsAndAliases_Codepen as Codepen,
    iconsAndAliases_Codesandbox as Codesandbox,
    iconsAndAliases_Coffee as Coffee,
    iconsAndAliases_Cog as Cog,
    iconsAndAliases_Coins as Coins,
    iconsAndAliases_Columns as Columns,
    iconsAndAliases_Combine as Combine,
    iconsAndAliases_Command as Command,
    iconsAndAliases_Compass as Compass,
    iconsAndAliases_Component as Component,
    iconsAndAliases_Computer as Computer,
    iconsAndAliases_ConciergeBell as ConciergeBell,
    iconsAndAliases_Cone as Cone,
    iconsAndAliases_Construction as Construction,
    iconsAndAliases_Contact as Contact,
    iconsAndAliases_Contact2 as Contact2,
    iconsAndAliases_Container as Container,
    iconsAndAliases_Contrast as Contrast,
    iconsAndAliases_Cookie as Cookie,
    iconsAndAliases_Copy as Copy,
    iconsAndAliases_CopyCheck as CopyCheck,
    iconsAndAliases_CopyMinus as CopyMinus,
    iconsAndAliases_CopyPlus as CopyPlus,
    iconsAndAliases_CopySlash as CopySlash,
    iconsAndAliases_CopyX as CopyX,
    iconsAndAliases_Copyleft as Copyleft,
    iconsAndAliases_Copyright as Copyright,
    iconsAndAliases_CornerDownLeft as CornerDownLeft,
    iconsAndAliases_CornerDownRight as CornerDownRight,
    iconsAndAliases_CornerLeftDown as CornerLeftDown,
    iconsAndAliases_CornerLeftUp as CornerLeftUp,
    iconsAndAliases_CornerRightDown as CornerRightDown,
    iconsAndAliases_CornerRightUp as CornerRightUp,
    iconsAndAliases_CornerUpLeft as CornerUpLeft,
    iconsAndAliases_CornerUpRight as CornerUpRight,
    iconsAndAliases_Cpu as Cpu,
    iconsAndAliases_CreativeCommons as CreativeCommons,
    iconsAndAliases_CreditCard as CreditCard,
    iconsAndAliases_Croissant as Croissant,
    iconsAndAliases_Crop as Crop,
    iconsAndAliases_Cross as Cross,
    iconsAndAliases_Crosshair as Crosshair,
    iconsAndAliases_Crown as Crown,
    iconsAndAliases_Cuboid as Cuboid,
    iconsAndAliases_CupSoda as CupSoda,
    Braces as CurlyBraces,
    iconsAndAliases_Currency as Currency,
    iconsAndAliases_Cylinder as Cylinder,
    iconsAndAliases_Database as Database,
    iconsAndAliases_DatabaseBackup as DatabaseBackup,
    iconsAndAliases_DatabaseZap as DatabaseZap,
    iconsAndAliases_Delete as Delete,
    iconsAndAliases_Dessert as Dessert,
    iconsAndAliases_Diameter as Diameter,
    iconsAndAliases_Diamond as Diamond,
    iconsAndAliases_Dice1 as Dice1,
    iconsAndAliases_Dice2 as Dice2,
    iconsAndAliases_Dice3 as Dice3,
    iconsAndAliases_Dice4 as Dice4,
    iconsAndAliases_Dice5 as Dice5,
    iconsAndAliases_Dice6 as Dice6,
    iconsAndAliases_Dices as Dices,
    iconsAndAliases_Diff as Diff,
    iconsAndAliases_Disc as Disc,
    iconsAndAliases_Disc2 as Disc2,
    iconsAndAliases_Disc3 as Disc3,
    iconsAndAliases_Divide as Divide,
    iconsAndAliases_DivideCircle as DivideCircle,
    iconsAndAliases_DivideSquare as DivideSquare,
    iconsAndAliases_Dna as Dna,
    iconsAndAliases_DnaOff as DnaOff,
    iconsAndAliases_Dog as Dog,
    iconsAndAliases_DollarSign as DollarSign,
    iconsAndAliases_Donut as Donut,
    iconsAndAliases_DoorClosed as DoorClosed,
    iconsAndAliases_DoorOpen as DoorOpen,
    iconsAndAliases_Dot as Dot,
    iconsAndAliases_Download as Download,
    iconsAndAliases_DownloadCloud as DownloadCloud,
    iconsAndAliases_DraftingCompass as DraftingCompass,
    iconsAndAliases_Drama as Drama,
    iconsAndAliases_Dribbble as Dribbble,
    iconsAndAliases_Droplet as Droplet,
    iconsAndAliases_Droplets as Droplets,
    iconsAndAliases_Drumstick as Drumstick,
    iconsAndAliases_Dumbbell as Dumbbell,
    iconsAndAliases_Ear as Ear,
    iconsAndAliases_EarOff as EarOff,
    PenSquare as Edit,
    Pen as Edit2,
    PenLine as Edit3,
    iconsAndAliases_Egg as Egg,
    iconsAndAliases_EggFried as EggFried,
    iconsAndAliases_EggOff as EggOff,
    iconsAndAliases_Equal as Equal,
    iconsAndAliases_EqualNot as EqualNot,
    iconsAndAliases_Eraser as Eraser,
    iconsAndAliases_Euro as Euro,
    iconsAndAliases_Expand as Expand,
    iconsAndAliases_ExternalLink as ExternalLink,
    iconsAndAliases_Eye as Eye,
    iconsAndAliases_EyeOff as EyeOff,
    iconsAndAliases_Facebook as Facebook,
    iconsAndAliases_Factory as Factory,
    iconsAndAliases_Fan as Fan,
    iconsAndAliases_FastForward as FastForward,
    iconsAndAliases_Feather as Feather,
    iconsAndAliases_FerrisWheel as FerrisWheel,
    iconsAndAliases_Figma as Figma,
    iconsAndAliases_File as File,
    iconsAndAliases_FileArchive as FileArchive,
    iconsAndAliases_FileAudio as FileAudio,
    iconsAndAliases_FileAudio2 as FileAudio2,
    FileAxis3d as FileAxis3D,
    iconsAndAliases_FileAxis3d as FileAxis3d,
    iconsAndAliases_FileBadge as FileBadge,
    iconsAndAliases_FileBadge2 as FileBadge2,
    iconsAndAliases_FileBarChart as FileBarChart,
    iconsAndAliases_FileBarChart2 as FileBarChart2,
    iconsAndAliases_FileBox as FileBox,
    iconsAndAliases_FileCheck as FileCheck,
    iconsAndAliases_FileCheck2 as FileCheck2,
    iconsAndAliases_FileClock as FileClock,
    iconsAndAliases_FileCode as FileCode,
    iconsAndAliases_FileCode2 as FileCode2,
    iconsAndAliases_FileCog as FileCog,
    FileCog as FileCog2,
    iconsAndAliases_FileDiff as FileDiff,
    iconsAndAliases_FileDigit as FileDigit,
    iconsAndAliases_FileDown as FileDown,
    iconsAndAliases_FileEdit as FileEdit,
    iconsAndAliases_FileHeart as FileHeart,
    iconsAndAliases_FileImage as FileImage,
    iconsAndAliases_FileInput as FileInput,
    iconsAndAliases_FileJson as FileJson,
    iconsAndAliases_FileJson2 as FileJson2,
    iconsAndAliases_FileKey as FileKey,
    iconsAndAliases_FileKey2 as FileKey2,
    iconsAndAliases_FileLineChart as FileLineChart,
    iconsAndAliases_FileLock as FileLock,
    iconsAndAliases_FileLock2 as FileLock2,
    iconsAndAliases_FileMinus as FileMinus,
    iconsAndAliases_FileMinus2 as FileMinus2,
    iconsAndAliases_FileOutput as FileOutput,
    iconsAndAliases_FilePieChart as FilePieChart,
    iconsAndAliases_FilePlus as FilePlus,
    iconsAndAliases_FilePlus2 as FilePlus2,
    iconsAndAliases_FileQuestion as FileQuestion,
    iconsAndAliases_FileScan as FileScan,
    iconsAndAliases_FileSearch as FileSearch,
    iconsAndAliases_FileSearch2 as FileSearch2,
    iconsAndAliases_FileSignature as FileSignature,
    iconsAndAliases_FileSpreadsheet as FileSpreadsheet,
    iconsAndAliases_FileStack as FileStack,
    iconsAndAliases_FileSymlink as FileSymlink,
    iconsAndAliases_FileTerminal as FileTerminal,
    iconsAndAliases_FileText as FileText,
    iconsAndAliases_FileType as FileType,
    iconsAndAliases_FileType2 as FileType2,
    iconsAndAliases_FileUp as FileUp,
    iconsAndAliases_FileVideo as FileVideo,
    iconsAndAliases_FileVideo2 as FileVideo2,
    iconsAndAliases_FileVolume as FileVolume,
    iconsAndAliases_FileVolume2 as FileVolume2,
    iconsAndAliases_FileWarning as FileWarning,
    iconsAndAliases_FileX as FileX,
    iconsAndAliases_FileX2 as FileX2,
    iconsAndAliases_Files as Files,
    iconsAndAliases_Film as Film,
    iconsAndAliases_Filter as Filter,
    iconsAndAliases_FilterX as FilterX,
    iconsAndAliases_Fingerprint as Fingerprint,
    iconsAndAliases_Fish as Fish,
    iconsAndAliases_FishOff as FishOff,
    iconsAndAliases_FishSymbol as FishSymbol,
    iconsAndAliases_Flag as Flag,
    iconsAndAliases_FlagOff as FlagOff,
    iconsAndAliases_FlagTriangleLeft as FlagTriangleLeft,
    iconsAndAliases_FlagTriangleRight as FlagTriangleRight,
    iconsAndAliases_Flame as Flame,
    iconsAndAliases_FlameKindling as FlameKindling,
    iconsAndAliases_Flashlight as Flashlight,
    iconsAndAliases_FlashlightOff as FlashlightOff,
    iconsAndAliases_FlaskConical as FlaskConical,
    iconsAndAliases_FlaskConicalOff as FlaskConicalOff,
    iconsAndAliases_FlaskRound as FlaskRound,
    iconsAndAliases_FlipHorizontal as FlipHorizontal,
    iconsAndAliases_FlipHorizontal2 as FlipHorizontal2,
    iconsAndAliases_FlipVertical as FlipVertical,
    iconsAndAliases_FlipVertical2 as FlipVertical2,
    iconsAndAliases_Flower as Flower,
    iconsAndAliases_Flower2 as Flower2,
    iconsAndAliases_Focus as Focus,
    iconsAndAliases_FoldHorizontal as FoldHorizontal,
    iconsAndAliases_FoldVertical as FoldVertical,
    iconsAndAliases_Folder as Folder,
    iconsAndAliases_FolderArchive as FolderArchive,
    iconsAndAliases_FolderCheck as FolderCheck,
    iconsAndAliases_FolderClock as FolderClock,
    iconsAndAliases_FolderClosed as FolderClosed,
    iconsAndAliases_FolderCog as FolderCog,
    FolderCog as FolderCog2,
    iconsAndAliases_FolderDot as FolderDot,
    iconsAndAliases_FolderDown as FolderDown,
    iconsAndAliases_FolderEdit as FolderEdit,
    iconsAndAliases_FolderGit as FolderGit,
    iconsAndAliases_FolderGit2 as FolderGit2,
    iconsAndAliases_FolderHeart as FolderHeart,
    iconsAndAliases_FolderInput as FolderInput,
    iconsAndAliases_FolderKanban as FolderKanban,
    iconsAndAliases_FolderKey as FolderKey,
    iconsAndAliases_FolderLock as FolderLock,
    iconsAndAliases_FolderMinus as FolderMinus,
    iconsAndAliases_FolderOpen as FolderOpen,
    iconsAndAliases_FolderOpenDot as FolderOpenDot,
    iconsAndAliases_FolderOutput as FolderOutput,
    iconsAndAliases_FolderPlus as FolderPlus,
    iconsAndAliases_FolderRoot as FolderRoot,
    iconsAndAliases_FolderSearch as FolderSearch,
    iconsAndAliases_FolderSearch2 as FolderSearch2,
    iconsAndAliases_FolderSymlink as FolderSymlink,
    iconsAndAliases_FolderSync as FolderSync,
    iconsAndAliases_FolderTree as FolderTree,
    iconsAndAliases_FolderUp as FolderUp,
    iconsAndAliases_FolderX as FolderX,
    iconsAndAliases_Folders as Folders,
    iconsAndAliases_Footprints as Footprints,
    iconsAndAliases_Forklift as Forklift,
    iconsAndAliases_FormInput as FormInput,
    iconsAndAliases_Forward as Forward,
    iconsAndAliases_Frame as Frame,
    iconsAndAliases_Framer as Framer,
    iconsAndAliases_Frown as Frown,
    iconsAndAliases_Fuel as Fuel,
    iconsAndAliases_Fullscreen as Fullscreen,
    iconsAndAliases_FunctionSquare as FunctionSquare,
    iconsAndAliases_GalleryHorizontal as GalleryHorizontal,
    iconsAndAliases_GalleryHorizontalEnd as GalleryHorizontalEnd,
    iconsAndAliases_GalleryThumbnails as GalleryThumbnails,
    iconsAndAliases_GalleryVertical as GalleryVertical,
    iconsAndAliases_GalleryVerticalEnd as GalleryVerticalEnd,
    iconsAndAliases_Gamepad as Gamepad,
    iconsAndAliases_Gamepad2 as Gamepad2,
    iconsAndAliases_GanttChart as GanttChart,
    iconsAndAliases_GanttChartSquare as GanttChartSquare,
    iconsAndAliases_Gauge as Gauge,
    iconsAndAliases_GaugeCircle as GaugeCircle,
    iconsAndAliases_Gavel as Gavel,
    iconsAndAliases_Gem as Gem,
    iconsAndAliases_Ghost as Ghost,
    iconsAndAliases_Gift as Gift,
    iconsAndAliases_GitBranch as GitBranch,
    iconsAndAliases_GitBranchPlus as GitBranchPlus,
    GitCommitHorizontal as GitCommit,
    iconsAndAliases_GitCommitHorizontal as GitCommitHorizontal,
    iconsAndAliases_GitCommitVertical as GitCommitVertical,
    iconsAndAliases_GitCompare as GitCompare,
    iconsAndAliases_GitCompareArrows as GitCompareArrows,
    iconsAndAliases_GitFork as GitFork,
    iconsAndAliases_GitGraph as GitGraph,
    iconsAndAliases_GitMerge as GitMerge,
    iconsAndAliases_GitPullRequest as GitPullRequest,
    iconsAndAliases_GitPullRequestArrow as GitPullRequestArrow,
    iconsAndAliases_GitPullRequestClosed as GitPullRequestClosed,
    iconsAndAliases_GitPullRequestCreate as GitPullRequestCreate,
    iconsAndAliases_GitPullRequestCreateArrow as GitPullRequestCreateArrow,
    iconsAndAliases_GitPullRequestDraft as GitPullRequestDraft,
    iconsAndAliases_Github as Github,
    iconsAndAliases_Gitlab as Gitlab,
    iconsAndAliases_GlassWater as GlassWater,
    iconsAndAliases_Glasses as Glasses,
    iconsAndAliases_Globe as Globe,
    iconsAndAliases_Globe2 as Globe2,
    iconsAndAliases_Goal as Goal,
    iconsAndAliases_Grab as Grab,
    iconsAndAliases_GraduationCap as GraduationCap,
    iconsAndAliases_Grape as Grape,
    Grid3x3 as Grid,
    Grid2x2 as Grid2X2,
    iconsAndAliases_Grid2x2 as Grid2x2,
    Grid3x3 as Grid3X3,
    iconsAndAliases_Grid3x3 as Grid3x3,
    iconsAndAliases_Grip as Grip,
    iconsAndAliases_GripHorizontal as GripHorizontal,
    iconsAndAliases_GripVertical as GripVertical,
    iconsAndAliases_Group as Group,
    iconsAndAliases_Hammer as Hammer,
    iconsAndAliases_Hand as Hand,
    iconsAndAliases_HandMetal as HandMetal,
    iconsAndAliases_HardDrive as HardDrive,
    iconsAndAliases_HardDriveDownload as HardDriveDownload,
    iconsAndAliases_HardDriveUpload as HardDriveUpload,
    iconsAndAliases_HardHat as HardHat,
    iconsAndAliases_Hash as Hash,
    iconsAndAliases_Haze as Haze,
    iconsAndAliases_HdmiPort as HdmiPort,
    iconsAndAliases_Heading as Heading,
    iconsAndAliases_Heading1 as Heading1,
    iconsAndAliases_Heading2 as Heading2,
    iconsAndAliases_Heading3 as Heading3,
    iconsAndAliases_Heading4 as Heading4,
    iconsAndAliases_Heading5 as Heading5,
    iconsAndAliases_Heading6 as Heading6,
    iconsAndAliases_Headphones as Headphones,
    iconsAndAliases_Heart as Heart,
    iconsAndAliases_HeartCrack as HeartCrack,
    iconsAndAliases_HeartHandshake as HeartHandshake,
    iconsAndAliases_HeartOff as HeartOff,
    iconsAndAliases_HeartPulse as HeartPulse,
    iconsAndAliases_HelpCircle as HelpCircle,
    iconsAndAliases_HelpingHand as HelpingHand,
    iconsAndAliases_Hexagon as Hexagon,
    iconsAndAliases_Highlighter as Highlighter,
    iconsAndAliases_History as History,
    iconsAndAliases_Home as Home,
    iconsAndAliases_Hop as Hop,
    iconsAndAliases_HopOff as HopOff,
    iconsAndAliases_Hotel as Hotel,
    iconsAndAliases_Hourglass as Hourglass,
    iconsAndAliases_IceCream as IceCream,
    iconsAndAliases_IceCream2 as IceCream2,
    iconsAndAliases_Image as Image,
    iconsAndAliases_ImageDown as ImageDown,
    iconsAndAliases_ImageMinus as ImageMinus,
    iconsAndAliases_ImageOff as ImageOff,
    iconsAndAliases_ImagePlus as ImagePlus,
    iconsAndAliases_Import as Import,
    iconsAndAliases_Inbox as Inbox,
    iconsAndAliases_Indent as Indent,
    iconsAndAliases_IndianRupee as IndianRupee,
    iconsAndAliases_Infinity as Infinity,
    iconsAndAliases_Info as Info,
    MousePointerSquare as Inspect,
    iconsAndAliases_Instagram as Instagram,
    iconsAndAliases_Italic as Italic,
    iconsAndAliases_IterationCcw as IterationCcw,
    iconsAndAliases_IterationCw as IterationCw,
    iconsAndAliases_JapaneseYen as JapaneseYen,
    iconsAndAliases_Joystick as Joystick,
    iconsAndAliases_Kanban as Kanban,
    iconsAndAliases_KanbanSquare as KanbanSquare,
    iconsAndAliases_KanbanSquareDashed as KanbanSquareDashed,
    iconsAndAliases_Key as Key,
    iconsAndAliases_KeyRound as KeyRound,
    iconsAndAliases_KeySquare as KeySquare,
    iconsAndAliases_Keyboard as Keyboard,
    iconsAndAliases_Lamp as Lamp,
    iconsAndAliases_LampCeiling as LampCeiling,
    iconsAndAliases_LampDesk as LampDesk,
    iconsAndAliases_LampFloor as LampFloor,
    iconsAndAliases_LampWallDown as LampWallDown,
    iconsAndAliases_LampWallUp as LampWallUp,
    iconsAndAliases_LandPlot as LandPlot,
    iconsAndAliases_Landmark as Landmark,
    iconsAndAliases_Languages as Languages,
    iconsAndAliases_Laptop as Laptop,
    iconsAndAliases_Laptop2 as Laptop2,
    iconsAndAliases_Lasso as Lasso,
    iconsAndAliases_LassoSelect as LassoSelect,
    iconsAndAliases_Laugh as Laugh,
    iconsAndAliases_Layers as Layers,
    iconsAndAliases_Layers2 as Layers2,
    iconsAndAliases_Layers3 as Layers3,
    iconsAndAliases_Layout as Layout,
    iconsAndAliases_LayoutDashboard as LayoutDashboard,
    iconsAndAliases_LayoutGrid as LayoutGrid,
    iconsAndAliases_LayoutList as LayoutList,
    iconsAndAliases_LayoutPanelLeft as LayoutPanelLeft,
    iconsAndAliases_LayoutPanelTop as LayoutPanelTop,
    iconsAndAliases_LayoutTemplate as LayoutTemplate,
    iconsAndAliases_Leaf as Leaf,
    iconsAndAliases_LeafyGreen as LeafyGreen,
    iconsAndAliases_Library as Library,
    iconsAndAliases_LibraryBig as LibraryBig,
    iconsAndAliases_LibrarySquare as LibrarySquare,
    iconsAndAliases_LifeBuoy as LifeBuoy,
    iconsAndAliases_Ligature as Ligature,
    iconsAndAliases_Lightbulb as Lightbulb,
    iconsAndAliases_LightbulbOff as LightbulbOff,
    iconsAndAliases_LineChart as LineChart,
    iconsAndAliases_Link as Link,
    iconsAndAliases_Link2 as Link2,
    iconsAndAliases_Link2Off as Link2Off,
    iconsAndAliases_Linkedin as Linkedin,
    iconsAndAliases_List as List,
    iconsAndAliases_ListChecks as ListChecks,
    iconsAndAliases_ListEnd as ListEnd,
    iconsAndAliases_ListFilter as ListFilter,
    iconsAndAliases_ListMinus as ListMinus,
    iconsAndAliases_ListMusic as ListMusic,
    iconsAndAliases_ListOrdered as ListOrdered,
    iconsAndAliases_ListPlus as ListPlus,
    iconsAndAliases_ListRestart as ListRestart,
    iconsAndAliases_ListStart as ListStart,
    iconsAndAliases_ListTodo as ListTodo,
    iconsAndAliases_ListTree as ListTree,
    iconsAndAliases_ListVideo as ListVideo,
    iconsAndAliases_ListX as ListX,
    iconsAndAliases_Loader as Loader,
    iconsAndAliases_Loader2 as Loader2,
    iconsAndAliases_Locate as Locate,
    iconsAndAliases_LocateFixed as LocateFixed,
    iconsAndAliases_LocateOff as LocateOff,
    iconsAndAliases_Lock as Lock,
    iconsAndAliases_LockKeyhole as LockKeyhole,
    iconsAndAliases_LogIn as LogIn,
    iconsAndAliases_LogOut as LogOut,
    iconsAndAliases_Lollipop as Lollipop,
    iconsAndAliases_Luggage as Luggage,
    iconsAndAliases_MSquare as MSquare,
    iconsAndAliases_Magnet as Magnet,
    iconsAndAliases_Mail as Mail,
    iconsAndAliases_MailCheck as MailCheck,
    iconsAndAliases_MailMinus as MailMinus,
    iconsAndAliases_MailOpen as MailOpen,
    iconsAndAliases_MailPlus as MailPlus,
    iconsAndAliases_MailQuestion as MailQuestion,
    iconsAndAliases_MailSearch as MailSearch,
    iconsAndAliases_MailWarning as MailWarning,
    iconsAndAliases_MailX as MailX,
    iconsAndAliases_Mailbox as Mailbox,
    iconsAndAliases_Mails as Mails,
    iconsAndAliases_Map as Map,
    iconsAndAliases_MapPin as MapPin,
    iconsAndAliases_MapPinOff as MapPinOff,
    iconsAndAliases_MapPinned as MapPinned,
    iconsAndAliases_Martini as Martini,
    iconsAndAliases_Maximize as Maximize,
    iconsAndAliases_Maximize2 as Maximize2,
    iconsAndAliases_Medal as Medal,
    iconsAndAliases_Megaphone as Megaphone,
    iconsAndAliases_MegaphoneOff as MegaphoneOff,
    iconsAndAliases_Meh as Meh,
    iconsAndAliases_MemoryStick as MemoryStick,
    iconsAndAliases_Menu as Menu,
    iconsAndAliases_MenuSquare as MenuSquare,
    iconsAndAliases_Merge as Merge,
    iconsAndAliases_MessageCircle as MessageCircle,
    iconsAndAliases_MessageSquare as MessageSquare,
    iconsAndAliases_MessageSquareDashed as MessageSquareDashed,
    iconsAndAliases_MessageSquarePlus as MessageSquarePlus,
    iconsAndAliases_MessagesSquare as MessagesSquare,
    iconsAndAliases_Mic as Mic,
    iconsAndAliases_Mic2 as Mic2,
    iconsAndAliases_MicOff as MicOff,
    iconsAndAliases_Microscope as Microscope,
    iconsAndAliases_Microwave as Microwave,
    iconsAndAliases_Milestone as Milestone,
    iconsAndAliases_Milk as Milk,
    iconsAndAliases_MilkOff as MilkOff,
    iconsAndAliases_Minimize as Minimize,
    iconsAndAliases_Minimize2 as Minimize2,
    iconsAndAliases_Minus as Minus,
    iconsAndAliases_MinusCircle as MinusCircle,
    iconsAndAliases_MinusSquare as MinusSquare,
    iconsAndAliases_Monitor as Monitor,
    iconsAndAliases_MonitorCheck as MonitorCheck,
    iconsAndAliases_MonitorDot as MonitorDot,
    iconsAndAliases_MonitorDown as MonitorDown,
    iconsAndAliases_MonitorOff as MonitorOff,
    iconsAndAliases_MonitorPause as MonitorPause,
    iconsAndAliases_MonitorPlay as MonitorPlay,
    iconsAndAliases_MonitorSmartphone as MonitorSmartphone,
    iconsAndAliases_MonitorSpeaker as MonitorSpeaker,
    iconsAndAliases_MonitorStop as MonitorStop,
    iconsAndAliases_MonitorUp as MonitorUp,
    iconsAndAliases_MonitorX as MonitorX,
    iconsAndAliases_Moon as Moon,
    iconsAndAliases_MoonStar as MoonStar,
    iconsAndAliases_MoreHorizontal as MoreHorizontal,
    iconsAndAliases_MoreVertical as MoreVertical,
    iconsAndAliases_Mountain as Mountain,
    iconsAndAliases_MountainSnow as MountainSnow,
    iconsAndAliases_Mouse as Mouse,
    iconsAndAliases_MousePointer as MousePointer,
    iconsAndAliases_MousePointer2 as MousePointer2,
    iconsAndAliases_MousePointerClick as MousePointerClick,
    iconsAndAliases_MousePointerSquare as MousePointerSquare,
    iconsAndAliases_MousePointerSquareDashed as MousePointerSquareDashed,
    iconsAndAliases_Move as Move,
    Move3d as Move3D,
    iconsAndAliases_Move3d as Move3d,
    iconsAndAliases_MoveDiagonal as MoveDiagonal,
    iconsAndAliases_MoveDiagonal2 as MoveDiagonal2,
    iconsAndAliases_MoveDown as MoveDown,
    iconsAndAliases_MoveDownLeft as MoveDownLeft,
    iconsAndAliases_MoveDownRight as MoveDownRight,
    iconsAndAliases_MoveHorizontal as MoveHorizontal,
    iconsAndAliases_MoveLeft as MoveLeft,
    iconsAndAliases_MoveRight as MoveRight,
    iconsAndAliases_MoveUp as MoveUp,
    iconsAndAliases_MoveUpLeft as MoveUpLeft,
    iconsAndAliases_MoveUpRight as MoveUpRight,
    iconsAndAliases_MoveVertical as MoveVertical,
    iconsAndAliases_Music as Music,
    iconsAndAliases_Music2 as Music2,
    iconsAndAliases_Music3 as Music3,
    iconsAndAliases_Music4 as Music4,
    iconsAndAliases_Navigation as Navigation,
    iconsAndAliases_Navigation2 as Navigation2,
    iconsAndAliases_Navigation2Off as Navigation2Off,
    iconsAndAliases_NavigationOff as NavigationOff,
    iconsAndAliases_Network as Network,
    iconsAndAliases_Newspaper as Newspaper,
    iconsAndAliases_Nfc as Nfc,
    iconsAndAliases_Nut as Nut,
    iconsAndAliases_NutOff as NutOff,
    iconsAndAliases_Octagon as Octagon,
    iconsAndAliases_Option as Option,
    iconsAndAliases_Orbit as Orbit,
    iconsAndAliases_Outdent as Outdent,
    iconsAndAliases_Package as Package,
    iconsAndAliases_Package2 as Package2,
    iconsAndAliases_PackageCheck as PackageCheck,
    iconsAndAliases_PackageMinus as PackageMinus,
    iconsAndAliases_PackageOpen as PackageOpen,
    iconsAndAliases_PackagePlus as PackagePlus,
    iconsAndAliases_PackageSearch as PackageSearch,
    iconsAndAliases_PackageX as PackageX,
    iconsAndAliases_PaintBucket as PaintBucket,
    iconsAndAliases_Paintbrush as Paintbrush,
    iconsAndAliases_Paintbrush2 as Paintbrush2,
    iconsAndAliases_Palette as Palette,
    iconsAndAliases_Palmtree as Palmtree,
    iconsAndAliases_PanelBottom as PanelBottom,
    iconsAndAliases_PanelBottomClose as PanelBottomClose,
    iconsAndAliases_PanelBottomInactive as PanelBottomInactive,
    iconsAndAliases_PanelBottomOpen as PanelBottomOpen,
    iconsAndAliases_PanelLeft as PanelLeft,
    iconsAndAliases_PanelLeftClose as PanelLeftClose,
    iconsAndAliases_PanelLeftInactive as PanelLeftInactive,
    iconsAndAliases_PanelLeftOpen as PanelLeftOpen,
    iconsAndAliases_PanelRight as PanelRight,
    iconsAndAliases_PanelRightClose as PanelRightClose,
    iconsAndAliases_PanelRightInactive as PanelRightInactive,
    iconsAndAliases_PanelRightOpen as PanelRightOpen,
    iconsAndAliases_PanelTop as PanelTop,
    iconsAndAliases_PanelTopClose as PanelTopClose,
    iconsAndAliases_PanelTopInactive as PanelTopInactive,
    iconsAndAliases_PanelTopOpen as PanelTopOpen,
    iconsAndAliases_Paperclip as Paperclip,
    iconsAndAliases_Parentheses as Parentheses,
    iconsAndAliases_ParkingCircle as ParkingCircle,
    iconsAndAliases_ParkingCircleOff as ParkingCircleOff,
    iconsAndAliases_ParkingMeter as ParkingMeter,
    iconsAndAliases_ParkingSquare as ParkingSquare,
    iconsAndAliases_ParkingSquareOff as ParkingSquareOff,
    iconsAndAliases_PartyPopper as PartyPopper,
    iconsAndAliases_Pause as Pause,
    iconsAndAliases_PauseCircle as PauseCircle,
    iconsAndAliases_PauseOctagon as PauseOctagon,
    iconsAndAliases_PawPrint as PawPrint,
    iconsAndAliases_PcCase as PcCase,
    iconsAndAliases_Pen as Pen,
    PenSquare as PenBox,
    iconsAndAliases_PenLine as PenLine,
    iconsAndAliases_PenSquare as PenSquare,
    iconsAndAliases_PenTool as PenTool,
    iconsAndAliases_Pencil as Pencil,
    iconsAndAliases_PencilLine as PencilLine,
    iconsAndAliases_PencilRuler as PencilRuler,
    iconsAndAliases_Pentagon as Pentagon,
    iconsAndAliases_Percent as Percent,
    iconsAndAliases_PercentCircle as PercentCircle,
    iconsAndAliases_PercentDiamond as PercentDiamond,
    iconsAndAliases_PercentSquare as PercentSquare,
    iconsAndAliases_PersonStanding as PersonStanding,
    iconsAndAliases_Phone as Phone,
    iconsAndAliases_PhoneCall as PhoneCall,
    iconsAndAliases_PhoneForwarded as PhoneForwarded,
    iconsAndAliases_PhoneIncoming as PhoneIncoming,
    iconsAndAliases_PhoneMissed as PhoneMissed,
    iconsAndAliases_PhoneOff as PhoneOff,
    iconsAndAliases_PhoneOutgoing as PhoneOutgoing,
    iconsAndAliases_Pi as Pi,
    iconsAndAliases_PiSquare as PiSquare,
    iconsAndAliases_PictureInPicture as PictureInPicture,
    iconsAndAliases_PictureInPicture2 as PictureInPicture2,
    iconsAndAliases_PieChart as PieChart,
    iconsAndAliases_PiggyBank as PiggyBank,
    iconsAndAliases_Pilcrow as Pilcrow,
    iconsAndAliases_PilcrowSquare as PilcrowSquare,
    iconsAndAliases_Pill as Pill,
    iconsAndAliases_Pin as Pin,
    iconsAndAliases_PinOff as PinOff,
    iconsAndAliases_Pipette as Pipette,
    iconsAndAliases_Pizza as Pizza,
    iconsAndAliases_Plane as Plane,
    iconsAndAliases_PlaneLanding as PlaneLanding,
    iconsAndAliases_PlaneTakeoff as PlaneTakeoff,
    iconsAndAliases_Play as Play,
    iconsAndAliases_PlayCircle as PlayCircle,
    iconsAndAliases_PlaySquare as PlaySquare,
    iconsAndAliases_Plug as Plug,
    iconsAndAliases_Plug2 as Plug2,
    iconsAndAliases_PlugZap as PlugZap,
    iconsAndAliases_PlugZap2 as PlugZap2,
    iconsAndAliases_Plus as Plus,
    iconsAndAliases_PlusCircle as PlusCircle,
    iconsAndAliases_PlusSquare as PlusSquare,
    iconsAndAliases_Pocket as Pocket,
    iconsAndAliases_PocketKnife as PocketKnife,
    iconsAndAliases_Podcast as Podcast,
    iconsAndAliases_Pointer as Pointer,
    iconsAndAliases_Popcorn as Popcorn,
    iconsAndAliases_Popsicle as Popsicle,
    iconsAndAliases_PoundSterling as PoundSterling,
    iconsAndAliases_Power as Power,
    iconsAndAliases_PowerCircle as PowerCircle,
    iconsAndAliases_PowerOff as PowerOff,
    iconsAndAliases_PowerSquare as PowerSquare,
    iconsAndAliases_Presentation as Presentation,
    iconsAndAliases_Printer as Printer,
    iconsAndAliases_Projector as Projector,
    iconsAndAliases_Puzzle as Puzzle,
    iconsAndAliases_Pyramid as Pyramid,
    iconsAndAliases_QrCode as QrCode,
    iconsAndAliases_Quote as Quote,
    iconsAndAliases_Rabbit as Rabbit,
    iconsAndAliases_Radar as Radar,
    iconsAndAliases_Radiation as Radiation,
    iconsAndAliases_Radio as Radio,
    iconsAndAliases_RadioReceiver as RadioReceiver,
    iconsAndAliases_RadioTower as RadioTower,
    iconsAndAliases_Radius as Radius,
    iconsAndAliases_RailSymbol as RailSymbol,
    iconsAndAliases_Rainbow as Rainbow,
    iconsAndAliases_Rat as Rat,
    iconsAndAliases_Ratio as Ratio,
    iconsAndAliases_Receipt as Receipt,
    iconsAndAliases_RectangleHorizontal as RectangleHorizontal,
    iconsAndAliases_RectangleVertical as RectangleVertical,
    iconsAndAliases_Recycle as Recycle,
    iconsAndAliases_Redo as Redo,
    iconsAndAliases_Redo2 as Redo2,
    iconsAndAliases_RedoDot as RedoDot,
    iconsAndAliases_RefreshCcw as RefreshCcw,
    iconsAndAliases_RefreshCcwDot as RefreshCcwDot,
    iconsAndAliases_RefreshCw as RefreshCw,
    iconsAndAliases_RefreshCwOff as RefreshCwOff,
    iconsAndAliases_Refrigerator as Refrigerator,
    iconsAndAliases_Regex as Regex,
    iconsAndAliases_RemoveFormatting as RemoveFormatting,
    iconsAndAliases_Repeat as Repeat,
    iconsAndAliases_Repeat1 as Repeat1,
    iconsAndAliases_Repeat2 as Repeat2,
    iconsAndAliases_Replace as Replace,
    iconsAndAliases_ReplaceAll as ReplaceAll,
    iconsAndAliases_Reply as Reply,
    iconsAndAliases_ReplyAll as ReplyAll,
    iconsAndAliases_Rewind as Rewind,
    iconsAndAliases_Rocket as Rocket,
    iconsAndAliases_RockingChair as RockingChair,
    iconsAndAliases_RollerCoaster as RollerCoaster,
    Rotate3d as Rotate3D,
    iconsAndAliases_Rotate3d as Rotate3d,
    iconsAndAliases_RotateCcw as RotateCcw,
    iconsAndAliases_RotateCw as RotateCw,
    iconsAndAliases_Route as Route,
    iconsAndAliases_RouteOff as RouteOff,
    iconsAndAliases_Router as Router,
    iconsAndAliases_Rows as Rows,
    iconsAndAliases_Rss as Rss,
    iconsAndAliases_Ruler as Ruler,
    iconsAndAliases_RussianRuble as RussianRuble,
    iconsAndAliases_Sailboat as Sailboat,
    iconsAndAliases_Salad as Salad,
    iconsAndAliases_Sandwich as Sandwich,
    iconsAndAliases_Satellite as Satellite,
    iconsAndAliases_SatelliteDish as SatelliteDish,
    iconsAndAliases_Save as Save,
    iconsAndAliases_SaveAll as SaveAll,
    iconsAndAliases_Scale as Scale,
    Scale3d as Scale3D,
    iconsAndAliases_Scale3d as Scale3d,
    iconsAndAliases_Scaling as Scaling,
    iconsAndAliases_Scan as Scan,
    iconsAndAliases_ScanBarcode as ScanBarcode,
    iconsAndAliases_ScanEye as ScanEye,
    iconsAndAliases_ScanFace as ScanFace,
    iconsAndAliases_ScanLine as ScanLine,
    iconsAndAliases_ScanSearch as ScanSearch,
    iconsAndAliases_ScanText as ScanText,
    iconsAndAliases_ScatterChart as ScatterChart,
    iconsAndAliases_School as School,
    iconsAndAliases_School2 as School2,
    iconsAndAliases_Scissors as Scissors,
    iconsAndAliases_ScissorsLineDashed as ScissorsLineDashed,
    iconsAndAliases_ScissorsSquare as ScissorsSquare,
    iconsAndAliases_ScissorsSquareDashedBottom as ScissorsSquareDashedBottom,
    iconsAndAliases_ScreenShare as ScreenShare,
    iconsAndAliases_ScreenShareOff as ScreenShareOff,
    iconsAndAliases_Scroll as Scroll,
    iconsAndAliases_ScrollText as ScrollText,
    iconsAndAliases_Search as Search,
    iconsAndAliases_SearchCheck as SearchCheck,
    iconsAndAliases_SearchCode as SearchCode,
    iconsAndAliases_SearchSlash as SearchSlash,
    iconsAndAliases_SearchX as SearchX,
    iconsAndAliases_Send as Send,
    SendHorizontal as SendHorizonal,
    iconsAndAliases_SendHorizontal as SendHorizontal,
    iconsAndAliases_SendToBack as SendToBack,
    iconsAndAliases_SeparatorHorizontal as SeparatorHorizontal,
    iconsAndAliases_SeparatorVertical as SeparatorVertical,
    iconsAndAliases_Server as Server,
    iconsAndAliases_ServerCog as ServerCog,
    iconsAndAliases_ServerCrash as ServerCrash,
    iconsAndAliases_ServerOff as ServerOff,
    iconsAndAliases_Settings as Settings,
    iconsAndAliases_Settings2 as Settings2,
    iconsAndAliases_Shapes as Shapes,
    iconsAndAliases_Share as Share,
    iconsAndAliases_Share2 as Share2,
    iconsAndAliases_Sheet as Sheet,
    iconsAndAliases_Shell as Shell,
    iconsAndAliases_Shield as Shield,
    iconsAndAliases_ShieldAlert as ShieldAlert,
    iconsAndAliases_ShieldBan as ShieldBan,
    iconsAndAliases_ShieldCheck as ShieldCheck,
    ShieldX as ShieldClose,
    iconsAndAliases_ShieldEllipsis as ShieldEllipsis,
    iconsAndAliases_ShieldHalf as ShieldHalf,
    iconsAndAliases_ShieldMinus as ShieldMinus,
    iconsAndAliases_ShieldOff as ShieldOff,
    iconsAndAliases_ShieldPlus as ShieldPlus,
    iconsAndAliases_ShieldQuestion as ShieldQuestion,
    iconsAndAliases_ShieldX as ShieldX,
    iconsAndAliases_Ship as Ship,
    iconsAndAliases_ShipWheel as ShipWheel,
    iconsAndAliases_Shirt as Shirt,
    iconsAndAliases_ShoppingBag as ShoppingBag,
    iconsAndAliases_ShoppingBasket as ShoppingBasket,
    iconsAndAliases_ShoppingCart as ShoppingCart,
    iconsAndAliases_Shovel as Shovel,
    iconsAndAliases_ShowerHead as ShowerHead,
    iconsAndAliases_Shrink as Shrink,
    iconsAndAliases_Shrub as Shrub,
    iconsAndAliases_Shuffle as Shuffle,
    PanelLeft as Sidebar,
    PanelLeftClose as SidebarClose,
    PanelLeftOpen as SidebarOpen,
    iconsAndAliases_Sigma as Sigma,
    iconsAndAliases_SigmaSquare as SigmaSquare,
    iconsAndAliases_Signal as Signal,
    iconsAndAliases_SignalHigh as SignalHigh,
    iconsAndAliases_SignalLow as SignalLow,
    iconsAndAliases_SignalMedium as SignalMedium,
    iconsAndAliases_SignalZero as SignalZero,
    iconsAndAliases_Signpost as Signpost,
    iconsAndAliases_SignpostBig as SignpostBig,
    iconsAndAliases_Siren as Siren,
    iconsAndAliases_SkipBack as SkipBack,
    iconsAndAliases_SkipForward as SkipForward,
    iconsAndAliases_Skull as Skull,
    iconsAndAliases_Slack as Slack,
    iconsAndAliases_Slash as Slash,
    iconsAndAliases_Slice as Slice,
    iconsAndAliases_Sliders as Sliders,
    iconsAndAliases_SlidersHorizontal as SlidersHorizontal,
    iconsAndAliases_Smartphone as Smartphone,
    iconsAndAliases_SmartphoneCharging as SmartphoneCharging,
    iconsAndAliases_SmartphoneNfc as SmartphoneNfc,
    iconsAndAliases_Smile as Smile,
    iconsAndAliases_SmilePlus as SmilePlus,
    iconsAndAliases_Snail as Snail,
    iconsAndAliases_Snowflake as Snowflake,
    iconsAndAliases_Sofa as Sofa,
    ArrowUpNarrowWide as SortAsc,
    ArrowDownWideNarrow as SortDesc,
    iconsAndAliases_Soup as Soup,
    iconsAndAliases_Space as Space,
    iconsAndAliases_Spade as Spade,
    iconsAndAliases_Sparkle as Sparkle,
    iconsAndAliases_Sparkles as Sparkles,
    iconsAndAliases_Speaker as Speaker,
    iconsAndAliases_Speech as Speech,
    iconsAndAliases_SpellCheck as SpellCheck,
    iconsAndAliases_SpellCheck2 as SpellCheck2,
    iconsAndAliases_Spline as Spline,
    iconsAndAliases_Split as Split,
    iconsAndAliases_SplitSquareHorizontal as SplitSquareHorizontal,
    iconsAndAliases_SplitSquareVertical as SplitSquareVertical,
    iconsAndAliases_SprayCan as SprayCan,
    iconsAndAliases_Sprout as Sprout,
    iconsAndAliases_Square as Square,
    iconsAndAliases_SquareAsterisk as SquareAsterisk,
    iconsAndAliases_SquareCode as SquareCode,
    iconsAndAliases_SquareDashedBottom as SquareDashedBottom,
    iconsAndAliases_SquareDashedBottomCode as SquareDashedBottomCode,
    iconsAndAliases_SquareDot as SquareDot,
    iconsAndAliases_SquareEqual as SquareEqual,
    GanttChartSquare as SquareGantt,
    KanbanSquare as SquareKanban,
    KanbanSquareDashed as SquareKanbanDashed,
    iconsAndAliases_SquareSlash as SquareSlash,
    iconsAndAliases_SquareStack as SquareStack,
    iconsAndAliases_Squirrel as Squirrel,
    iconsAndAliases_Stamp as Stamp,
    iconsAndAliases_Star as Star,
    iconsAndAliases_StarHalf as StarHalf,
    iconsAndAliases_StarOff as StarOff,
    Sparkles as Stars,
    iconsAndAliases_StepBack as StepBack,
    iconsAndAliases_StepForward as StepForward,
    iconsAndAliases_Stethoscope as Stethoscope,
    iconsAndAliases_Sticker as Sticker,
    iconsAndAliases_StickyNote as StickyNote,
    iconsAndAliases_StopCircle as StopCircle,
    iconsAndAliases_Store as Store,
    iconsAndAliases_StretchHorizontal as StretchHorizontal,
    iconsAndAliases_StretchVertical as StretchVertical,
    iconsAndAliases_Strikethrough as Strikethrough,
    iconsAndAliases_Subscript as Subscript,
    iconsAndAliases_Subtitles as Subtitles,
    iconsAndAliases_Sun as Sun,
    iconsAndAliases_SunDim as SunDim,
    iconsAndAliases_SunMedium as SunMedium,
    iconsAndAliases_SunMoon as SunMoon,
    iconsAndAliases_SunSnow as SunSnow,
    iconsAndAliases_Sunrise as Sunrise,
    iconsAndAliases_Sunset as Sunset,
    iconsAndAliases_Superscript as Superscript,
    iconsAndAliases_SwissFranc as SwissFranc,
    iconsAndAliases_SwitchCamera as SwitchCamera,
    iconsAndAliases_Sword as Sword,
    iconsAndAliases_Swords as Swords,
    iconsAndAliases_Syringe as Syringe,
    iconsAndAliases_Table as Table,
    iconsAndAliases_Table2 as Table2,
    iconsAndAliases_TableProperties as TableProperties,
    iconsAndAliases_Tablet as Tablet,
    iconsAndAliases_TabletSmartphone as TabletSmartphone,
    iconsAndAliases_Tablets as Tablets,
    iconsAndAliases_Tag as Tag,
    iconsAndAliases_Tags as Tags,
    iconsAndAliases_Tally1 as Tally1,
    iconsAndAliases_Tally2 as Tally2,
    iconsAndAliases_Tally3 as Tally3,
    iconsAndAliases_Tally4 as Tally4,
    iconsAndAliases_Tally5 as Tally5,
    iconsAndAliases_Tangent as Tangent,
    iconsAndAliases_Target as Target,
    iconsAndAliases_Tent as Tent,
    iconsAndAliases_TentTree as TentTree,
    iconsAndAliases_Terminal as Terminal,
    iconsAndAliases_TerminalSquare as TerminalSquare,
    iconsAndAliases_TestTube as TestTube,
    iconsAndAliases_TestTube2 as TestTube2,
    iconsAndAliases_TestTubes as TestTubes,
    iconsAndAliases_Text as Text,
    iconsAndAliases_TextCursor as TextCursor,
    iconsAndAliases_TextCursorInput as TextCursorInput,
    iconsAndAliases_TextQuote as TextQuote,
    iconsAndAliases_TextSelect as TextSelect,
    TextSelect as TextSelection,
    iconsAndAliases_Theater as Theater,
    iconsAndAliases_Thermometer as Thermometer,
    iconsAndAliases_ThermometerSnowflake as ThermometerSnowflake,
    iconsAndAliases_ThermometerSun as ThermometerSun,
    iconsAndAliases_ThumbsDown as ThumbsDown,
    iconsAndAliases_ThumbsUp as ThumbsUp,
    iconsAndAliases_Ticket as Ticket,
    iconsAndAliases_Timer as Timer,
    iconsAndAliases_TimerOff as TimerOff,
    iconsAndAliases_TimerReset as TimerReset,
    iconsAndAliases_ToggleLeft as ToggleLeft,
    iconsAndAliases_ToggleRight as ToggleRight,
    iconsAndAliases_Tornado as Tornado,
    iconsAndAliases_Torus as Torus,
    iconsAndAliases_Touchpad as Touchpad,
    iconsAndAliases_TouchpadOff as TouchpadOff,
    iconsAndAliases_TowerControl as TowerControl,
    iconsAndAliases_ToyBrick as ToyBrick,
    iconsAndAliases_Tractor as Tractor,
    iconsAndAliases_TrafficCone as TrafficCone,
    TramFront as Train,
    iconsAndAliases_TrainFront as TrainFront,
    iconsAndAliases_TrainFrontTunnel as TrainFrontTunnel,
    iconsAndAliases_TrainTrack as TrainTrack,
    iconsAndAliases_TramFront as TramFront,
    iconsAndAliases_Trash as Trash,
    iconsAndAliases_Trash2 as Trash2,
    iconsAndAliases_TreeDeciduous as TreeDeciduous,
    iconsAndAliases_TreePine as TreePine,
    iconsAndAliases_Trees as Trees,
    iconsAndAliases_Trello as Trello,
    iconsAndAliases_TrendingDown as TrendingDown,
    iconsAndAliases_TrendingUp as TrendingUp,
    iconsAndAliases_Triangle as Triangle,
    iconsAndAliases_TriangleRight as TriangleRight,
    iconsAndAliases_Trophy as Trophy,
    iconsAndAliases_Truck as Truck,
    iconsAndAliases_Turtle as Turtle,
    iconsAndAliases_Tv as Tv,
    iconsAndAliases_Tv2 as Tv2,
    iconsAndAliases_Twitch as Twitch,
    iconsAndAliases_Twitter as Twitter,
    iconsAndAliases_Type as Type,
    iconsAndAliases_Umbrella as Umbrella,
    iconsAndAliases_UmbrellaOff as UmbrellaOff,
    iconsAndAliases_Underline as Underline,
    iconsAndAliases_Undo as Undo,
    iconsAndAliases_Undo2 as Undo2,
    iconsAndAliases_UndoDot as UndoDot,
    iconsAndAliases_UnfoldHorizontal as UnfoldHorizontal,
    iconsAndAliases_UnfoldVertical as UnfoldVertical,
    iconsAndAliases_Ungroup as Ungroup,
    iconsAndAliases_Unlink as Unlink,
    iconsAndAliases_Unlink2 as Unlink2,
    iconsAndAliases_Unlock as Unlock,
    iconsAndAliases_UnlockKeyhole as UnlockKeyhole,
    iconsAndAliases_Unplug as Unplug,
    iconsAndAliases_Upload as Upload,
    iconsAndAliases_UploadCloud as UploadCloud,
    iconsAndAliases_Usb as Usb,
    iconsAndAliases_User as User,
    iconsAndAliases_User2 as User2,
    iconsAndAliases_UserCheck as UserCheck,
    iconsAndAliases_UserCheck2 as UserCheck2,
    iconsAndAliases_UserCircle as UserCircle,
    iconsAndAliases_UserCircle2 as UserCircle2,
    iconsAndAliases_UserCog as UserCog,
    iconsAndAliases_UserCog2 as UserCog2,
    iconsAndAliases_UserMinus as UserMinus,
    iconsAndAliases_UserMinus2 as UserMinus2,
    iconsAndAliases_UserPlus as UserPlus,
    iconsAndAliases_UserPlus2 as UserPlus2,
    iconsAndAliases_UserSquare as UserSquare,
    iconsAndAliases_UserSquare2 as UserSquare2,
    iconsAndAliases_UserX as UserX,
    iconsAndAliases_UserX2 as UserX2,
    iconsAndAliases_Users as Users,
    iconsAndAliases_Users2 as Users2,
    iconsAndAliases_Utensils as Utensils,
    iconsAndAliases_UtensilsCrossed as UtensilsCrossed,
    iconsAndAliases_UtilityPole as UtilityPole,
    iconsAndAliases_Variable as Variable,
    iconsAndAliases_Vegan as Vegan,
    iconsAndAliases_VenetianMask as VenetianMask,
    BadgeCheck as Verified,
    iconsAndAliases_Vibrate as Vibrate,
    iconsAndAliases_VibrateOff as VibrateOff,
    iconsAndAliases_Video as Video,
    iconsAndAliases_VideoOff as VideoOff,
    iconsAndAliases_Videotape as Videotape,
    iconsAndAliases_View as View,
    iconsAndAliases_Voicemail as Voicemail,
    iconsAndAliases_Volume as Volume,
    iconsAndAliases_Volume1 as Volume1,
    iconsAndAliases_Volume2 as Volume2,
    iconsAndAliases_VolumeX as VolumeX,
    iconsAndAliases_Vote as Vote,
    iconsAndAliases_Wallet as Wallet,
    iconsAndAliases_Wallet2 as Wallet2,
    iconsAndAliases_WalletCards as WalletCards,
    iconsAndAliases_Wallpaper as Wallpaper,
    iconsAndAliases_Wand as Wand,
    iconsAndAliases_Wand2 as Wand2,
    iconsAndAliases_Warehouse as Warehouse,
    iconsAndAliases_Watch as Watch,
    iconsAndAliases_Waves as Waves,
    iconsAndAliases_Waypoints as Waypoints,
    iconsAndAliases_Webcam as Webcam,
    iconsAndAliases_Webhook as Webhook,
    iconsAndAliases_Weight as Weight,
    iconsAndAliases_Wheat as Wheat,
    iconsAndAliases_WheatOff as WheatOff,
    iconsAndAliases_WholeWord as WholeWord,
    iconsAndAliases_Wifi as Wifi,
    iconsAndAliases_WifiOff as WifiOff,
    iconsAndAliases_Wind as Wind,
    iconsAndAliases_Wine as Wine,
    iconsAndAliases_WineOff as WineOff,
    iconsAndAliases_Workflow as Workflow,
    iconsAndAliases_WrapText as WrapText,
    iconsAndAliases_Wrench as Wrench,
    iconsAndAliases_X as X,
    iconsAndAliases_XCircle as XCircle,
    iconsAndAliases_XOctagon as XOctagon,
    iconsAndAliases_XSquare as XSquare,
    iconsAndAliases_Youtube as Youtube,
    iconsAndAliases_Zap as Zap,
    iconsAndAliases_ZapOff as ZapOff,
    iconsAndAliases_ZoomIn as ZoomIn,
    iconsAndAliases_ZoomOut as ZoomOut,
  };
}

/**
 * Creates a new HTMLElement from icon node
 * @param {[tag: string, attrs: object, children: array]} iconNode
 * @returns {HTMLElement}
 */
declare const _default: ([tag, attrs, children]: IconNode) => SVGElement;

/**
 * Replaces all elements with matching nameAttr with the defined icons
 * @param {{ icons?: object, nameAttr?: string, attrs?: object }} options
 */
declare const createIcons: ({ icons, nameAttr, attrs }?: {
    icons?: {} | undefined;
    nameAttr?: string | undefined;
    attrs?: {} | undefined;
}) => void;

export { Accessibility, Activity, ActivitySquare, AirVent, Airplay, AlarmCheck, AlarmClock, AlarmClockOff, AlarmMinus, AlarmPlus, Album, AlertCircle, AlertOctagon, AlertTriangle, AlignCenter, AlignCenterHorizontal, AlignCenterVertical, AlignEndHorizontal, AlignEndVertical, AlignHorizontalDistributeCenter, AlignHorizontalDistributeEnd, AlignHorizontalDistributeStart, AlignHorizontalJustifyCenter, AlignHorizontalJustifyEnd, AlignHorizontalJustifyStart, AlignHorizontalSpaceAround, AlignHorizontalSpaceBetween, AlignJustify, AlignLeft, AlignRight, AlignStartHorizontal, AlignStartVertical, AlignVerticalDistributeCenter, AlignVerticalDistributeEnd, AlignVerticalDistributeStart, AlignVerticalJustifyCenter, AlignVerticalJustifyEnd, AlignVerticalJustifyStart, AlignVerticalSpaceAround, AlignVerticalSpaceBetween, Ampersand, Ampersands, Anchor, Angry, Annoyed, Antenna, Aperture, AppWindow, Apple, Archive, ArchiveRestore, ArchiveX, AreaChart, Armchair, ArrowBigDown, ArrowBigDownDash, ArrowBigLeft, ArrowBigLeftDash, ArrowBigRight, ArrowBigRightDash, ArrowBigUp, ArrowBigUpDash, ArrowDown, ArrowDown01, ArrowDown10, ArrowDownAZ, ArrowDownCircle, ArrowDownFromLine, ArrowDownLeft, ArrowDownLeftFromCircle, ArrowDownLeftSquare, ArrowDownNarrowWide, ArrowDownRight, ArrowDownRightFromCircle, ArrowDownRightSquare, ArrowDownSquare, ArrowDownToDot, ArrowDownToLine, ArrowDownUp, ArrowDownWideNarrow, ArrowDownZA, ArrowLeft, ArrowLeftCircle, ArrowLeftFromLine, ArrowLeftRight, ArrowLeftSquare, ArrowLeftToLine, ArrowRight, ArrowRightCircle, ArrowRightFromLine, ArrowRightLeft, ArrowRightSquare, ArrowRightToLine, ArrowUp, ArrowUp01, ArrowUp10, ArrowUpAZ, ArrowUpCircle, ArrowUpDown, ArrowUpFromDot, ArrowUpFromLine, ArrowUpLeft, ArrowUpLeftFromCircle, ArrowUpLeftSquare, ArrowUpNarrowWide, ArrowUpRight, ArrowUpRightFromCircle, ArrowUpRightSquare, ArrowUpSquare, ArrowUpToLine, ArrowUpWideNarrow, ArrowUpZA, ArrowsUpFromLine, Asterisk, AtSign, Atom, Award, Axe, Axis3d, Baby, Backpack, Badge, BadgeAlert, BadgeCent, BadgeCheck, BadgeDollarSign, BadgeEuro, BadgeHelp, BadgeIndianRupee, BadgeInfo, BadgeJapaneseYen, BadgeMinus, BadgePercent, BadgePlus, BadgePoundSterling, BadgeRussianRuble, BadgeSwissFranc, BadgeX, BaggageClaim, Ban, Banana, Banknote, BarChart, BarChart2, BarChart3, BarChart4, BarChartBig, BarChartHorizontal, BarChartHorizontalBig, Barcode, Baseline, Bath, Battery, BatteryCharging, BatteryFull, BatteryLow, BatteryMedium, BatteryWarning, Beaker, Bean, BeanOff, Bed, BedDouble, BedSingle, Beef, Beer, Bell, BellDot, BellMinus, BellOff, BellPlus, BellRing, Bike, Binary, Biohazard, Bird, Bitcoin, Blinds, Blocks, Bluetooth, BluetoothConnected, BluetoothOff, BluetoothSearching, Bold, Bomb, Bone, Book, BookA, BookAudio, BookCheck, BookCopy, BookDashed, BookDown, BookHeadphones, BookHeart, BookImage, BookKey, BookLock, BookMarked, BookMinus, BookOpen, BookOpenCheck, BookOpenText, BookPlus, BookText, BookType, BookUp, BookUp2, BookUser, BookX, Bookmark, BookmarkCheck, BookmarkMinus, BookmarkPlus, BookmarkX, BoomBox, Bot, Box, BoxSelect, Boxes, Braces, Brackets, Brain, BrainCircuit, BrainCog, Briefcase, BringToFront, Brush, Bug, BugOff, BugPlay, Building, Building2, Bus, BusFront, Cable, CableCar, Cake, CakeSlice, Calculator, Calendar, CalendarCheck, CalendarCheck2, CalendarClock, CalendarDays, CalendarHeart, CalendarMinus, CalendarOff, CalendarPlus, CalendarRange, CalendarSearch, CalendarX, CalendarX2, Camera, CameraOff, CandlestickChart, Candy, CandyCane, CandyOff, Car, CarFront, CarTaxiFront, Caravan, Carrot, CaseLower, CaseSensitive, CaseUpper, CassetteTape, Cast, Castle, Cat, Check, CheckCheck, CheckCircle, CheckCircle2, CheckSquare, ChefHat, Cherry, ChevronDown, ChevronDownCircle, ChevronDownSquare, ChevronFirst, ChevronLast, ChevronLeft, ChevronLeftCircle, ChevronLeftSquare, ChevronRight, ChevronRightCircle, ChevronRightSquare, ChevronUp, ChevronUpCircle, ChevronUpSquare, ChevronsDown, ChevronsDownUp, ChevronsLeft, ChevronsLeftRight, ChevronsRight, ChevronsRightLeft, ChevronsUp, ChevronsUpDown, Chrome, Church, Cigarette, CigaretteOff, Circle, CircleDashed, CircleDollarSign, CircleDot, CircleDotDashed, CircleEllipsis, CircleEqual, CircleOff, CircleSlash, CircleSlash2, CircuitBoard, Citrus, Clapperboard, Clipboard, ClipboardCheck, ClipboardCopy, ClipboardEdit, ClipboardList, ClipboardPaste, ClipboardSignature, ClipboardType, ClipboardX, Clock, Clock1, Clock10, Clock11, Clock12, Clock2, Clock3, Clock4, Clock5, Clock6, Clock7, Clock8, Clock9, Cloud, CloudCog, CloudDrizzle, CloudFog, CloudHail, CloudLightning, CloudMoon, CloudMoonRain, CloudOff, CloudRain, CloudRainWind, CloudSnow, CloudSun, CloudSunRain, Cloudy, Clover, Club, Code, Code2, Codepen, Codesandbox, Coffee, Cog, Coins, Columns, Combine, Command, Compass, Component, Computer, ConciergeBell, Cone, Construction, Contact, Contact2, Container, Contrast, Cookie, Copy, CopyCheck, CopyMinus, CopyPlus, CopySlash, CopyX, Copyleft, Copyright, CornerDownLeft, CornerDownRight, CornerLeftDown, CornerLeftUp, CornerRightDown, CornerRightUp, CornerUpLeft, CornerUpRight, Cpu, CreativeCommons, CreditCard, Croissant, Crop, Cross, Crosshair, Crown, Cuboid, CupSoda, Currency, Cylinder, Database, DatabaseBackup, DatabaseZap, Delete, Dessert, Diameter, Diamond, Dice1, Dice2, Dice3, Dice4, Dice5, Dice6, Dices, Diff, Disc, Disc2, Disc3, Divide, DivideCircle, DivideSquare, Dna, DnaOff, Dog, DollarSign, Donut, DoorClosed, DoorOpen, Dot, Download, DownloadCloud, DraftingCompass, Drama, Dribbble, Droplet, Droplets, Drumstick, Dumbbell, Ear, EarOff, Egg, EggFried, EggOff, Equal, EqualNot, Eraser, Euro, Expand, ExternalLink, Eye, EyeOff, Facebook, Factory, Fan, FastForward, Feather, FerrisWheel, Figma, File, FileArchive, FileAudio, FileAudio2, FileAxis3d, FileBadge, FileBadge2, FileBarChart, FileBarChart2, FileBox, FileCheck, FileCheck2, FileClock, FileCode, FileCode2, FileCog, FileDiff, FileDigit, FileDown, FileEdit, FileHeart, FileImage, FileInput, FileJson, FileJson2, FileKey, FileKey2, FileLineChart, FileLock, FileLock2, FileMinus, FileMinus2, FileOutput, FilePieChart, FilePlus, FilePlus2, FileQuestion, FileScan, FileSearch, FileSearch2, FileSignature, FileSpreadsheet, FileStack, FileSymlink, FileTerminal, FileText, FileType, FileType2, FileUp, FileVideo, FileVideo2, FileVolume, FileVolume2, FileWarning, FileX, FileX2, Files, Film, Filter, FilterX, Fingerprint, Fish, FishOff, FishSymbol, Flag, FlagOff, FlagTriangleLeft, FlagTriangleRight, Flame, FlameKindling, Flashlight, FlashlightOff, FlaskConical, FlaskConicalOff, FlaskRound, FlipHorizontal, FlipHorizontal2, FlipVertical, FlipVertical2, Flower, Flower2, Focus, FoldHorizontal, FoldVertical, Folder, FolderArchive, FolderCheck, FolderClock, FolderClosed, FolderCog, FolderDot, FolderDown, FolderEdit, FolderGit, FolderGit2, FolderHeart, FolderInput, FolderKanban, FolderKey, FolderLock, FolderMinus, FolderOpen, FolderOpenDot, FolderOutput, FolderPlus, FolderRoot, FolderSearch, FolderSearch2, FolderSymlink, FolderSync, FolderTree, FolderUp, FolderX, Folders, Footprints, Forklift, FormInput, Forward, Frame, Framer, Frown, Fuel, Fullscreen, FunctionSquare, GalleryHorizontal, GalleryHorizontalEnd, GalleryThumbnails, GalleryVertical, GalleryVerticalEnd, Gamepad, Gamepad2, GanttChart, GanttChartSquare, Gauge, GaugeCircle, Gavel, Gem, Ghost, Gift, GitBranch, GitBranchPlus, GitCommitHorizontal, GitCommitVertical, GitCompare, GitCompareArrows, GitFork, GitGraph, GitMerge, GitPullRequest, GitPullRequestArrow, GitPullRequestClosed, GitPullRequestCreate, GitPullRequestCreateArrow, GitPullRequestDraft, Github, Gitlab, GlassWater, Glasses, Globe, Globe2, Goal, Grab, GraduationCap, Grape, Grid2x2, Grid3x3, Grip, GripHorizontal, GripVertical, Group, Hammer, Hand, HandMetal, HardDrive, HardDriveDownload, HardDriveUpload, HardHat, Hash, Haze, HdmiPort, Heading, Heading1, Heading2, Heading3, Heading4, Heading5, Heading6, Headphones, Heart, HeartCrack, HeartHandshake, HeartOff, HeartPulse, HelpCircle, HelpingHand, Hexagon, Highlighter, History, Home, Hop, HopOff, Hotel, Hourglass, IceCream, IceCream2, Image, ImageDown, ImageMinus, ImageOff, ImagePlus, Import, Inbox, Indent, IndianRupee, Infinity, Info, Instagram, Italic, IterationCcw, IterationCw, JapaneseYen, Joystick, Kanban, KanbanSquare, KanbanSquareDashed, Key, KeyRound, KeySquare, Keyboard, Lamp, LampCeiling, LampDesk, LampFloor, LampWallDown, LampWallUp, LandPlot, Landmark, Languages, Laptop, Laptop2, Lasso, LassoSelect, Laugh, Layers, Layers2, Layers3, Layout, LayoutDashboard, LayoutGrid, LayoutList, LayoutPanelLeft, LayoutPanelTop, LayoutTemplate, Leaf, LeafyGreen, Library, LibraryBig, LibrarySquare, LifeBuoy, Ligature, Lightbulb, LightbulbOff, LineChart, Link, Link2, Link2Off, Linkedin, List, ListChecks, ListEnd, ListFilter, ListMinus, ListMusic, ListOrdered, ListPlus, ListRestart, ListStart, ListTodo, ListTree, ListVideo, ListX, Loader, Loader2, Locate, LocateFixed, LocateOff, Lock, LockKeyhole, LogIn, LogOut, Lollipop, Luggage, MSquare, Magnet, Mail, MailCheck, MailMinus, MailOpen, MailPlus, MailQuestion, MailSearch, MailWarning, MailX, Mailbox, Mails, Map, MapPin, MapPinOff, MapPinned, Martini, Maximize, Maximize2, Medal, Megaphone, MegaphoneOff, Meh, MemoryStick, Menu, MenuSquare, Merge, MessageCircle, MessageSquare, MessageSquareDashed, MessageSquarePlus, MessagesSquare, Mic, Mic2, MicOff, Microscope, Microwave, Milestone, Milk, MilkOff, Minimize, Minimize2, Minus, MinusCircle, MinusSquare, Monitor, MonitorCheck, MonitorDot, MonitorDown, MonitorOff, MonitorPause, MonitorPlay, MonitorSmartphone, MonitorSpeaker, MonitorStop, MonitorUp, MonitorX, Moon, MoonStar, MoreHorizontal, MoreVertical, Mountain, MountainSnow, Mouse, MousePointer, MousePointer2, MousePointerClick, MousePointerSquare, MousePointerSquareDashed, Move, Move3d, MoveDiagonal, MoveDiagonal2, MoveDown, MoveDownLeft, MoveDownRight, MoveHorizontal, MoveLeft, MoveRight, MoveUp, MoveUpLeft, MoveUpRight, MoveVertical, Music, Music2, Music3, Music4, Navigation, Navigation2, Navigation2Off, NavigationOff, Network, Newspaper, Nfc, Nut, NutOff, Octagon, Option, Orbit, Outdent, Package, Package2, PackageCheck, PackageMinus, PackageOpen, PackagePlus, PackageSearch, PackageX, PaintBucket, Paintbrush, Paintbrush2, Palette, Palmtree, PanelBottom, PanelBottomClose, PanelBottomInactive, PanelBottomOpen, PanelLeft, PanelLeftClose, PanelLeftInactive, PanelLeftOpen, PanelRight, PanelRightClose, PanelRightInactive, PanelRightOpen, PanelTop, PanelTopClose, PanelTopInactive, PanelTopOpen, Paperclip, Parentheses, ParkingCircle, ParkingCircleOff, ParkingMeter, ParkingSquare, ParkingSquareOff, PartyPopper, Pause, PauseCircle, PauseOctagon, PawPrint, PcCase, Pen, PenLine, PenSquare, PenTool, Pencil, PencilLine, PencilRuler, Pentagon, Percent, PercentCircle, PercentDiamond, PercentSquare, PersonStanding, Phone, PhoneCall, PhoneForwarded, PhoneIncoming, PhoneMissed, PhoneOff, PhoneOutgoing, Pi, PiSquare, PictureInPicture, PictureInPicture2, PieChart, PiggyBank, Pilcrow, PilcrowSquare, Pill, Pin, PinOff, Pipette, Pizza, Plane, PlaneLanding, PlaneTakeoff, Play, PlayCircle, PlaySquare, Plug, Plug2, PlugZap, PlugZap2, Plus, PlusCircle, PlusSquare, Pocket, PocketKnife, Podcast, Pointer, Popcorn, Popsicle, PoundSterling, Power, PowerCircle, PowerOff, PowerSquare, Presentation, Printer, Projector, Puzzle, Pyramid, QrCode, Quote, Rabbit, Radar, Radiation, Radio, RadioReceiver, RadioTower, Radius, RailSymbol, Rainbow, Rat, Ratio, Receipt, RectangleHorizontal, RectangleVertical, Recycle, Redo, Redo2, RedoDot, RefreshCcw, RefreshCcwDot, RefreshCw, RefreshCwOff, Refrigerator, Regex, RemoveFormatting, Repeat, Repeat1, Repeat2, Replace, ReplaceAll, Reply, ReplyAll, Rewind, Rocket, RockingChair, RollerCoaster, Rotate3d, RotateCcw, RotateCw, Route, RouteOff, Router, Rows, Rss, Ruler, RussianRuble, Sailboat, Salad, Sandwich, Satellite, SatelliteDish, Save, SaveAll, Scale, Scale3d, Scaling, Scan, ScanBarcode, ScanEye, ScanFace, ScanLine, ScanSearch, ScanText, ScatterChart, School, School2, Scissors, ScissorsLineDashed, ScissorsSquare, ScissorsSquareDashedBottom, ScreenShare, ScreenShareOff, Scroll, ScrollText, Search, SearchCheck, SearchCode, SearchSlash, SearchX, Send, SendHorizontal, SendToBack, SeparatorHorizontal, SeparatorVertical, Server, ServerCog, ServerCrash, ServerOff, Settings, Settings2, Shapes, Share, Share2, Sheet, Shell, Shield, ShieldAlert, ShieldBan, ShieldCheck, ShieldEllipsis, ShieldHalf, ShieldMinus, ShieldOff, ShieldPlus, ShieldQuestion, ShieldX, Ship, ShipWheel, Shirt, ShoppingBag, ShoppingBasket, ShoppingCart, Shovel, ShowerHead, Shrink, Shrub, Shuffle, Sigma, SigmaSquare, Signal, SignalHigh, SignalLow, SignalMedium, SignalZero, Signpost, SignpostBig, Siren, SkipBack, SkipForward, Skull, Slack, Slash, Slice, Sliders, SlidersHorizontal, Smartphone, SmartphoneCharging, SmartphoneNfc, Smile, SmilePlus, Snail, Snowflake, Sofa, Soup, Space, Spade, Sparkle, Sparkles, Speaker, Speech, SpellCheck, SpellCheck2, Spline, Split, SplitSquareHorizontal, SplitSquareVertical, SprayCan, Sprout, Square, SquareAsterisk, SquareCode, SquareDashedBottom, SquareDashedBottomCode, SquareDot, SquareEqual, SquareSlash, SquareStack, Squirrel, Stamp, Star, StarHalf, StarOff, StepBack, StepForward, Stethoscope, Sticker, StickyNote, StopCircle, Store, StretchHorizontal, StretchVertical, Strikethrough, Subscript, Subtitles, Sun, SunDim, SunMedium, SunMoon, SunSnow, Sunrise, Sunset, Superscript, SwissFranc, SwitchCamera, Sword, Swords, Syringe, Table, Table2, TableProperties, Tablet, TabletSmartphone, Tablets, Tag, Tags, Tally1, Tally2, Tally3, Tally4, Tally5, Tangent, Target, Tent, TentTree, Terminal, TerminalSquare, TestTube, TestTube2, TestTubes, Text, TextCursor, TextCursorInput, TextQuote, TextSelect, Theater, Thermometer, ThermometerSnowflake, ThermometerSun, ThumbsDown, ThumbsUp, Ticket, Timer, TimerOff, TimerReset, ToggleLeft, ToggleRight, Tornado, Torus, Touchpad, TouchpadOff, TowerControl, ToyBrick, Tractor, TrafficCone, TrainFront, TrainFrontTunnel, TrainTrack, TramFront, Trash, Trash2, TreeDeciduous, TreePine, Trees, Trello, TrendingDown, TrendingUp, Triangle, TriangleRight, Trophy, Truck, Turtle, Tv, Tv2, Twitch, Twitter, Type, Umbrella, UmbrellaOff, Underline, Undo, Undo2, UndoDot, UnfoldHorizontal, UnfoldVertical, Ungroup, Unlink, Unlink2, Unlock, UnlockKeyhole, Unplug, Upload, UploadCloud, Usb, User, User2, UserCheck, UserCheck2, UserCircle, UserCircle2, UserCog, UserCog2, UserMinus, UserMinus2, UserPlus, UserPlus2, UserSquare, UserSquare2, UserX, UserX2, Users, Users2, Utensils, UtensilsCrossed, UtilityPole, Variable, Vegan, VenetianMask, Vibrate, VibrateOff, Video, VideoOff, Videotape, View, Voicemail, Volume, Volume1, Volume2, VolumeX, Vote, Wallet, Wallet2, WalletCards, Wallpaper, Wand, Wand2, Warehouse, Watch, Waves, Waypoints, Webcam, Webhook, Weight, Wheat, WheatOff, WholeWord, Wifi, WifiOff, Wind, Wine, WineOff, Workflow, WrapText, Wrench, X, XCircle, XOctagon, XSquare, Youtube, Zap, ZapOff, ZoomIn, ZoomOut, _default as createElement, createIcons, iconsAndAliases as icons };
